<%--
 *
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * 5724-M19
 *
 * (C) COPYRIGHT IBM CORP. 2006
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *
--%>
<%@ include file="../common/componentheader.jsp" %>
<%
	psdi.webclient.components.VTreeNode myComponent = (psdi.webclient.components.VTreeNode)component;

	String displayNodeId = control.getParentInstance().getProperty("displaynodeid");
	String selectedBarId = control.getParentInstance().getProperty("selectedbarid");
	String selectedNodeId = control.getParentInstance().getProperty("selectednodeid");
	String[][] list = myComponent.getListData();
	boolean atFirstPage = myComponent.getAtFirstPage();
	boolean atLastPage = myComponent.getAtLastPage();
	System.out.println(">>> first: " + atFirstPage + " last: " + atLastPage);
	String prevImage = ((atFirstPage) ? "tablebtn_previous_off.gif" : "tablebtn_previous_on.gif");
	String prevEvent = ((atFirstPage) ? "" : "onclick=\"prevPage('" + id + "', '" + displayNodeId + "', '" + myComponent.getParentUID() + "')\"");
	String nextImage = ((atLastPage) ? "tablebtn_next_off.gif" : "tablebtn_next_on.gif");
	String nextEvent = ((atLastPage) ? "" : "onclick=\"nextPage('" + id + "', '" + displayNodeId + "', '" + myComponent.getParentUID() + "')\"");
%>
<div id="<%=id %>" >
	<div>
		<div id="<%=displayNodeId + "_filterbar" %>" style="border:1px solid #aaa;background:#eee;width:200px;height:20px;display:inline" >
			<img id="<%=displayNodeId + "_filter" %>" src="<%= IMAGE_PATH + "tablebtn_filter_off.gif" %>" onclick="displayFilter('<%=displayNodeId %>')">
			<span> Filter </span>
			<img src="<%= IMAGE_PATH + "tablebtn_divider.gif" %>">
			<img id="<%=displayNodeId + "_previous" %>" src="<%= IMAGE_PATH + prevImage %>" <%=prevEvent %> >
			<span> <%=myComponent.getPageState() %> </span>
			<img id="<%=displayNodeId + "_next" %>" src="<%= IMAGE_PATH + nextImage %>" <%=nextEvent %> >
		</div>
		<div id="<%=displayNodeId + "_filterfields" %>" style="display:none" >
			<table cellpadding="100">
				<tr>
					<td><span>Label A</span></td>
					<td>&nbsp;&nbsp;</td>
					<td><span>Label B</span></td>
				</tr>
				<tr>
					<td><input type="text"/></td>
					<td></td>
					<td><input type="text"/></td>
				</tr>
			</table>
		</div>
	</div>
<%	for(int i=0; i < list.length; i++) { %>
<% System.out.println(">>> " + list[i][7]); %>
	<div  id="<%=displayNodeId + list[i][1] %>" >
		<img id="<%=displayNodeId + list[i][1] + "_expand" %>" src="<%= IMAGE_PATH + "node_collapsed.gif" %>" onclick="handleExpand('<%=id %>', '<%=displayNodeId + list[i][1] %>', '<%=list[i][1] %>')" />
		<img id="<%=displayNodeId + list[i][1] + "_check" %>" src="<%= IMAGE_PATH + "table_cb_unchecked.gif" %>" onclick="handleCheck('<%=id %>','<%=displayNodeId + list[i][1] %>','<%=displayNodeId + list[i][1] + "_check" %>')" />
		<img id="<%=displayNodeId + list[i][1] + "_image" %>" src="<%= IMAGE_PATH + "btn_runbook.gif" %>" />
		<span id="<%=displayNodeId + list[i][1] + "_text" %>" onclick="selectNode('<%=id %>','<%=displayNodeId + list[i][1] %>', '<%=list[i][1] %>')" ><%=list[i][7] %></span>
	</div>
	<div  id="<%=displayNodeId + list[i][1] + "_display" %>" style="position:relative;left:25px;display:none" >
	</div>
<%	}	%>
</div>

<script language="JavaScript" defer=true>
<%
	System.out.println(">>> replace display: " + displayNodeId + "_display");
%>
    var thisElem = document.getElementById("<%=id %>");
    var parentElem = document.getElementById("<%=displayNodeId + "_display" %>");
    var expandElem = document.getElementById("<%=displayNodeId + "_expand" %>");
	var lastSelNode = "<%=selectedNodeId %>";
	var lastSelBar = "<%=selectedBarId %>";
	if(parentElem != null)
	{
		parentElem.style.display = "inline";
		parentElem.innerHTML = thisElem.innerHTML;
		thisElem.innerHTML = "";
		if(expandElem != null) expandElem.src = "<%= IMAGE_PATH + "node_expanded.gif"%>";
	}
</script>
<%@ include file="../common/componentfooter.jsp" %>