/*
 *
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * 5724-R45
 *
 * (C) COPYRIGHT IBM CORP. 2006, 2008
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *
 */

//** raptor.js 2005

	function vTree_Render(vTree, vParentId, vSiblingId, vNew, vMode) {
		var vTarget = vTree.document.getElementById(vParentId + "_children");
		if (!undef(vTarget)) {
			if (vMode == "children") {
//var myRef = window.open('');
//myRef.document.write(vNew.innerHTML);
//vTarget.innerHTML = "test";
				vTarget.innerHTML = vNew.innerHTML;
				vTarget.style.display = "";
				tree_handleStateIcon(vTree, vTarget.parentElement, "expanded");
			}
			else if (vMode == "insert") {
				var vNew2 = document.createElement("div");
				var vBeforeNode = vTree.document.getElementById(vSiblingId);
	
				if (!undef(vBeforeNode))
					vTarget.insertBefore(vNew2, vBeforeNode);
				else
					vTarget.insertBefore(vNew2);

				vNew2.innerHTML = vNew.innerHTML;
			}
		}
		vNew.removeNode(true);			
	}
	
	function vTree_Checkbox_onclick(vTree, vNodeId) {
		sendEvent("setvalue", vTree.id, vNodeId, "", "");
	}

	function vtree_onclick(ctrlInst)
	{
		var eventElement = library_getElementHavingEvent(ctrlInst, event.srcElement);
		var mxpart = eventElement.getAttribute("mxpart");
		switch(mxpart)
		{
			case "filterbarnext": 
			case "filterbarprev": 
				if(!undef(eventElement))
				{
					var parentobjectname = eventElement.getAttribute("parentobjectname");
					var parentuniqueid = eventElement.getAttribute("parentuniqueid");
					var delim = "-x-";
					parentuniqueid = parentuniqueid + delim + mxpart;
					
					sendEvent("filterbarpage", ctrlInst.id, parentuniqueid, parentobjectname);
				}
				break;
			case "filterbarsort":
				if(!undef(eventElement))
				{
					var parentobjectname = eventElement.getAttribute("parentobjectname");
					var delim = "-x-";
					var parentuniqueid = eventElement.getAttribute("parentuniqueid") + delim;
					parentuniqueid += eventElement.getAttribute("sortattribute") + delim;
					parentuniqueid += eventElement.getAttribute("sortascending");

					sendEvent("filterbarsort", ctrlInst.id, parentuniqueid, parentobjectname);
				}
				break;
			case "togglefilterstate":
				var filterbodyid = eventElement.getAttribute("filterbodyid");
				var parentobjectname = eventElement.getAttribute("parentobjectname");
				var onsrc = eventElement.getAttribute("onsrc");
				var offsrc = eventElement.getAttribute("offsrc");
				var vTarget = ctrlInst.document.getElementById(filterbodyid);
				
				eventElement.src = ((eventElement.src == onsrc) ? offsrc : onsrc)	
				vTarget.style.display = ((eventElement.src == onsrc) ? "inline" : "none");

				sendEvent("filterexpanded", ctrlInst.id, ((eventElement.src == onsrc) ? "true" : "false"), parentobjectname);
				break;
			case "filterbartext":
				break;
			default: tree_onclick(ctrlInst); break; 
		}
	}

	function vtree_onkeypress(ctrlInst)
    {
		var eventElement = library_getElementHavingEvent(ctrlInst, event.srcElement);
		var mxpart = eventElement.getAttribute("mxpart");
        var key = window.event.keyCode;
		switch(mxpart)
		{
			case "filterbartext":
		        if (key == 13)
		        {
					if(!undef(eventElement))
					{
						var parentobjectname = eventElement.getAttribute("parentobjectname");
						var delim = "-x-";
						var parentuniqueid = eventElement.getAttribute("parentuniqueid") + delim;

				    	var attributes = eventElement.getAttribute("attributelist");
						var txtidbase = eventElement.getAttribute("textidbase");
						var attr = attributes.split(",");
						var vals = new Array(attr.length);
						
						for(var i=0; i<attr.length; i++)
						{
							var txtCtrl = ctrlInst.document.getElementById(txtidbase + "_input" + i);
							vals[i] = txtCtrl.value;
						}
						
						parentuniqueid += vals.join(",");

						sendEvent("filterbarquery", ctrlInst.id, parentuniqueid, parentobjectname);
					}
		        }
			default: tree_onkeypress(ctrlInst);  break;
		}
	}
