--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSADEF','WORKORDER','PLUSADEF','wonum = :wonum and siteid = :siteid','Workorder deferrals.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSAWORKORDER','PLUSADEF','WORKORDER','wonum = :wonum and siteid = :siteid','Workorder to which a deferral is attached.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEF','WONUM','PLUSADEF','WONUM','WONUM',NULL,17,'UPPER',10,0,1,0,'WORKORDER','WONUM',0,0,'Work order to which this deferral is attached',NULL,'Work Order',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEF','STATUSDATE','PLUSADEF','STATUSDATE','STATUSDATE',NULL,18,'DATETIME',10,0,1,0,NULL,NULL,1,0,'Date the deferral status was last changed.',NULL,'Status Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEF','HASLD','PLUSADEF','HASLD','HASLD',NULL,19,'YORN',1,0,1,0,NULL,NULL,1,0,'Boolean flag to indicate if there is any long description for this record','0','Has Long Description',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEF','WONUM','PLUSADEF','WONUM','WONUM',NULL,17,'UPPER',10,0,1,0,'WORKORDER','WONUM',0,0,'Work order to which this deferral is attached',NULL,'Work Order',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEF','STATUSDATE','PLUSADEF','STATUSDATE','STATUSDATE',NULL,18,'DATETIME',10,0,1,0,NULL,NULL,1,0,'Date the deferral status was last changed.',NULL,'Status Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEF','HASLD','PLUSADEF','HASLD','HASLD',NULL,19,'YORN',1,0,1,0,NULL,NULL,1,0,'Boolean flag to indicate if there is any long description for this record','0','Has Long Description',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;


ALTER TABLE plusadef
 ADD COLUMN statusdate TIMESTAMP NOT NULL WITH DEFAULT CURRENT TIMESTAMP
;

ALTER TABLE plusadef
 ADD COLUMN hasld FLOAT NOT NULL WITH DEFAULT 0
;


INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEFEXT','PLUSADEFID','PLUSADEFEXT','PLUSADEFID','PLUSADEFID',NULL,17,'INTEGER',12,0,1,0,'PLUSADEF','PLUSADEFID',1,0,'Deferral to which this extension is related.',NULL,'Deferral ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEFEXT','STATUSDATE','PLUSADEFEXT','STATUSDATE','STATUSDATE',NULL,18,'DATETIME',10,0,1,0,NULL,NULL,1,0,'Date the deferral extension status was last changed.',NULL,'Status Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEFEXT','HASLD','PLUSADEFEXT','HASLD','HASLD',NULL,19,'YORN',1,0,1,0,NULL,NULL,1,0,'Boolean flag to indicate if there is any long description for this record','0','Has Long Description',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEFEXT','PLUSADEFID','PLUSADEFEXT','PLUSADEFID','PLUSADEFID',NULL,17,'INTEGER',12,0,1,0,'PLUSADEF','PLUSADEFID',1,0,'Deferral to which this extension is related.',NULL,'Deferral ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEFEXT','STATUSDATE','PLUSADEFEXT','STATUSDATE','STATUSDATE',NULL,18,'DATETIME',10,0,1,0,NULL,NULL,1,0,'Date the deferral extension status was last changed.',NULL,'Status Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSADEFEXT','HASLD','PLUSADEFEXT','HASLD','HASLD',NULL,19,'YORN',1,0,1,0,NULL,NULL,1,0,'Boolean flag to indicate if there is any long description for this record','0','Has Long Description',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

ALTER TABLE plusadefext
 ADD COLUMN plusadefid FLOAT NOT NULL WITH DEFAULT -1
;

ALTER TABLE plusadefext
 ADD COLUMN statusdate TIMESTAMP NOT NULL WITH DEFAULT CURRENT TIMESTAMP
;

ALTER TABLE plusadefext
 ADD COLUMN hasld FLOAT NOT NULL WITH DEFAULT 0
;


UPDATE MAXATTRIBUTE
      SET AUTOKEYNAME = 'PLUSADEFUID', CANAUTONUM = 1, DEFAULTVALUE = '&AUTOKEY&'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'UNIQUEID'
;

UPDATE MAXATTRIBUTECFG
      SET AUTOKEYNAME = 'PLUSADEFUID', CANAUTONUM = 1, DEFAULTVALUE = '&AUTOKEY&'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'UNIQUEID'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSADEFEXT','PLUSADEF','PLUSADEFEXT','plusadefid = :plusadefid','Deferral extensions.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('STATUSDESC','WORKORDER','SYNONYMDOMAIN','domainid=''WOSTATUS'' and value=:status','Relationship to synonymdomain table, used to find description for the status, it will contain one object.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET AUTOKEYNAME = 'PLUSADEFEXTUID', CANAUTONUM = 1, DEFAULTVALUE = '&AUTOKEY&'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'UNIQUEID'
;

UPDATE MAXATTRIBUTECFG
      SET AUTOKEYNAME = 'PLUSADEFEXTUID', CANAUTONUM = 1, DEFAULTVALUE = '&AUTOKEY&'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'UNIQUEID'
;

COMMIT
;

--*[300108]Translation Ratio: 53.85% (21/39 statements were translated successfully)
