--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

DELETE FROM SIGOPTION
      WHERE APP = 'PLUSACM'
            AND OPTIONNAME = 'DUPLICATE'
;

DELETE FROM MAXMENU
      WHERE MODULEAPP = 'PLUSACM'
            AND KEYVALUE = 'DUPLICATE'
;

DELETE FROM APPLICATIONAUTH
      WHERE APP = 'PLUSACM'
            AND OPTIONNAME = 'DUPLICATE'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACMFLAG','BUILDID','PLUSACMFLAG','BUILDID','BUILDID',NULL,7,'INTEGER',12,0,1,0,'PLUSACMBUILD','PLUSACMBUILDID',1,0,'Build ID',NULL,'Build ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACMFLAG','REVISION','PLUSACMFLAG','REVISION','REVISION',NULL,8,'INTEGER',12,0,1,0,'PLUSACMREVISION','REVISION',0,0,'Revision',NULL,'Revision',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACMFLAG','BUILDID','PLUSACMFLAG','BUILDID','BUILDID',NULL,7,'INTEGER',12,0,1,0,'PLUSACMBUILD','PLUSACMBUILDID',1,0,'Build ID',NULL,'Build ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACMFLAG','REVISION','PLUSACMFLAG','REVISION','REVISION',NULL,8,'INTEGER',12,0,1,0,'PLUSACMREVISION','REVISION',0,0,'Revision',NULL,'Revision',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;


ALTER TABLE plusacmflag
 ADD COLUMN buildid FLOAT NOT NULL WITH DEFAULT 0
;


ALTER TABLE plusacmflag
 ADD COLUMN revision FLOAT NOT NULL WITH DEFAULT 0
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Indicates if this is a position is a Mandatory Position for the specified configuration', CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildFlag'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MANDATORY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Indicates if this is a position is a Mandatory Position for the specified configuration', CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildFlag'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MANDATORY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Indicates if this is a position is a MEL (Minimum Equipment List) position.  For reporting purposes only', CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildFlag'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Indicates if this is a position is a MEL (Minimum Equipment List) position.  For reporting purposes only', CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildFlag'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The allow any part flag turns off the part number applicability checks performed by the BDI', CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildFlag'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALLOWANYPART'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The allow any part flag turns off the part number applicability checks performed by the BDI', CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildFlag'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALLOWANYPART'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The events inactive flag turns off the event handling performed by the BDI', CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildFlag'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'EVENTSINACTIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The events inactive flag turns off the event handling performed by the BDI', CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildFlag'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'EVENTSINACTIVE'
;

COMMIT
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PM','PLUSATRID','PM','PLUSATRID','PLUSATRID',NULL,990,'INTEGER',12,0,0,0,'PLUSATR','PLUSATRID',1,0,'Technical Record Identifier',NULL,'TR ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PM','PLUSATRID','PM','PLUSATRID','PLUSATRID',NULL,990,'INTEGER',12,0,0,0,'PLUSATR','PLUSATRID',1,0,'Technical Record Identifier',NULL,'TR ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'plusatrid = :plusatrid'
      WHERE PARENT = 'PM'
            AND NAME = 'PLUSATR'
;

COMMIT
;

--*[300108]Translation Ratio: 76.92% (20/26 statements were translated successfully)
