--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ASSOCASSET','PLUSATR','ASSET','plusacatid in (select catid from plusatrcat where trid = :plusatrid) and assetnum not in (select assetnum from pm where plusatrid = :plusatrid and assetnum is not null)','Relationship to find candidate Assets for creating a PM from a Technical Record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusAFldTREventNotDueAtMasterPM'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COMPLYBYDATE'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusAFldTREventNotDueAtMasterPM'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COMPLYBYDATE'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusAFldTREventNotDueAtMasterPM'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusAFldTREventNotDueAtMasterPM'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusAFldTREventNotDueAtMasterPM'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusAFldTREventNotDueAtMasterPM'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATCOUNT'
;

DELETE FROM MAXDOMAIN
      WHERE DOMAINID = 'TRSTATUS'
;

DELETE FROM SYNONYMDOMAIN
      WHERE DOMAINID = 'TRSTATUS'
;

INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSATRSTATUS','Technical Record Status','SYNONYM','ALN',40,NULL,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>385','PLUSATRSTATUS','SUPERSEDED','SUPERSEDED','Superseded',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>386','PLUSATRSTATUS','INACTIVE','INACTIVE','Inactive',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>387','PLUSATRSTATUS','ACTIVE','ACTIVE','Active',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>388','PLUSATRSTATUS','DRAFT','DRAFT','Draft',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

UPDATE MAXATTRIBUTE
      SET DOMAINID = 'PLUSATRSTATUS'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET DOMAINID = 'PLUSATRSTATUS'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'STATUS'
;

COMMIT
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PM','PLUSAEVTACTIVEDATE','PM','PLUSAEVTACTIVEDATE','PLUSAEVTACTIVEDATE',NULL,990,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Active Date to be set on the new Maintenance Events.',NULL,'Event Active Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PM','PLUSAEVTACTIVEDATE','PM','PLUSAEVTACTIVEDATE','PLUSAEVTACTIVEDATE',NULL,990,'DATETIME',10,0,0,0,NULL,NULL,0,0,'Active Date to be set on the new Maintenance Events.',NULL,'Event Active Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.pm.PlusAFldPMMasterPM'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'MASTERPM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.pm.PlusAFldPMMasterPM'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'MASTERPM'
;

COMMIT
;

--*[300108]Translation Ratio: 100% (22/22 statements were translated successfully)
