--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSALOGPROBLEMS','PLUSALOGENTRY','PLUSACM','plusalogentryid = :plusalogentryid','Log Problems related to a Trip.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACREWS','PLUSALOGENTRY','PLUSACREW','tripnum = :tripnum and logid = :logid and assetnum = :assetnum and siteid = :siteid','Crew records related to a Trip.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Tail'
      WHERE OBJECTNAME = 'PLUSALOGS'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Tail'
      WHERE OBJECTNAME = 'PLUSALOGS'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Tail'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Tail'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Tail'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Tail'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Tail'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Tail'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Fuel Units'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Fuel Units'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Fuel Units'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Fuel Units'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Passengers'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'PASSENGERS'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Passengers'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'PASSENGERS'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Passengers'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'PASSENGERS'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Passengers'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'PASSENGERS'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Maintenance Comments'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAMECHCOMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Maintenance Comments'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAMECHCOMMENTS'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Work Order'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAWONUM'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Work Order'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAWONUM'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Count'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Count'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Log Problem ID'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'TICKETID'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Log Problem ID'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'TICKETID'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'assetid in (select assetid from asset, assetancestor where asset.assetnum = assetancestor.assetnum and asset.siteid = assetancestor.siteid and (assetancestor.ancestor = :assetnum) and asset.siteid = :siteid) and workorderid in (select workorderid from workorder where workorderid = plusalfevent.workorderid and (plusareference <> ''WRKPKG'' or plusareference is null)) and inactivedate is null'
      WHERE NAME = 'PLUSALFEVENTCHILDREN'
            AND PARENT = 'PLUSACREATEWOPKG'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'assetid = (select assetid from asset where assetnum = :assetnum and siteid = :siteid) and workorderid in (select workorderid from workorder where workorderid = plusalfevent.workorderid and (plusareference <> ''WRKPKG'' or plusareference is null)) and inactivedate is null'
      WHERE NAME = 'PLUSALFEVENT'
            AND PARENT = 'PLUSACREATEWOPKG'
;

COMMIT
;

--*[300108]Translation Ratio: 100% (29/29 statements were translated successfully)
