--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSALFEVENT2','PLUSACREATEWOPKG','PLUSALFEVENT','assetid in (select assetid from asset where assetnum in (:assetnum, :includeasset) and siteid = :siteid) and workorderid in (select workorderid from workorder where workorderid = plusalfevent.workorderid and (plusareference <> ''WRKPKG'' or plusareference is null)) and inactivedate is null','Relationship to PLUSALFEVENT associated with work package parent WO asset (includes asset entered by user).',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSALFEVENTCHILDREN2','PLUSACREATEWOPKG','PLUSALFEVENT','assetid in (select assetid from asset, assetancestor where asset.assetnum = assetancestor.assetnum and asset.siteid = assetancestor.siteid and (assetancestor.ancestor in (:assetnum, :includeasset)) and asset.siteid = :siteid) and workorderid in (select workorderid from workorder where workorderid = plusalfevent.workorderid and (plusareference <> ''WRKPKG'' or plusareference is null)) and inactivedate is null','Relationship to PLUSALFEVENT associated with work package parent WO asset and its children (includes asset entered by user).',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACREATEWOPKG','INCLUDEASSET',NULL,NULL,'INCLUDEASSET',NULL,8,'UPPER',12,0,0,0,'ASSET','ASSETNUM',0,0,'Asset to be included in the package, besides the children of the original asset.',NULL,'Include Asset',NULL,0,0,NULL,'psdi.app.asset.FldAssetnum',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACREATEWOPKG','INCLUDEASSET',NULL,NULL,'INCLUDEASSET',NULL,8,'UPPER',12,0,0,0,'ASSET','ASSETNUM',0,0,'Asset to be included in the package, besides the children of the original asset.',NULL,'Include Asset',NULL,0,0,NULL,'psdi.app.asset.FldAssetnum',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

COMMIT
;

--*[300108]Translation Ratio: 100% (5/5 statements were translated successfully)
