--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Default label system for build items. The default value is ATA.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSADEFLABELSYS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Default label system for build items. The default value is ATA.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSADEFLABELSYS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Default width of labels associated with build items. The default value is 6.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSALABELWIDTH'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Default width of labels associated with build items. The default value is 6.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSALABELWIDTH'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Default width of positions associated with build items. The default value is 6.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSAPOSCODEWIDTH'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Default width of positions associated with build items. The default value is 6.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSAPOSCODEWIDTH'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether you will use EBNF rules when you define linear assets. If the check box is selected, you can use EBNF expressions. If the check box is empty (default), you cannot enter EBNF expressions.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSAEBNFCONTROL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether you will use EBNF rules when you define linear assets. If the check box is selected, you can use EBNF expressions. If the check box is empty (default), you cannot enter EBNF expressions.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSAEBNFCONTROL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether you will enter meter offsets. If the check box is selected, you can record offsets. If the check box is not selected (default), you cannot record offsets.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSAOFFSETS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether you will enter meter offsets. If the check box is selected, you can record offsets. If the check box is not selected (default), you cannot record offsets.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSAOFFSETS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether any CM item is valid for this position in the corresponding configuration, If the check box is selected, any CM item is valid. If the check box is empty, the Build Data Interpreter (BDI) checks CM item applicability.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALLOWANYPART'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether any CM item is valid for this position in the corresponding configuration, If the check box is selected, any CM item is valid. If the check box is empty, the Build Data Interpreter (BDI) checks CM item applicability.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALLOWANYPART'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Icon that represents the corresponding build item. This icon appears on the Hierarchy Tree subtab in the Models (Av) application and the View tab in the Assets (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'ICON'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Icon that represents the corresponding build item. This icon appears on the Hierarchy Tree subtab in the Models (Av) application and the View tab in the Assets (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'ICON'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Name of the build item for a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Name of the build item for a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a build position is serialized or non-serialized (that is, whether or not an asset installed into the position must have a serial number). If the check box is selected, the position is not serialized and the corresponding asset does not require a serial number. If the check box is empty (default), the position is serialized and the corresponding asset must have a serial number.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a build position is serialized or non-serialized (that is, whether or not an asset installed into the position must have a serial number). If the check box is selected, the position is not serialized and the corresponding asset does not require a serial number. If the check box is empty (default), the position is serialized and the corresponding asset must have a serial number.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Unique identifier of a build position.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Unique identifier of a build position.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Unique identifier of a build position. Value values are in the PLUSACMPOSCODE domain. You specify the maximum length of this value in the CM Options dialog box in the Organizations (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Unique identifier of a build position. Value values are in the PLUSACMPOSCODE domain. You specify the maximum length of this value in the CM Options dialog box in the Organizations (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

COMMIT
;

--*[300108]Translation Ratio: 100% (23/23 statements were translated successfully)
