--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXATTRIBUTE
      SET REMARKS = 'An extended Backus-Naur form (EBNF) that represents the allowable configuration of a string of linear positions. For more information, see About EBNF Expressions in the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LINEAREXPRESSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'An extended Backus-Naur form (EBNF) that represents the allowable configuration of a string of linear positions. For more information, see About EBNF Expressions in the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LINEAREXPRESSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of a configuration rule. For more information, see About Configuration Rule Types in the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'APPLETYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of a configuration rule. For more information, see About Configuration Rule Types in the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'APPLETYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a build position is nonserialized (that is, does not require a CM item with a serial number). If the check box is selected, the position is nonserialized. If the check box is empty (default), the position is serialized.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a build position is nonserialized (that is, does not require a CM item with a serial number). If the check box is selected, the position is nonserialized. If the check box is empty (default), the position is serialized.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Icon that represents the corresponding build item. This icon appears on the Hierarchy Tree subtab in the Models (Av) application and on the View tab in the Assets (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'ICON'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Icon that represents the corresponding build item. This icon appears on the Hierarchy Tree subtab in the Models (Av) application and on the View tab in the Assets (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'ICON'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'An extended Backus-Naur form (EBNF) that represents the allowable configuration of a string of linear positions. For more information, see About EBNF Expressions in the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LINEAREXPRESSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'An extended Backus-Naur form (EBNF) that represents the allowable configuration of a string of linear positions. For more information, see About EBNF Expressions in the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LINEAREXPRESSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The name of a build item in a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The name of a build item in a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a build position is nonserialized (that is, does not require a CM item with a serial number). If the check box is selected, the position is nonserialized. If the check box is empty (default), the position is serialized.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a build position is nonserialized (that is, does not require a CM item with a serial number). If the check box is selected, the position is nonserialized. If the check box is empty (default), the position is serialized.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the corresponding check box is selected (default), the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the corresponding check box is selected (default), the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether any CM item is valid for this position in the corresponding configuration, If the check box is selected, any CM item is valid. If the check box is empty, the Build Data Interpreter (BDI) checks CM item applicability.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALLOWANYPART'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether any CM item is valid for this position in the corresponding configuration, If the check box is selected, any CM item is valid. If the check box is empty, the Build Data Interpreter (BDI) checks CM item applicability.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALLOWANYPART'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Value that is concatenated with the LCN prefix to create the LCN code of a build position.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LCNSUFFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Value that is concatenated with the LCN prefix to create the LCN code of a build position.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LCNSUFFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Component code associated with a build item. You specify the default length of this field in the CM Options dialog box in the Organizations (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Component code associated with a build item. You specify the default length of this field in the CM Options dialog box in the Organizations (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a maintenance event entered an alert status.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ALERTDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a maintenance event entered an alert status.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ALERTDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has not been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has not been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has nnot been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has nnot been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a master PM. The corresponding technical record is due at the same time as the PM that is associated with this master PM.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATMASTERPMID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a master PM. The corresponding technical record is due at the same time as the PM that is associated with this master PM.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATMASTERPMID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has not been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has not been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether you will enter meter usage offsets. If the check box is selected, you can enter offsets. If the check box is empty (default), you cannot enter 
offsets.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSAOFFSETS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether you will enter meter usage offsets. If the check box is selected, you can enter offsets. If the check box is empty (default), you cannot enter 
offsets.'
      WHERE OBJECTNAME = 'MAXVARINPUT'
            AND ATTRIBUTENAME = 'PLUSAOFFSETS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a work order package.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'WOPKGNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a work order package.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'WOPKGNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Asset to be included in a work package, besides the children of the original asset.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'INCLUDEASSET'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Asset to be included in a work package, besides the children of the original asset.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'INCLUDEASSET'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a work package includes work orders for child assets of the selected asset. If the check box is selected, the work package includes child assets. If the check box is empty, the work package does not include child assets.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'INCLUDECHILDREN'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a work package includes work orders for child assets of the selected asset. If the check box is selected, the work package includes child assets. If the check box is empty, the work package does not include child assets.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'INCLUDECHILDREN'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Location of a removed asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'REMOVETOLOCATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Location of a removed asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'REMOVETOLOCATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of follow-on work order for a removed asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'FOLLOWONWORKTYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of follow-on work order for a removed asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'FOLLOWONWORKTYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Label associated with a build item.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Label associated with a build item.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the application in which a work order originated. If the value is WRKPKG, the work order is part of a work package.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAREFERENCE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the application in which a work order originated. If the value is WRKPKG, the work order is part of a work package.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAREFERENCE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) automatically upgrades assets with a lower revision to this revision. The upgrade occurs when this revision takes effect. If the check box is selected (default), the BDI upgrades the assets. If the check box is empty, the BDI does not upgrade the assets.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) automatically upgrades assets with a lower revision to this revision. The upgrade occurs when this revision takes effect. If the check box is selected (default), the BDI upgrades the assets. If the check box is empty, the BDI does not upgrade the assets.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a configuration rule is a primary rule or a secondary rule. If the check box is selected (default), the rule is a primary rule. If the check box is cleared, the rule is a secondary rule. For more information, see the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PRIMARY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a configuration rule is a primary rule or a secondary rule. If the check box is selected (default), the rule is a primary rule. If the check box is cleared, the rule is a secondary rule. For more information, see the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PRIMARY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Boolean expression associated with a secondary configuration rule. For more information, see the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'SECONDARYCLAUSE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Boolean expression associated with a secondary configuration rule. For more information, see the Models (Av) help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'SECONDARYCLAUSE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Meter reading at which a maintenance event is due. Represents the sum of meter readings on the active date and the frequency interval.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUECOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Meter reading at which a maintenance event is due. Represents the sum of meter readings on the active date and the frequency interval.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUECOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the application updates the scheduled completion date of a work order to the deferral date. This update occurs when the status of the work order changes to Active. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the application updates the scheduled completion date of a work order to the deferral date. This update occurs when the status of the work order changes to Active. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) automatically upgrades assets in this revision when a higher revision takes effect. If the check box is selected, the BDI does not upgrade assets in this revision. If the check box is empty (default), the BDI upgrades the assets. For example, if a new revision applies to a specific aircraft and not to an entire fleet, select this check box.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADEOPTOUT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) automatically upgrades assets in this revision when a higher revision takes effect. If the check box is selected, the BDI does not upgrade assets in this revision. If the check box is empty (default), the BDI upgrades the assets. For example, if a new revision applies to a specific aircraft and not to an entire fleet, select this check box.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADEOPTOUT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Number of flight hours, engine cycles, or engine starts that indicate that a maintenance event is due; or the meter reading that indicates that a maintenance event is due. The latter definition applies if the corresponding Due at Count check box is selected.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Number of flight hours, engine cycles, or engine starts that indicate that a maintenance event is due; or the meter reading that indicates that a maintenance event is due. The latter definition applies if the corresponding Due at Count check box is selected.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date or meter reading that indicates that a maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date or meter reading that indicates that a maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the corresponding meter count value represents the meter reading when a maintenance event is due. If the check box is selected, a maintenance event is due when the corresponding meter reading reaches this meter count value. If the check box is empty (default), the meter count value represents the number of flight hours, engine cycles, or engine starts within which the maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the corresponding meter count value represents the meter reading when a maintenance event is due. If the check box is selected, a maintenance event is due when the corresponding meter reading reaches this meter count value. If the check box is empty (default), the meter count value represents the number of flight hours, engine cycles, or engine starts within which the maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Amount of fuel that a vehicle consumed on a trip, in fuel units.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'FUELQTY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Amount of fuel that a vehicle consumed on a trip, in fuel units.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'FUELQTY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'System of labels that identifies build positions in the physical hierarchy of a model, for example: ATA, UIN, or WUC. Valid values are in the PLUSACMLABEL domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LABELSYSTEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'System of labels that identifies build positions in the physical hierarchy of a model, for example: ATA, UIN, or WUC. Valid values are in the PLUSACMLABEL domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LABELSYSTEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Either the units of measure in which PM frequency is expressed (for example, days) or the description of a meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'METERUNIT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Either the units of measure in which PM frequency is expressed (for example, days) or the description of a meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'METERUNIT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Method of compliance (MOC). If no work order exists for a technical record, the MOC explains why no work order was necessary and how the business complied with the technical record.'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'MOC'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Method of compliance (MOC). If no work order exists for a technical record, the MOC explains why no work order was necessary and how the business complied with the technical record.'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'MOC'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the reason for a repair. Valid values are in the PLUSAPROBLEM domain.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSARFR'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the reason for a repair. Valid values are in the PLUSAPROBLEM domain.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSARFR'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Revision of a model.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Revision of a model.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Initial (anchor) count for the corresponding meter in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWSUBMETER'
            AND ATTRIBUTENAME = 'ANCHORCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Initial (anchor) count for the corresponding meter in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWSUBMETER'
            AND ATTRIBUTENAME = 'ANCHORCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a work order package.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'WOPKGNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a work order package.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'WOPKGNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a work order package.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'WOPKGDESC'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a work order package.'
      WHERE OBJECTNAME = 'PLUSACREATEWOPKG'
            AND ATTRIBUTENAME = 'WOPKGDESC'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the work order package to which a work order belongs.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAREFERENCEID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the work order package to which a work order belongs.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAREFERENCEID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether active deferrals exist for a work order. If the value is Y, active deferrals exist. If the value is N, no active deferrals exist, but inactive deferrals might exist.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSADEF'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether active deferrals exist for a work order. If the value is Y, active deferrals exist. If the value is N, no active deferrals exist, but inactive deferrals might exist.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSADEF'
;

COMMIT
;

--*[300108]Translation Ratio: 100% (91/91 statements were translated successfully)
