--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSAASSETMETER','ASSET','ASSETMETER','assetnum = :assetnum and siteid = :siteid and exists (select metername from meter where metername=assetmeter.metername and metertype not in (select value from synonymdomain where maxvalue=''CONTINUOUS'' and domainid=''METERTYPE''))','Relationship to the AssetMeter object, used to find the asset meters for the current asset that do not have a CONTINUOUS meter type',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

--*[300108]Translation Ratio: 100% (1/1 statements were translated successfully)

update maxattribute set classname = 'psdi.plusa.app.plusanewas.PlusAFldMeter' where objectname = 'PLUSANEWSUBMETER' and attributename = 'METERNAME'
;

update maxattributecfg set classname = 'psdi.plusa.app.plusanewas.PlusAFldMeter' where objectname = 'PLUSANEWSUBMETER' and attributename = 'METERNAME'
;

update maxrelationship set whereclause = 'catid in (select catid from plusacmxcat where builditemid in (select builditemid from plusacmbuild where indenture = 1 and modelid = :modelid))' where parent = 'PLUSACMBUILD' and name = 'PLUSACMPOSITIONSR'
;

update maxrelationship set whereclause = 'catid in (select catid from plusacmxcat where builditemid in (select builditemid from plusacmbuild where indenture = 1 and modelid in (select modelid from plusacmbuilditem where plusacmbuilditemid = :builditemid)))' where parent = 'PLUSACMXCAT' and name = 'PLUSACMITEMSR'
;

update maxrelationship set whereclause = 'catid in (select catid from plusacmxcat where builditemid in (select builditemid from plusacmbuild where indenture = 1 and modelid in (select modelid from plusacmbuilditem where plusacmbuilditemid = :builditemid)))' where parent = 'PLUSACAXMASTERPM' and name = 'PLUSACMPMSR'
;

update maxdomain set description = 'Deferral Reason'  where domainid = 'PLUSADEFREASON'
;
update maxdomain set description = 'Part Failure'  where domainid = 'PLUSAPARTFAILURE'
;
update alndomain set description = 'Component Failure' where domainid = 'PLUSADEFREASON' and value = 'FAILURE'
;

update maxmenu set visible = 0 WHERE moduleapp = 'PLUSAWO' and keyvalue = 'NEWWRKPKG'
;

update maxrelationship set whereclause = 'assetnum = :assetnum and siteid = :siteid  and (((select plusacatid from asset am where am.assetnum = assetmeter.assetnum and am.siteid = assetmeter.siteid ) is not null  and not exists (select metername from meter where metername=assetmeter.metername and metertype in (select value from synonymdomain where maxvalue=''CONTINUOUS'' and domainid=''METERTYPE''))) OR (select plusacatid from asset am where am.assetnum = assetmeter.assetnum and am.siteid = assetmeter.siteid ) is null )'
 where name = 'PLUSAASSETMETER' and parent = 'ASSET' and child = 'ASSETMETER'
;

update maxattribute set attributeno = attributeno + 2 where objectname  = 'PLUSANEWASSET' and attributeno >3
;
update maxattribute set attributeno = 4  where objectname  = 'PLUSANEWASSET' and attributename  = 'ITEM'
;
update maxattribute set attributeno = 5  where objectname  = 'PLUSANEWASSET' and attributename  = 'MODEL'
;
update maxattribute set attributeno = attributeno + 1 where objectname  = 'PLUSANEWASSET' and attributeno >2
;
update maxattribute set attributeno = 3  where objectname  = 'PLUSANEWASSET' and attributename  = 'ASSETNUM'
;
update maxattribute set attributeno = attributeno - 2 where objectname  = 'PLUSANEWASSET' and attributeno >22
;
update maxattributecfg set attributeno = attributeno + 2 where objectname  = 'PLUSANEWASSET' and attributeno >3
;
update maxattributecfg set attributeno = 4  where objectname  = 'PLUSANEWASSET' and attributename  = 'ITEM'
;
update maxattributecfg set attributeno = 5  where objectname  = 'PLUSANEWASSET' and attributename  = 'MODEL'
;
update maxattributecfg set attributeno = attributeno + 1 where objectname  = 'PLUSANEWASSET' and attributeno >2
;
update maxattributecfg set attributeno = 3  where objectname  = 'PLUSANEWASSET' and attributename  = 'ASSETNUM'
;
update maxattributecfg set attributeno = attributeno - 2 where objectname  = 'PLUSANEWASSET' and attributeno >22
;