--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSANEWCONFIG','PLUSACMMODEL','PLUSACMCONFIG','1 = 2','Relationship used to create a new Variation.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

insert into maxrelationship (name, parent, child, whereclause, remarks, maxrelationshipid) values ('PLUSANEWBUILD', 'PLUSACMMODEL', 'PLUSACMBUILD', '1 = 2', 'Relationship used to create a new Build Position.', NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'PLUSACACATID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'PLUSACACATID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'CONFIGID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'CONFIGID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'PLUSACMMODELID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'PLUSACMMODELID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'PLUSACMMODELID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'PLUSACMMODELID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'PLUSACMMODELID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'PLUSACMMODELID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 2
      WHERE OBJECTNAME = 'PLUSAVHIGHERPART'
            AND ATTRIBUTENAME = 'PLUSACMBUILDID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 2
      WHERE OBJECTNAME = 'PLUSAVHIGHERPART'
            AND ATTRIBUTENAME = 'PLUSACMBUILDID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'PLUSACMREVISIONID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'PLUSACMREVISIONID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = NULL
      WHERE OBJECTNAME = 'PLUSACMVCONFIG'
            AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

--*[300108]Translation Ratio: 100% (21/21 statements were translated successfully)

UPDATE MAXAPPS
      SET DESCRIPTION = 'CM Item Master (CM)'
      WHERE APP = 'PLUSACA'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Technical Records (CM)'
      WHERE APP = 'PLUSATR'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Models (CM)'
      WHERE APP = 'PLUSACM'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Assets (CM)'
      WHERE APP = 'PLUSAASSET'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Preventive Maintenance (CM)'
      WHERE APP = 'PLUSAPM'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Master PM (CM)'
      WHERE APP = 'PLUSAMASPM'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'New Asset Assemblies (CM)'
      WHERE APP = 'PLUSANEWAS'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Organizations (CM)'
      WHERE APP = 'PLUSAORG'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Logs (CM)'
      WHERE APP = 'PLUSALOGS'
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Work Order Tracking (CM)'
      WHERE APP = 'PLUSAWO'
;


insert into maxmenu (moduleapp,menutype,position,subposition,elementtype,keyvalue,headerdescription,url,visible,image,accesskey,tabdisplay,maxmenuid) values ('PLUSATR','APPMENU',85,0,'SEP','PLUSAAM230',null,null,1,null,null,null,nextval for maxmenuseq)
;
insert into maxmenu (moduleapp,menutype,position,subposition,elementtype,keyvalue,headerdescription,url,visible,image,accesskey,tabdisplay,maxmenuid)  values ('PLUSATR','APPMENU',90,0,'HEADER','PLUSAM90','Attachment Library/Folders',null,1,null,null,'ALL',nextval for maxmenuseq)
;

insert into sigoption (app, optionname, description,esigenabled,visible,sigoptionid,hasld,langcode)
Values ('PLUSATR','MANAGELIB','Manage Library',0,1,nextval for sigoptionseq,0,'EN')
;
insert into applicationauth (app, optionname, groupname,applicationauthid)
select 'PLUSATR','MANAGELIB',groupname, nextval for applicationauthseq from maxgroup where exists (select * from applicationauth where applicationauth.groupname = maxgroup.groupname and applicationauth.optionname = 'READ' and applicationauth.app = 'PLUSATR')
;
insert into maxmenu (menutype, moduleapp, position, subposition,elementtype, keyvalue, headerdescription, visible, image, accesskey, tabdisplay,maxmenuid) 
Values ('APPMENU','PLUSATR',90,10,'OPTION','MANAGELIB','',1,NULL,NULL,'ALL',nextval for maxmenuseq)
;

insert into sigoption (app, optionname, description,esigenabled,visible,sigoptionid,hasld,langcode)
Values ('PLUSATR','MANAGEFOLD','Manage Folders',0,1,nextval for sigoptionseq,0,'EN')
;
insert into applicationauth (app, optionname, groupname,applicationauthid)
select 'PLUSATR','MANAGEFOLD',groupname, nextval for applicationauthseq from maxgroup where exists (select * from applicationauth where applicationauth.groupname = maxgroup.groupname and applicationauth.optionname = 'READ' and applicationauth.app = 'PLUSATR')
;
insert into maxmenu (menutype, moduleapp, position, subposition,elementtype, keyvalue, headerdescription, visible, image, accesskey, tabdisplay,maxmenuid) 
Values ('APPMENU','PLUSATR',90,20,'OPTION','MANAGEFOLD','',1,NULL,NULL,'ALL',nextval for maxmenuseq)
;

insert into sigoption (app, optionname, description,esigenabled,visible,sigoptionid,hasld,langcode)
Values ('PLUSATR','ASSOCFOLD','Associate Folders',0,1,nextval for sigoptionseq,0,'EN')
;
insert into applicationauth (app, optionname, groupname,applicationauthid)
select 'PLUSATR','ASSOCFOLD',groupname, nextval for applicationauthseq from maxgroup where exists (select * from applicationauth where applicationauth.groupname = maxgroup.groupname and applicationauth.optionname = 'READ' and applicationauth.app = 'PLUSATR')
;
insert into maxmenu (menutype, moduleapp, position, subposition,elementtype, keyvalue, headerdescription, visible, image, accesskey, tabdisplay,maxmenuid) 
Values ('APPMENU','PLUSATR',90,30,'OPTION','ASSOCFOLD','',1,NULL,NULL,'ALL',nextval for maxmenuseq)
;

/************** update module icon and change new asset status action/button **************/
update maxmenu 
      set image = 'modimg_aviation.gif' 
	  where elementtype = 'MODULE' 
            and moduleapp = 'AVIATION'
;
update sigoption 
      set optionname = 'STATUSNA' 
      where app = 'PLUSANEWAS' 
            and optionname = 'STATUS'
;
update maxmenu 
      set keyvalue = 'STATUSNA' 
      where keyvalue = 'STATUS' 
            and moduleapp = 'PLUSANEWAS'
;
update applicationauth 
      set optionname = 'STATUSNA' 
      where app = 'PLUSANEWAS' 
            AND optionname = 'STATUS'
;

/************** update app icons **************/
update maxmenu set image = 'appimg_plusaasset.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSAASSET'
;
update maxmenu set image = 'appimg_plusaca.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSACA'
;
update maxmenu set image = 'appimg_plusacm.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSACM'
;
update maxmenu set image = 'appimg_plusalogs.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSALOGS'
;
update maxmenu set image = 'appimg_plusamaspm.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSAMASPM'
;
update maxmenu set image = 'appimg_plusanewas.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSANEWAS'
;
update maxmenu set image = 'appimg_plusaorg.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSAORG'
;
update maxmenu set image = 'appimg_plusapm.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSAPM'
;
update maxmenu set image = 'appimg_plusatr.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSATR'
;
update maxmenu set image = 'appimg_plusawo.gif' where elementtype = 'APP' and menutype = 'MODULE' and keyvalue = 'PLUSAWO'
;

/************** update maxrelationships - ISSUE 07-12943 **************/

update maxrelationship set whereclause = 'buildid in (select plusacmbuildid from plusacmbuild where modelid = :plusacmmodelid and indenture = 1)' where name = 'PLUSACMCONFIG' and parent = 'PLUSACMMODEL'
;

update maxrelationship set whereclause = 'buildid in (select plusacmbuildid from plusacmbuild where modelid = :plusacmmodelid and indenture = 1)' where name = 'PLUSACMREVISION' and parent = 'PLUSACMMODEL'
;

update maxrelationship set whereclause = 'modelid = :plusacmmodelid and indenture = 1' where name = 'PLUSACMPARENTBUILD' and parent = 'PLUSACMMODEL'
;

update maxrelationship set whereclause = 'buildid in (select plusacmbuildid from plusacmbuild where modelid = :modelid and indenture = 1)' where name = 'PLUSACMPOSITIONCONFIG' and parent = 'PLUSACMBUILD'
;

update maxrelationship set whereclause = 'buildid in (select plusacmbuildid from plusacmbuild where modelid = (select modelid from plusacmbuilditem where plusacmbuilditemid = :builditemid) and indenture = 1)' where name = 'PLUSACMITEMCONFIG' and parent = 'PLUSACMXCAT'
;

update maxrelationship set whereclause = 'buildid in (select plusacmbuildid from plusacmbuild where modelid =(select modelid from plusacmbuilditem where plusacmbuilditemid = :builditemid) and indenture = 1)' where name = 'PLUSACMPMCONFIG' and parent = 'PLUSACAXMASTERPM'
;

update maxrelationship set whereclause = 'buildid in (select plusacmbuildid from plusacmbuild where modelid = (select modelid from plusacmbuilditem where plusacmbuilditemid = :builditemid) and indenture = 1)' where name = 'PLUSACMLABELCONFIG' and parent = 'PLUSACMLABEL'
;