--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSAASSET','PLUSAVWCFG','View Configuration Change History',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSAASSET',
                                                                                'PLUSAVWCFG',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSAASSET')
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSAASSET',53,40,'OPTION','PLUSAVWCFG',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSASAEICONFIG','PLUSASAONOFF','PLUSASAEICONFIG','assetid = :assetid and transtime <= :asofdate','Relationship to find the histories up through the As Of Date.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMMODEL','PLUSASAEICONFIG','PLUSACMMODEL','plusacmmodelid = :modelid','Relationship to find the Model for a PLUSASAEICONFIG record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMCONFIG','PLUSASAEICONFIG','PLUSACMCONFIG','plusacmconfigid = :configid','Relationship to find the Configuration for a PLUSASAEICONFIG record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMREVISION','PLUSASAEICONFIG','PLUSACMREVISION','plusacmrevisionid = :revisionid','Relationship to find the Revision for a PLUSASAEICONFIG record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSAPERSON','PLUSASAEICONFIG','PERSON','personid = :personid','Relationship to find the Person who entered the record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

--*[300108]Translation Ratio: 100% (8/8 statements were translated successfully)