--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSAMASPM','PLUSACTAPM','Create Associated PMs for CM Items',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSAMASPM',
                                                                                'PLUSACTAPM',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSAMASPM')
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSAMASPM',23,0,'OPTION','PLUSACTAPM',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

COMMIT
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSATR','PM','PLUSATR','plusatrid in (select trid from plusalfevent where pmuid = :pmuid)','Relationship to find the Technical Record associated with a PM.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

COMMIT
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusAFldTRPublication'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'PUBLICATION'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusAFldTRPublication'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'PUBLICATION'
;

COMMIT
;

UPDATE MAXATTRIBUTE
      SET REQUIRED = 0
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAITEM'
;

UPDATE MAXATTRIBUTECFG
      SET REQUIRED = 0
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAITEM'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.asset.PlusAFldAssetMoveModifyNewParent'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'NEWPARENT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.asset.PlusAFldAssetMoveModifyNewParent'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'NEWPARENT'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.asset.PlusAFldAssetItemnum'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'ITEMNUM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.asset.PlusAFldAssetItemnum'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'ITEMNUM'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.asset.PlusAFldAssetParent'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PARENT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.asset.PlusAFldAssetParent'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PARENT'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'MAXVARINPUT','PLUSAOFFSETS',NULL,NULL,'PLUSAOFFSETS',NULL,990,'YORN',1,0,1,0,NULL,NULL,1,0,'Specifies whether the Customer is using Life Offsets.','0','Use Life Offsets',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'MAXVARINPUT','PLUSAOFFSETS',NULL,NULL,'PLUSAOFFSETS',NULL,990,'YORN',1,0,1,0,NULL,NULL,1,0,'Specifies whether the Customer is using Life Offsets.','0','Use Life Offsets',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXVARS (VARNAME,VARVALUE,ORGID,SITEID,MAXVARSID) SELECT 'PLUSAOFFSETS',
                                                                     '0',
                                                                     ORGID,
                                                                     CAST (NULL AS VARCHAR(8)),
                                                                     NEXTVAL FOR MAXVARSSEQ
                                                              FROM ORGANIZATION
;

INSERT INTO MAXVARTYPE (VARNAME,VARTYPE,DEFAULTVALUE,DESCRIPTION,MAXVARTYPEID) VALUES ('PLUSAOFFSETS','ORG','0','This will determine whether the Customer is using Life Offsets.',NEXTVAL FOR MAXVARTYPESEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSAOFFSETSMAXVARINPUT','ORGANIZATION','MAXVARINPUT','orgid=:orgid','Relationship to the MaxVarInput table, used to get an instance of the non-persistent MBO of MaxVarInput for the organization. (maxvarinput.orgid =  organization.orgid). This relationship will find zero or more objects.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

COMMIT
;

--*[300108]Translation Ratio: 100% (23/23 statements were translated successfully)
