--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSALOGS','HASPROBLEM','PLUSALOGS','HASPROBLEM','HASPROBLEM',NULL,6,'YORN',1,0,1,0,NULL,NULL,0,0,'Indicates if Logs has any problem associated.','0','Problem',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSALOGS','HASPROBLEM','PLUSALOGS','HASPROBLEM','HASPROBLEM',NULL,6,'YORN',1,0,1,0,NULL,NULL,0,0,'Indicates if Logs has any problem associated.','0','Problem',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

ALTER TABLE plusalogs
 ADD COLUMN hasproblem FLOAT NOT NULL WITH DEFAULT 0
;


UPDATE MAXVIEW
      SET VIEWSELECT = 'plusalogs.plusalogsid, plusalogs.assetnum, plusalogs.logid, plusalogs.orgid, plusalogs.siteid, plusalogs.rowstamp, plusalogentry.plusalogentryid, plusalogentry.comments, plusalogentry.destination, plusalogentry.operator, plusalogentry.enddatetime, plusalogentry.fuelqty, plusalogentry.miles, plusalogentry.porigin, plusalogentry.startdatetime, plusalogentry.utilization, plusalogentry.tripdate, plusalogentry.tripnum, plusalogentry.units, plusalogentry.tripqty, plusalogentry.tripunits, plusalogentry.duration, plusalogentry.delayduration, plusalogentry.delaycode, plusalogentry.callsign, plusalogentry.passengers, plusalogentry.reportedby, plusalogs.hasproblem', VIEWFROM = 'FROM plusalogs LEFT OUTER JOIN plusalogentry on plusalogs.logid = plusalogentry.logid and plusalogs.assetnum = plusalogentry.assetnum and plusalogs.siteid = plusalogentry.siteid', VIEWWHERE = NULL
      WHERE VIEWNAME = 'PLUSALOGTRIP'
;

UPDATE MAXVIEWCFG
      SET VIEWSELECT = 'plusalogs.plusalogsid, plusalogs.assetnum, plusalogs.logid, plusalogs.orgid, plusalogs.siteid, plusalogs.rowstamp, plusalogentry.plusalogentryid, plusalogentry.comments, plusalogentry.destination, plusalogentry.operator, plusalogentry.enddatetime, plusalogentry.fuelqty, plusalogentry.miles, plusalogentry.porigin, plusalogentry.startdatetime, plusalogentry.utilization, plusalogentry.tripdate, plusalogentry.tripnum, plusalogentry.units, plusalogentry.tripqty, plusalogentry.tripunits, plusalogentry.duration, plusalogentry.delayduration, plusalogentry.delaycode, plusalogentry.callsign, plusalogentry.passengers, plusalogentry.reportedby, plusalogs.hasproblem', VIEWFROM = 'FROM plusalogs LEFT OUTER JOIN plusalogentry on plusalogs.logid = plusalogentry.logid and plusalogs.assetnum = plusalogentry.assetnum and plusalogs.siteid = plusalogentry.siteid', VIEWWHERE = NULL
      WHERE VIEWNAME = 'PLUSALOGTRIP'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACM','PLUSALOGTRIP','PLUSACM','plusalogentryid in (select plusalogentryid from plusalogentry where logid = :logid and assetnum=:assetnum and siteid=:siteid)','Relationship to the PLUSALOGENTRY table.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSALOGTRIP','HASPROBLEM','PLUSALOGTRIP','HASPROBLEM','HASPROBLEM',NULL,29,'YORN',1,0,1,0,'PLUSALOGS','HASPROBLEM',0,0,'Indicates if Logs has any problem associated.','0','Problem',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSALOGTRIP','HASPROBLEM','PLUSALOGTRIP','HASPROBLEM','HASPROBLEM',NULL,29,'YORN',1,0,1,0,'PLUSALOGS','HASPROBLEM',0,0,'Indicates if Logs has any problem associated.','0','Problem',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXVIEWCOLUMN (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,MAXVIEWCOLUMNID) VALUES ('PLUSALOGTRIP','HASPROBLEM',NULL,'PLUSALOGS','HASPROBLEM',NEXTVAL FOR MAXVIEWCOLUMNSEQ)
;

INSERT INTO MAXVIEWCOLUMNCFG (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,CHANGED,MAXVIEWCOLUMNID) VALUES ('PLUSALOGTRIP','HASPROBLEM',NULL,'PLUSALOGS','HASPROBLEM','N',NEXTVAL FOR MAXVIEWCOLUMNCFGSEQ)
;

COMMIT
;

--*[300108]Translation Ratio: 76.92% (10/13 statements were translated successfully)
