<%--
 *
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * 5724-M19
 *
 * (C) COPYRIGHT IBM CORP. 2006
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *
--%>
<%@ include file="../common/componentheader.jsp" %>
<%
	// Change the REPLACE_ variable values below to alter what color is vtree nodes are displayed in.
	// Any color that can be used as a valid style sheet color value can be used.  REPLACE_BLACK is an example of an RGB value.
	// NOTE:  The BLACK does not apply to the default font color.  The default color is black and is not currently customizable.
	// The black below is used when the system updates the color to black based on some condition.
    String REPLACE_BLACK = "#000000";
    String REPLACE_RED = "Red";
    String REPLACE_ORANGE = "Orange";
    String REPLACE_GREEN = "Green";
    String REPLACE_BLUE = "Blue";
    String REPLACE_GRAY = "Gray";

    String BLACK = "Black";
    String RED = "Red";
    String ORANGE = "Orange";
    String GREEN = "Green";
    String BLUE = "Blue";
    String GRAY = "Gray";

//System.out.println(">>> vtree render jsp1 " + id);
	psdi.webclient.components.VTree myComp = (psdi.webclient.components.VTree)component;
	myComp.initForIteration();

	String CONST_RESTRICT_ACTION_ON_LEAFNODES = "LEAF_NODES";
	String CONST_RESTRICT_ACTION_ON_BRANCHNODES = "BRANCH_NODES";
	String[] nodeData;
	boolean enablecheckbox = control.getProperty("enablecheckbox").equals("true");
	boolean enablereturn = control.getProperty("enablereturn").equals("true");
	boolean displaynodeimage = control.getProperty("displaynodeimage").equals("true");
	String restrictactionon = control.getProperty("restrictactionon");
	String selectimage = "vtree_select.gif";
	String[] sl = myComp.getSortLabels();
	String[] ff = myComp.getFilterFields();
%>
<div id="<%=id %>" style="border:1px solid #aaa;overflow:auto;height:<%=control.getProperty("height") %>px" >
	<%
	for(int i=1;i>0;)
	{
		// if brachiateTree() returns false, there are no more nodes
		if(!myComp.brachiateTree()) break;
		// if the tree branches in, close the parent div
		if(myComp.checkBranchedIn()) {
	%>
		</div>
	<%
		} else {
			// if the tree branches out, display the filterbar, and an indented div to contain the siblings
			if(myComp.checkBranchedOut())		{
				String prevpageEvent = "onclick=\"sendEvent('prevpage', '" + id + "', '" + myComp.getParentUID() + "');\"";
				String nextpageEvent = "onclick=\"sendEvent('nextpage', '" + id + "', '" + myComp.getParentUID() + "');\"";
				String filtertoggleEvent = "onclick=\"var vTarg = document.getElementById('" + myComp.getParentUID() + "_filterbody'); vTarg.style.display = ((vTarg.style.display == 'none') ? 'inline' : 'none');sendEvent('filterexpand', '" + id + "', '" + myComp.getParentUID() + "');\"";
				String filterImg = ((myComp.getParentFilterExpanded()) ? "tablebtn_filter_on.gif" : "tablebtn_filter_off.gif");
	%>
		<% if(ff != null && !ff[0].equals("")) { 		%>
		<div style='position:relative;left:25px;background:#9bb3cb;width:360;color:#003366;font-size:10px;'>
			<img src="<%= IMAGE_PATH + filterImg %>" <%=filtertoggleEvent %>/><span> <%=wcs.getMaxMessage("tableinfo","cntrlTableFilter").getMessage() %> </span><img src="<%= IMAGE_PATH %>tablebtn_previous_on.gif" <%=prevpageEvent %>/> <%=myComp.getFBState() %> <img src="<%= IMAGE_PATH %>tablebtn_next_on.gif" <%=nextpageEvent %>/>
		</div>
		<div id="<%=myComp.getParentUID() %>_filterbody" style='position:relative;left:25px;display:<%=((myComp.getParentFilterExpanded()) ? "inline" : "none") %>;' class="tt">
			<div>
				<% for(int j=0;j<sl.length;j++) { 
					String sortEvent = "onclick=\"sendEvent('sortevt', '" + id + "', '" + myComp.getParentUID() + "-x-" + j + "');\"";
				%><span style="position:relative;width=163px;" class="tht" <%=sortEvent %>><%=sl[j] %></span>
				<% } // end -- for(int j=0;j<sl.length;j++) { %>
			</div>
			<div>
				<%	String valueList = "";
					for(int j=0;j<ff.length;j++) {
						valueList += " + document.getElementById('" + myComp.getParentUID() + "_" + j + "_filtertext').value";
						if(j+1 < ff.length) valueList += " + '-x-'";
					} // end -- for(int j=0;j<ff.length;j++) {
				%>
				<% for(int j=0;j<ff.length;j++) { 
					String filterEvent = "onkeypress=\"if(window.event.keyCode == 13) sendEvent('filterevt', '" + id + "', '" + myComp.getParentUID() + "-x-'" + valueList + ");\"";
				%><input id="<%=myComp.getParentUID() + "_" + j %>_filtertext" style="position:relative;left=<%=j * 15 %>;" class="tff" type="text" <%=filterEvent %> value="<%=myComp.getParentFilterValue(j) %>"/>
				<% } // end -- for(int j=0;j<ff.length;j++) {  %>
			</div>
		</div>
		<% } // end -- if(ff != null && !ff[0].equals("")) { %>
		<div style='position:relative;left:25px;'>
	<%	} // end -- if(myComp.checkBranchedOut())		{
		if(!myComp.isPlaceHolderNode()) {
			nodeData = myComp.getNodeData();
			String nodestateimage = nodeData[2];
			String checkboximg = "vtree_unchecked.gif";
			boolean nodehaschildren = myComp.checkHasChildren();
			boolean nodereadonly = nodeData[4].equalsIgnoreCase(myComp.getYesValue());
			boolean nodecheckboxchecked = nodeData[5].equalsIgnoreCase(myComp.getYesValue());
			String nodeimage = nodeData[6];
			boolean nodecheckboxvisible = nodeData[8].equalsIgnoreCase(myComp.getYesValue());
			nodestateimage = (nodehaschildren)?"node_collapsed.gif":"node_nochildren.gif";
			if(nodehaschildren && myComp.checkExpanded()) nodestateimage = "node_expanded.gif";
			
			String descStyle = "style='";
			if(myComp.getSelNode().equals(nodeData[1])) descStyle = descStyle + "background:#ebe9e9;";
			String boldVal = myComp.getStyleUpdate(nodeData[1], "bold");
			if(!boldVal.equals("")) descStyle = descStyle + "font-weight:bold;";
			String styleVal = myComp.getStyleUpdate(nodeData[1], "italic");
			if(!styleVal.equals("")) descStyle = descStyle + "font-style:italic;";

			String colorVal = myComp.getStyleUpdate(nodeData[1], "color");
			if(colorVal.equals(BLACK.toLowerCase())) colorVal = REPLACE_BLACK.toLowerCase();
			if(colorVal.equals(RED.toLowerCase())) colorVal = REPLACE_RED.toLowerCase();
			if(colorVal.equals(ORANGE.toLowerCase())) colorVal = REPLACE_ORANGE.toLowerCase();
			if(colorVal.equals(GREEN.toLowerCase())) colorVal = REPLACE_GREEN.toLowerCase();
			if(colorVal.equals(BLUE.toLowerCase())) colorVal = REPLACE_BLUE.toLowerCase();
			if(colorVal.equals(GRAY.toLowerCase())) colorVal = REPLACE_GRAY.toLowerCase();
			if(!colorVal.equals("")) descStyle = descStyle + "color:" + colorVal + ";";
			descStyle = descStyle + "'";

	%>
		<div>
			<img id="<%=nodeData[1] + "_expand" %>" src="<%= IMAGE_PATH + nodestateimage %>" onclick="sendEvent('click', '<%=id %>', '<%=nodeData[1] %>');"/>
			<%
			boolean handleaction = true;
			if (restrictactionon != null) {
				if(restrictactionon.equalsIgnoreCase(CONST_RESTRICT_ACTION_ON_BRANCHNODES)) {
					if (!nodehaschildren)
						handleaction = false;
				}
				else if(restrictactionon.equalsIgnoreCase(CONST_RESTRICT_ACTION_ON_LEAFNODES)) {
					if (nodehaschildren)
						handleaction = false;
				}
			} // end -- if (restrictactionon != null) {
			if(enablereturn && handleaction) {
				%>
			<img id="<%=nodeData[1] + "_selimg" %>" src="<%= IMAGE_PATH + selectimage %>" onclick="sendEvent('selectnode', '<%=id %>', '<%=nodeData[0] + "," + nodeData[1] %>');"/>
			<%
			} // end -- if(enablereturn && handleaction) {
			//System.out.println(">>> enablecheckbox: " + enablecheckbox + " handleaction: " + handleaction + " nodecheckboxvisible: " + nodecheckboxvisible + " nodeData[8]: " + nodeData[8]);
			if (enablecheckbox && handleaction) {
				if (!nodecheckboxvisible)
					checkboximg = "vtree_hidchecked.gif";
				else if (nodecheckboxchecked) {
					checkboximg = (nodereadonly) ? "vtree_halfchecked.gif" : "vtree_checked.gif";
				} // end -- if (enablecheckbox && handleaction) {
			%>
			<img id="<%=nodeData[1] + "_check" %>" src="<%= IMAGE_PATH + checkboximg %>" onclick="sendEvent('check', '<%=id %>', '<%=nodeData[0] + "," + nodeData[1] %>');"/>
			<% 
			} // end -- if (enablecheckbox && handleaction) {
			if (displaynodeimage){
				if (nodeimage.equals("")) nodeimage = "vtree_mxstate_clear.gif";
				%>
			<img id="<%=nodeData[1] + "_nodeimg" %>" src="<%= IMAGE_PATH + nodeimage %>"/>
			<% } // end -- if (displaynodeimage){	%>
			<span <%=descStyle %> class="tt"  onclick="sendEvent('selectnode', '<%=id %>', '<%=nodeData[0] + "," + nodeData[1] %>');"><%=nodeData[7] %></span>
		</div>
	<%
			} // end -- if(!myComp.isPlaceHolderNode()) {
		}  // end -- if(myComp.checkBranchedIn()) {
	} // end main loop
	%>
</div>
<%@ include file="../common/componentfooter.jsp" %>