</script>
<script defer="true">
//** raptor.js 2005

	function vTree_Render(vTree, vParentId, vSiblingId, vNew, vMode) {
		var vTarget = vTree.document.getElementById(vParentId + "_children");
		if (!undef(vTarget)) {
			if (vMode == "children") {
//var myRef = window.open('');
//myRef.document.write(vNew.innerHTML);
//vTarget.innerHTML = "test";
				vTarget.innerHTML = vNew.innerHTML;
				vTarget.style.display = "";
				tree_handleStateIcon(vTree, vTarget.parentElement, "expanded");
			}
			else if (vMode == "insert") {
				var vNew2 = document.createElement("div");
				var vBeforeNode = vTree.document.getElementById(vSiblingId);
	
				if (!undef(vBeforeNode))
					vTarget.insertBefore(vNew2, vBeforeNode);
				else
					vTarget.insertBefore(vNew2);

				vNew2.innerHTML = vNew.innerHTML;
			}
		}
		vNew.removeNode(true);			
	}
	
	function vTree_Checkbox_onclick(vTree, vNodeId) {
		sendEvent("setvalue", vTree.id, vNodeId, "", "");
	}

	function vtree_onclick(ctrlInst)
	{
		var eventElement = library_getElementHavingEvent(ctrlInst, event.srcElement);
		var mxpart = eventElement.getAttribute("mxpart");
		switch(mxpart)
		{
			case "filterbarnext": 
			case "filterbarprev": 
				if(!undef(eventElement))
				{
					var parentobjectname = eventElement.getAttribute("parentobjectname");
					var parentuniqueid = eventElement.getAttribute("parentuniqueid");
					var delim = "-x-";
					parentuniqueid = parentuniqueid + delim + mxpart;
					
					sendEvent("filterbarpage", ctrlInst.id, parentuniqueid, parentobjectname);
				}
				break;
			case "filterbarsort":
				if(!undef(eventElement))
				{
					var parentobjectname = eventElement.getAttribute("parentobjectname");
					var delim = "-x-";
					var parentuniqueid = eventElement.getAttribute("parentuniqueid") + delim;
					parentuniqueid += eventElement.getAttribute("sortattribute") + delim;
					parentuniqueid += eventElement.getAttribute("sortascending");

					sendEvent("filterbarsort", ctrlInst.id, parentuniqueid, parentobjectname);
				}
				break;
			case "togglefilterstate":
				var filterbodyid = eventElement.getAttribute("filterbodyid");
				var parentobjectname = eventElement.getAttribute("parentobjectname");
				var onsrc = eventElement.getAttribute("onsrc");
				var offsrc = eventElement.getAttribute("offsrc");
				var vTarget = ctrlInst.document.getElementById(filterbodyid);
				
				eventElement.src = ((eventElement.src == onsrc) ? offsrc : onsrc)	
				vTarget.style.display = ((eventElement.src == onsrc) ? "inline" : "none");

				sendEvent("filterexpanded", ctrlInst.id, ((eventElement.src == onsrc) ? "true" : "false"), parentobjectname);
				break;
			case "filterbartext":
				break;
			default: 
				tree_onclick(ctrlInst);
				break; 
		}
	}

	function vtree_onkeypress(ctrlInst)
    {
		var eventElement = library_getElementHavingEvent(ctrlInst, event.srcElement);
		var mxpart = eventElement.getAttribute("mxpart");
        var key = window.event.keyCode;
		switch(mxpart)
		{
			case "filterbartext":
		        if (key == 13)
		        {
					if(!undef(eventElement))
					{
						var parentobjectname = eventElement.getAttribute("parentobjectname");
						var delim = "-x-";
						var parentuniqueid = eventElement.getAttribute("parentuniqueid") + delim;

				    	var attributes = eventElement.getAttribute("attributelist");
						var txtidbase = eventElement.getAttribute("textidbase");
						var attr = attributes.split(",");
						var vals = new Array(attr.length);
						
						for(var i=0; i<attr.length; i++)
						{
							var txtCtrl = ctrlInst.document.getElementById(txtidbase + "_input" + i);
							vals[i] = txtCtrl.value;
						}
						
						parentuniqueid += vals.join(",");

						sendEvent("filterbarquery", ctrlInst.id, parentuniqueid, parentobjectname);
					}
		        }
			default: tree_onkeypress(ctrlInst);  break;
		}
	}
</script>
<%@ include file="../../common/controlheader.jsp" %>
<%--
//******************************************************************************
// File: event handler for "vtree" control
//******************************************************************************
--%>
<%
	int CONST_TREE_NODE_CHILDREN_COUNT_DEFAULT = 50;
	String CONST_TREE_FIELD_DELIMITER = ": ";
	int debug = controlProperties.getInt("debug", 0);
	String CONST_RESTRICT_ACTION_ON_LEAFNODES = "LEAF_NODES";
	String CONST_RESTRICT_ACTION_ON_BRANCHNODES = "BRANCH_NODES";
	
	int FB_PARENTOBJ = 0;
	int FB_PARENTID = 1;
	int FB_RECORD_INDEX = 2;
	int FB_PAGE_STATE = 3;
	int FB_FILTER_FIELDS = 4;
	int FB_SORT_ATTR = 5;
	int FB_SORT_ASC = 6;
	int FB_AT_FIRST = 7;
	int FB_AT_LAST = 8;
	int FB_EXPANDED = 9;
	int FB_QBE_VALS = 10;
	int FB_SORT_LABELS = 11;
	
	int NUM_FB_ELEMENTS = 12;
	
	//Attributes specified for this control (in xml)
	String objectname = "";
	String keyattribute = "";
	String keyvalue	= "";
	String returnattribute = "";
	int maxchildren = controlProperties.getInt("maxchildren", CONST_TREE_NODE_CHILDREN_COUNT_DEFAULT);
	String restrictactionon = controlProperties.getString("restrictactionon", "");
	String expandfirstnode = controlProperties.getString("expandfirstnode", "false").toLowerCase();
	String treeheight = controlProperties.getString("height", "100%");
	String treewidth = controlProperties.getString("width", "100%");
	if(treewidth.indexOf("%")==-1)
		treewidth=treewidth+"px";
	if(treeheight.indexOf("%")==-1)
		treewidth=treewidth+"px";
	String style = "";

	psdi.plusa.webclient.beans.common.PlusATreeControlBean dataBean = null;
	int pageSize = 3;
//System.out.println(">>> " + Utility.getMessage(sessionContext,"plusavtree","filter"));
//System.out.println(">>> " + Utility.getMessage(sessionContext,"plusavtree","range"));
	
	//Attributes list passed to get*() method
	String[] dataattributes = null;
%>
<mro:handleevent eventtype="loadinit">
	<%
	if (
			controlProperties.get("datasrc") == null && 
			(
				controlProperties.get("mboname") != null || 
				controlProperties.get("relationship") != null || 
				controlProperties.get("beanclass") != null
			)
		)
	{
		//assuming inheriting datasrr from parent
		controlProperties.put("datasrc", id);	
	}
	%>
	<%
	//Properties specific for designmode
	String validElements[] = {"action", "datasrc", "treenode"};
	control.setValidElements(validElements);
	%>
	
	<mro:property name="restrictactionon" flags="global" />
	<mro:loadglobalproperties />
	<mro:processchildren />
</mro:handleevent>

<mro:handleevent eventtype="pageinit">
	<mro:instantiatebean beanclass="psdi.webclient.system.beans.DataBean"/>
	<mro:processchildren />
</mro:handleevent>

<mro:handleevent eventtype="render">
</script>
	<%
	// Define client-side events to be bound to a control
	String uniqueValue = null;
	String objectName = null;
	if(designmode)
	{%>
		<%@ include file="../../common/designerevents.jsp" %>
	<%}
	else{
		control_events+="ondblclick='tree_ondblclick(this);' "; 
		control_events+="onclick='vtree_onclick(this);' "; 
		control_events+="onkeypress='vtree_onkeypress(this);' "; 
	}
	%>
	<div 
		align="left" 
		class="treecontainer<%= (designmode)?"_designmode":""%>" 
		id="<%=id%>" 
		control="true" controltype="vtree"  
		style="height:<%=treeheight%>;width:<%=treewidth%>;overflow:auto;" 
		<%= control_events%>  >
		<%if(designmode){%>
			<%
			label = (control.getProperties()).getString("controltype") + "...";
			%>
			<%@ include file="../../shared/renderactions.jsp" %> 
			<div><a href="" onmouseover="window.status='';return true;" onclick="return false;"><%= label%></a></div>
			<div>
				<mro:processchildren />
			</div>
		<%}else{
		%>
			<%@ include file="initialize.jsp" %>
			<div 
				nowrap="true" 
				align="left"  
				class="treecontrol" 
				tabindex="0">
				<%
				dataBean.setHierarchy(objectname, null, null);
				Object[][] mvd = null;
				mvd = dataBean.getTop(dataattributes, maxchildren);
			
				if (mvd != null && mvd.length > 0) {
					if (mvd[0][0] instanceof psdi.mbo.MboValueData) {
						uniqueValue = ((MboValueData)mvd[0][1]).getData();
						objectName = ((MboValueData)mvd[0][0]).getData();
					}
					else {
						uniqueValue = ((MboValueData)mvd[0][1]).toString();
						objectName = ((MboValueData)mvd[0][0]).toString();
					}
					// remember the current record so that we can refresh the tree on a record change
					dataBean.setRootNodeID(uniqueValue);
				}
				
				String curFilterbar = "root";
				(currentApp.getCurrentPage()).put("curFilterbar", curFilterbar);
				%>
				<%@ include file="rendernodes.jsp" %>
			</div>
		<%}%>
	</div>	
	<% 
	sessionContext.getEventQueue().clear(); 
	dataBean.selectnode();
	if (!Utility.isNull(uniqueValue) && !Utility.isNull(objectName) && expandfirstnode.equals("true")) {	
	%>
	<script>
		parent.sendEvent("getchildren", "<%=id%>", "<%=uniqueValue%>", "<%=objectName%>");
	</script>
	<%
		// update the tree's datasource for the currently selected node
		if(!Utility.isNull(dataBean.getSelectedNodeID()))		{
			dataBean.updateSelectedDataSrc(dataBean.getSelectedNodeID());
		} else {
			dataBean.updateSelectedDataSrc(uniqueValue);
		}
	}
%>
</mro:handleevent>

<mro:handleevent eventtype="getchildren">
	<%@ include file="initialize.jsp" %>
	<%
	String parentobjectname = (String)(sessionContext.getRequest()).getParameter("property");
	String parentuniqueid = (String)currentEvent.getValue();
	int recordindex = 0;
	if (!Utility.isNull(parentobjectname) && !Utility.isNull(parentuniqueid)) {
		%></script><%
		int recCount = dataBean.childCount(parentuniqueid);
		pageSize = dataBean.getPageSize();
		Object[][] mvd = (Object[][])(dataBean.getPage(parentuniqueid, dataattributes, recordindex, pageSize));
		%>

		<script>
			var vTree = parent.window.document.getElementById("<%=id%>");
			var vFilterbar = vTree.document.getElementById( "<%=(String)(currentApp.getCurrentPage()).get("curFilterbar") %>" );
			// hide the last filterbar
			if (!undef(vFilterbar))
			{
				vFilterbar.style.display = 'none';
			}

		<%
		String curFilterbar = id + "_" + parentobjectname  + "_" + parentuniqueid  + "_filterbar";
		String[] smsg = { "1", 
							"" + ((recordindex + pageSize) > recCount ? recCount : (recordindex + pageSize)), 
							"" + recCount };
		//String pageState = "1 - " + ((recordindex + pageSize) > recCount ? recCount : (recordindex + pageSize)) + " of " + recCount;
		String pageState = Utility.getMaxMessage(sessionContext,"plusavtree","range").getMessage(smsg);
		
		// if this node has already been expanded, redisplay it, otherwise get it's children and display them
		//if((currentApp.getCurrentPage()).get(curFilterbar) != null)
		//{
			%>
			//	var expNode = parent.window.document.getElementById("<%=id + "_" + parentobjectname  + "_" + parentuniqueid  + "_children" %>");
			//	if (!undef(expNode) && !undef(vFilterbar))
			//	{
			//		vFilterbar.style.display = '';
			//		expNode.style.display = "";
			//		tree_handleStateIcon(vTree, expNode.parentElement, "expanded");
			//	}
			
			<%
		//}
		//else
		//{
			String[] fbState = new String[NUM_FB_ELEMENTS];
			fbState[FB_PARENTOBJ] = parentobjectname;
			fbState[FB_PARENTID] = parentuniqueid;
			fbState[FB_RECORD_INDEX] = "0";
			fbState[FB_PAGE_STATE] = pageState;
			fbState[FB_FILTER_FIELDS] = dataBean.getFilterFields();
			fbState[FB_SORT_ATTR] = dataBean.getSortFields();
			fbState[FB_SORT_ASC] = dataBean.getSortPresets();
			fbState[FB_AT_FIRST] = "" + (recordindex == 0);
			fbState[FB_AT_LAST] = "" + ((recordindex + pageSize) >= recCount);
			fbState[FB_EXPANDED] = "false";
			fbState[FB_QBE_VALS] = "";
			fbState[FB_SORT_LABELS] = dataBean.getSortLabels();
			
			(currentApp.getCurrentPage()).put("curFilterbar", curFilterbar);
			(currentApp.getCurrentPage()).put(curFilterbar, fbState);
			%>
			</script>
	
			<%@ include file="rendernodes.jsp" %>
			
			<script language="Javascript" src="../webclient/javascript/raptor.js"></script>
			<script>
			var vTree = parent.window.document.getElementById("<%=id%>");
			var vNew = document.getElementById("<%= id + "_" + objectname + "_renderer"%>");
			if (!undef(vTree) && !undef(vNew)) 
			{
				vTree_Render(vTree, "<%= id + "_" + parentobjectname  + "_" + parentuniqueid%>", "", vNew, "children");
				
				//~~~~~~ VTREE ~~~~~~
				<%@ include file = "vtreeupdates.jsp" %>
				//~~~~~~~~~~~~~~~~~~~
			}
		<%
		//}
	}
/*
	// cache which nodes were expanded so that they can be expanded again on refresh
	if ( Utility.isNull( (String)(currentApp.getCurrentPage()).get(id + "_statuscache") ) )
	{
		String statuscache = "," + id + "_" + parentobjectname  + "_" + parentuniqueid + ",";
		(currentApp.getCurrentPage()).put(id + "_statuscache", statuscache);
	}
	else
	{
		String statuscache = (String)(currentApp.getCurrentPage()).get(id + "_statuscache");
		if(statuscache.indexOf("," + id + "_" + parentobjectname  + "_" + parentuniqueid + ",") == -1)
			statuscache += "," + id + "_" + parentobjectname  + "_" + parentuniqueid + ",";
		
		(currentApp.getCurrentPage()).put(id + "_statuscache", statuscache);
	}
*/
	%>
</mro:handleevent>

<mro:handleevent eventtype="childhidden">
	<%@ include file="initialize.jsp" %>
	<%
	String parentobjectname = (String)(sessionContext.getRequest()).getParameter("property");
	String parentuniqueid = (String)currentEvent.getValue();
	// cache which nodes were expanded so that they can be expanded again on refresh
	if ( !Utility.isNull( (String)(currentApp.getCurrentPage()).get(id + "_statuscache") ) )
	{
		String statuscache = (String)(currentApp.getCurrentPage()).get(id + "_statuscache");
		String removekey = "," + id + "_" + parentobjectname  + "_" + parentuniqueid + ",";
		int idx = statuscache.indexOf(removekey);
		if(idx > -1)
		{
			statuscache = statuscache.substring(0,idx) + statuscache.substring(idx + removekey.length());
			(currentApp.getCurrentPage()).put(id + "_statuscache", statuscache);
		}
	}
	%>
</mro:handleevent>

<mro:handleevent eventtype="getpathtotop">
	<%@ include file="initialize.jsp" %>
	<%
	if(!Utility.isNull(dataBean.getobjectname()) && !Utility.isNull(dataBean.getuniqueidvalue()) )
	{
		Object[][] mvd = (Object[][])(dataBean.getPathToTop(dataBean.getobjectname(), dataBean.getuniqueidvalue(), dataattributes, maxchildren));
		%></script>
		<%@ include file="rendernodes.jsp" %>
		<script>
			var treeCTRL = parent.window.document.getElementById("<%=id%>");
			var newChildren = window.document.getElementById("<%= id + "_" + objectname + "_renderer"%>");
			parent.tree_fnHandlePathToTop(treeCTRL, newChildren);
			parent.tree_fnHandleSelectNode(treeCTRL, "<%= id + "_" + dataBean.getobjectname() + "_" + dataBean.getuniqueidvalue()%>");
			newChildren.removeNode(true);
	<%}%>
</mro:handleevent>

<mro:handleevent eventtype="selectnode">
	<%@ include file="initialize.jsp" %>
	<%
	String parentobjectname = (String)(sessionContext.getRequest()).getParameter("property");
	String parentuniqueid = (String)currentEvent.getValue();
	if (!Utility.isNull(parentobjectname) && !Utility.isNull(parentuniqueid)) {
		String curFilterbar = id + "_" + parentobjectname  + "_" + parentuniqueid  + "_filterbar";
	}

	String selectedNodeID = (String)currentEvent.getValue();
	if(selectedNodeID!=null && !selectedNodeID.equals("")) {
		
		dataBean.setuniqueidvalue(selectedNodeID);
		dataBean.selectnode();
		dataBean.setRefreshTree(false); 
		// update the tree's datasource for the currently selected node
		dataBean.updateSelectedDataSrc(selectedNodeID);
		// cache which nodes were selected so that they can be selected again on refresh
		dataBean.setSelectedNodeID(selectedNodeID);
		%>
	<script>
		var treeCTRL = parent.window.document.getElementById("<%=id%>");
		var eventElement = parent.window.document.getElementById("<%=id + "_" + dataBean.getobjectname() + "_" + dataBean.getuniqueidvalue()%>");
		var filterbarid = eventElement.getAttribute("filterbarid");
		tree_fnHandleSelectNode(treeCTRL, "<%= id + "_" + dataBean.getobjectname() + "_" + dataBean.getuniqueidvalue()%>");
		parent.sendEvent("movefilterbar", "<%=id%>", filterbarid, "");
		<%
	}
	%>
</mro:handleevent>

<mro:handleevent eventtype="setvalue">
	<%//~~~~~~ VTREE ~~~~~~%>
	<%@ include file="initialize.jsp" %>
	<%
	String nodeid = (String)currentEvent.getValue();
	if (!Utility.isNull(nodeid)) {
		%></script><%
		((psdi.plusa.webclient.beans.common.PlusATreeControlBean)dataBean).toggleCheckbox(nodeid);
		%>
		<script>
		<%@ include file="vtreeupdates.jsp" %>
		<%
	}%>
	<%//~~~~~~ VTREE ~~~~~~%>
</mro:handleevent>

<mro:handleevent eventtype="refresh">
	</script>
<%@ include file="initialize.jsp" %>
<%
	if(dataBean!=null)
	{
		String newRootNodeID = dataBean.getString(dataBean.getUniqueIdName());
		boolean appRecChange = (!newRootNodeID.equals(dataBean.getRootNodeID()));
		
		WebClientEvent event    = sessionContext.getCurrentEvent();
		appRecChange = (event.getSourceControl().getId().equals("pageToolbar") && !newRootNodeID.equals(dataBean.getRootNodeID()));
		// if the rootNodeID has changed, the app has switched records and the tree should be rendered again
		if(appRecChange == true)
		{
		%>
			<script>		
				parent.sendEvent("rerendercontrol", "<%=id%>", "", "");
			</script>
		<%
		}
		else
		{
			if(dataBean.getRefreshTree())
			{
				Object[][] mvd = null;
				String nodeobjectname = dataBean.getobjectname();
				String nodeuniqueid = dataBean.getuniqueidvalue();
				if(Utility.isNull(nodeuniqueid))
					mvd = (Object[][])(dataBean.getTop(dataattributes, maxchildren));
				else
					mvd = (Object[][])(dataBean.getPathToTop(nodeobjectname, nodeuniqueid, dataattributes, maxchildren));
				dataBean.setRefreshTree(false);
				
				String curFilterbar = "root";
				(currentApp.getCurrentPage()).put("curFilterbar", curFilterbar);
			%>
				<%@ include file="rendernodes.jsp" %>
				<script>
					var treeCTRL = parent.window.document.getElementById("<%=id%>");
					var newChildren = window.document.getElementById("<%= id + "_" + objectname + "_" + "children"%>");
					<%	if(Utility.isNull(nodeuniqueid))
						{%>
							parent.tree_fnHandleRefreshTree(treeCTRL, newChildren);
					<%	}
						else
						{%>	
							parent.tree_fnHandlePathToTop(treeCTRL, newChildren);
							parent.tree_fnHandleSelectNode(treeCTRL, "<%= id + "_" + dataBean.getobjectname() + "_" + dataBean.getuniqueidvalue()%>");
					<%	}%>
					newChildren.removeNode(true);
			<%
			}
		}
	}
%>
</mro:handleevent>

<mro:handleevent eventtype="rerendercontrol">
	</script>
	<%
	Utility.sendEvent(sessionContext, id, "render", null); 
	%>
	<script DEFER="true">
		var orginal = parent.document.getElementById("<%=id%>"); 
		var newControl = document.getElementById("<%=id%>"); 
		parent.mxd_done_rerendercontrol(orginal, newControl, "<%=(currentEvent.getValue()!=null) ? (String)currentEvent.getValue() : id%>");
</mro:handleevent>

<mro:handleevent eventtype="movefilterbar">
	</script>
	<%@ include file="initialize.jsp" %>
	<%
	String newfilterbar = (String)currentEvent.getValue();
	%>	
	<script>
	
		var vTree = parent.window.document.getElementById("<%=id%>");
		var vFilterbar = vTree.document.getElementById( "<%=(String)(currentApp.getCurrentPage()).get("curFilterbar") %>" );
		// hide the last filterbar
		if (!undef(vFilterbar))
		{
			vFilterbar.style.display = 'none';
		}
		vFilterbar = vTree.document.getElementById("<%=newfilterbar %>");
		if (!undef(vFilterbar))
		{
			vFilterbar.style.display = '';
		}
	<%
	(currentApp.getCurrentPage()).put("curFilterbar", newfilterbar);
	%>
	</script>
</mro:handleevent>

<mro:handleevent eventtype="filterbarpage">
	<%@ include file="initialize.jsp" %>
	<%
	String parentobjectname = (String)(sessionContext.getRequest()).getParameter("property");
	String parentuniqueid = (String)currentEvent.getValue();
	String prevnext = (String)parentuniqueid.split("-x-")[1];
	parentuniqueid = (String)parentuniqueid.split("-x-")[0];
	String curFilterbar = id + "_" + parentobjectname  + "_" + parentuniqueid  + "_filterbar";
	String[] fbState = (String[])(currentApp.getCurrentPage()).get(curFilterbar);
	
	int recordindex = Integer.valueOf(fbState[FB_RECORD_INDEX]).intValue();
	
	String attributenames = fbState[FB_FILTER_FIELDS];
	String qbeval = fbState[FB_QBE_VALS];
	String[] qbeattrs = attributenames.split(",");
	// for some reason .split will create a 1 element array if the string is "F%," (should be 2 with one blank)
	String[] qbevals = new String[qbeattrs.length];
	String[] temp = qbeval.split(",");
	for(int i=0; i<temp.length; i++)
		qbevals[i] = temp[i];

	if (!Utility.isNull(parentobjectname) && !Utility.isNull(parentuniqueid)) {
		%></script><%
		int recCount = dataBean.childCount(parentuniqueid, qbeattrs, qbevals);
		pageSize = dataBean.getPageSize();
		if(prevnext.toLowerCase().equals("filterbarprev"))
		{
			recordindex -= pageSize;
		} else {
			recordindex += pageSize;
		}
		if(recordindex > recCount) recordindex -= pageSize;
		if(recordindex < 0) recordindex = 0;
		Object[][] mvd = (Object[][])(dataBean.getPage(parentuniqueid, dataattributes, recordindex, pageSize));
		%>
		<script>
		var vTree = parent.window.document.getElementById("<%=id%>");
		var vFilterbar = vTree.document.getElementById( "<%=(String)(currentApp.getCurrentPage()).get("curFilterbar") %>" );
		// hide the last filterbar
		if (!undef(vFilterbar))
		{
			vFilterbar.style.display = 'none';
		}
		<%
		String[] smsg = { "" + (recordindex + 1), 
							"" + ((recordindex + pageSize) > recCount ? recCount : (recordindex + pageSize)), 
							"" + recCount };
		//String pageState = (recordindex + 1) + " - " + ((recordindex + pageSize) > recCount ? recCount : (recordindex + pageSize)) + " of " + recCount;
		String pageState = Utility.getMaxMessage(sessionContext,"plusavtree","range").getMessage(smsg);

		fbState[FB_RECORD_INDEX] = "" + recordindex;
		fbState[FB_PAGE_STATE] = pageState;
		fbState[FB_AT_FIRST] = "" + (recordindex == 0);
		fbState[FB_AT_LAST] = "" + ((recordindex + pageSize) >= recCount);
		
		(currentApp.getCurrentPage()).put("curFilterbar", curFilterbar);
		(currentApp.getCurrentPage()).put(curFilterbar, fbState);
		%>
		</script>

		<%@ include file="rendernodes.jsp" %>
		
		<script language="Javascript" src="../webclient/javascript/raptor.js"></script>
		<script>
		var vTree = parent.window.document.getElementById("<%=id%>");
		var vNew = document.getElementById("<%= id + "_" + objectname + "_renderer"%>");
		if (!undef(vTree) && !undef(vNew)) 
		{
			vTree_Render(vTree, "<%= id + "_" + parentobjectname  + "_" + parentuniqueid%>", "", vNew, "children");
			
			//~~~~~~ VTREE ~~~~~~
			<%@ include file = "vtreeupdates.jsp" %>
			//~~~~~~~~~~~~~~~~~~~
		}
	<%
	}
	%>
</mro:handleevent>

<mro:handleevent eventtype="filterbarquery">
	<%@ include file="initialize.jsp" %>
	<%
	String parentobjectname = (String)(sessionContext.getRequest()).getParameter("property");
	String[] passvals = ((String)currentEvent.getValue()).split("-x-");
	
	String parentuniqueid = passvals[0];
	String qbeval = passvals[1];
	String curFilterbar = id + "_" + parentobjectname  + "_" + parentuniqueid  + "_filterbar";
	String[] fbState = (String[])(currentApp.getCurrentPage()).get(curFilterbar);
	int recordindex = 0;
	String sortattribute = fbState[FB_SORT_ATTR];
	String sortascending = fbState[FB_SORT_ASC];
	String attributenames = fbState[FB_FILTER_FIELDS];
	
	String[] qbeattrs = attributenames.split(",");
	// for some reason .split will create a 1 element array if the string is "F%," (should be 2 with one blank)
	String[] qbevals = new String[qbeattrs.length];
	String[] temp = qbeval.split(",");
	String[] srtattrs = sortattribute.split(",");
	String[] srtvals = sortascending.split(",");
	for(int i=0; i<temp.length; i++)
		qbevals[i] = temp[i];
	
	if (!Utility.isNull(parentobjectname) && !Utility.isNull(parentuniqueid)) {
		%></script><%
		pageSize = dataBean.getPageSize();
		Object[][] mvd = (Object[][])(dataBean.getPage(parentuniqueid, dataattributes, qbeattrs, qbevals, recordindex, pageSize, srtattrs[0], srtvals[0].equals("true")));
		int recCount = dataBean.childCount(parentuniqueid, qbeattrs, qbevals);
		%>
		<script>
		var vTree = parent.window.document.getElementById("<%=id%>");
		var vFilterbar = vTree.document.getElementById( "<%=(String)(currentApp.getCurrentPage()).get("curFilterbar") %>" );
		// hide the last filterbar
		if (!undef(vFilterbar))
		{
			vFilterbar.style.display = 'none';
		}
		<%
		String[] smsg = { "" + (recordindex + 1), 
							"" + ((recordindex + pageSize) > recCount ? recCount : (recordindex + pageSize)), 
							"" + recCount };
		//String pageState = (recordindex + 1) + " - " + ((recordindex + pageSize) > recCount ? recCount : (recordindex + pageSize)) + " of " + recCount;
		String pageState = Utility.getMaxMessage(sessionContext,"plusavtree","range").getMessage(smsg);

		fbState[FB_RECORD_INDEX] = "" + recordindex;
		fbState[FB_PAGE_STATE] = pageState;
		fbState[FB_AT_FIRST] = "" + (recordindex == 0);
		fbState[FB_AT_LAST] = "" + ((recordindex + pageSize) >= recCount);
		fbState[FB_QBE_VALS] = qbeval;
		
		(currentApp.getCurrentPage()).put("curFilterbar", curFilterbar);
		(currentApp.getCurrentPage()).put(curFilterbar, fbState);
		%>
		</script>

		<%@ include file="rendernodes.jsp" %>
		
		<script language="Javascript" src="../webclient/javascript/raptor.js"></script>
		<script>
		var vTree = parent.window.document.getElementById("<%=id%>");
		var vNew = document.getElementById("<%= id + "_" + objectname + "_renderer"%>");
		if (!undef(vTree) && !undef(vNew)) 
		{
			vTree_Render(vTree, "<%= id + "_" + parentobjectname  + "_" + parentuniqueid%>", "", vNew, "children");
			
			//~~~~~~ VTREE ~~~~~~
			<%@ include file = "vtreeupdates.jsp" %>
			//~~~~~~~~~~~~~~~~~~~
		}
	<%
	}
	%>
</mro:handleevent>

<mro:handleevent eventtype="filterbarsort">
	<%@ include file="initialize.jsp" %>
	<%
	String parentobjectname = (String)(sessionContext.getRequest()).getParameter("property");
	String[] passvals = ((String)currentEvent.getValue()).split("-x-");
	
	String parentuniqueid = passvals[0];
	String sortattributesel = passvals[1];
	String sortascendingsel = passvals[2];
	String curFilterbar = id + "_" + parentobjectname  + "_" + parentuniqueid  + "_filterbar";
	String[] fbState = (String[])(currentApp.getCurrentPage()).get(curFilterbar);

	int recordindex = 0;
	String attributenames = fbState[FB_FILTER_FIELDS];
	String sortascending = "";
	String delim = "";
	String sortattribute = fbState[FB_SORT_ATTR];
	String[] srtattrs = sortattribute.split(",");
	String[] srtvals = fbState[FB_SORT_ASC].split(",");
	for(int i=0; i<srtattrs.length; i++)
	{
		delim = ((i<srtattrs.length-1) ? "," : "");
		if(srtattrs[i].equals(sortattributesel))
			sortascending += (!srtvals[i].equals("true")) + delim;
		else
			sortascending += srtvals[i] + delim;
	}
	String[] qbeattrs = attributenames.split(",");
	// for some reason .split will create a 1 element array if the string is "F%," (should be 2 with one blank)
	String[] qbevals = new String[qbeattrs.length];
	String qbeval = fbState[FB_QBE_VALS];
	String[] temp = qbeval.split(",");
	for(int i=0; i<temp.length; i++)
		qbevals[i] = temp[i];
	
	if (!Utility.isNull(parentobjectname) && !Utility.isNull(parentuniqueid)) {
		%></script><%
		int recCount = dataBean.childCount(parentuniqueid, qbeattrs, qbevals);
		pageSize = dataBean.getPageSize();
		if(recordindex > recCount) recordindex -= pageSize;
		if(recordindex < 0) recordindex = 0;
		Object[][] mvd = (Object[][])(dataBean.getPage(parentuniqueid, dataattributes, qbeattrs, qbevals, recordindex, pageSize, sortattributesel, !sortascendingsel.equals("true")));
		%>
		<script>
		var vTree = parent.window.document.getElementById("<%=id%>");
		var vFilterbar = vTree.document.getElementById( "<%=(String)(currentApp.getCurrentPage()).get("curFilterbar") %>" );
		// hide the last filterbar
		if (!undef(vFilterbar))
		{
			vFilterbar.style.display = 'none';
		}
		<%
		String[] smsg = { "" + (recordindex + 1), 
							"" + ((recordindex + pageSize) > recCount ? recCount : (recordindex + pageSize)), 
							"" + recCount };
		//String pageState = (recordindex + 1) + " - " + ((recordindex + pageSize) > recCount ? recCount : (recordindex + pageSize)) + " of " + recCount;
		String pageState = Utility.getMaxMessage(sessionContext,"plusavtree","range").getMessage(smsg);

		fbState[FB_RECORD_INDEX] = "" + recordindex;
		fbState[FB_PAGE_STATE] = pageState;
		fbState[FB_SORT_ASC] = sortascending;
		fbState[FB_AT_FIRST] = "" + (recordindex == 0);
		fbState[FB_AT_LAST] = "" + ((recordindex + pageSize) >= recCount);
		
		(currentApp.getCurrentPage()).put("curFilterbar", curFilterbar);
		(currentApp.getCurrentPage()).put(curFilterbar, fbState);
		%>
		</script>

		<%@ include file="rendernodes.jsp" %>
		
		<script language="Javascript" src="../webclient/javascript/raptor.js"></script>
		<script>
		var vTree = parent.window.document.getElementById("<%=id%>");
		var vNew = document.getElementById("<%= id + "_" + objectname + "_renderer"%>");
		if (!undef(vTree) && !undef(vNew)) 
		{
			vTree_Render(vTree, "<%= id + "_" + parentobjectname  + "_" + parentuniqueid%>", "", vNew, "children");
			
			//~~~~~~ VTREE ~~~~~~
			<%@ include file = "vtreeupdates.jsp" %>
			//~~~~~~~~~~~~~~~~~~~
		}
	<%
	}
	%>
</mro:handleevent>

<mro:handleevent eventtype="filterexpanded">
	<%@ include file="initialize.jsp" %>
	<%
		String curFilterbar = (String)(currentApp.getCurrentPage()).get("curFilterbar");
		String[] fbState = (String[])(currentApp.getCurrentPage()).get(curFilterbar);
		String filterexpanded = ((String)currentEvent.getValue());
		fbState[FB_EXPANDED] = filterexpanded;
		(currentApp.getCurrentPage()).put(curFilterbar, fbState);
	%>
</mro:handleevent>

<%@ include file="../../common/controlfooter.jsp" %>
