--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSATRBUILDITEM','PLUSATR','PLUSATRBUILDITEM','trid = :plusatrid','Relationship to the PlusATRBuildItem table, used to find the build items for a Technical Record',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMVBUILDITEM','PLUSATRBUILDITEM','PLUSACMVBUILDITEM','plusacmbuilditemid = :builditemid','Relationship to the PlusACMVBuildItem view, used to find the a build item for a Technical Record',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSATRMEL','PLUSATRBUILDITEM','ALNDOMAIN','domainid = ''PLUSATRMEL'' and value = :mel','Relationship to the PlusATRMEL domain list',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET DEFAULTVALUE = '0'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTECFG
      SET DEFAULTVALUE = '0'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMBUILDITEM', SAMEASATTRIBUTE = 'PLUSACMBUILDITEMID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'BUILDITEMID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMBUILDITEM', SAMEASATTRIBUTE = 'PLUSACMBUILDITEMID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'BUILDITEMID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'TRID'
;

INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSATRMEL','Mel Rules','ALN','ALN',25,NULL,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>25','PLUSATRMEL','7','Seven day extension',NEXTVAL FOR ALNDOMAINSEQ)
;

UPDATE MAXATTRIBUTE
      SET DOMAINID = 'PLUSATRMEL'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'MEL'
;

UPDATE MAXATTRIBUTECFG
      SET DOMAINID = 'PLUSATRMEL'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'MEL'
;

INSERT INTO MAXOBJECT (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,MAINOBJECT,INTERNAL,MAXOBJECTID) SELECT 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                              'psdi.plusa.app.plusacm.PlusACMVBuildItemSet',
                                                                                                                                                                                                                              'Build Item View',
                                                                                                                                                                                                                              EAUDITENABLED,
                                                                                                                                                                                                                              EAUDITFILTER,
                                                                                                                                                                                                                              'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                              ESIGFILTER,
                                                                                                                                                                                                                              'PLUSACMBUILDITEM',
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              IMPORTED,
                                                                                                                                                                                                                              PERSISTENT,
                                                                                                                                                                                                                              SERVICENAME,
                                                                                                                                                                                                                              SITEORGTYPE,
                                                                                                                                                                                                                              USERDEFINED,
                                                                                                                                                                                                                              MAINOBJECT,
                                                                                                                                                                                                                              INTERNAL,
                                                                                                                                                                                                                              NEXTVAL FOR MAXOBJECTSEQ
                                                                                                                                                                                                                       FROM MAXOBJECT
                                                                                                                                                                                                                       WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
;

INSERT INTO MAXOBJECTCFG (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,CHANGED,MAINOBJECT,INTERNAL,MAXOBJECTID) SELECT 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                         'psdi.plusa.app.plusacm.PlusACMVBuildItemSet',
                                                                                                                                                                                                                                         'Build Item View',
                                                                                                                                                                                                                                         EAUDITENABLED,
                                                                                                                                                                                                                                         EAUDITFILTER,
                                                                                                                                                                                                                                         'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                         ESIGFILTER,
                                                                                                                                                                                                                                         'PLUSACMBUILDITEM',
                                                                                                                                                                                                                                         1,
                                                                                                                                                                                                                                         IMPORTED,
                                                                                                                                                                                                                                         PERSISTENT,
                                                                                                                                                                                                                                         SERVICENAME,
                                                                                                                                                                                                                                         SITEORGTYPE,
                                                                                                                                                                                                                                         USERDEFINED,
                                                                                                                                                                                                                                         CHANGED,
                                                                                                                                                                                                                                         MAINOBJECT,
                                                                                                                                                                                                                                         INTERNAL,
                                                                                                                                                                                                                                         NEXTVAL FOR MAXOBJECTCFGSEQ
                                                                                                                                                                                                                                  FROM MAXOBJECTCFG
                                                                                                                                                                                                                                  WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               ALIAS,
                                                                                                                                                                                                                                                                                                                                                                               AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                               1,
                                                                                                                                                                                                                                                                                                                                                                               MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                               LENGTH,
                                                                                                                                                                                                                                                                                                                                                                               SCALE,
                                                                                                                                                                                                                                                                                                                                                                               REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                               ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                               MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                               ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                               REMARKS,
                                                                                                                                                                                                                                                                                                                                                                               DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                               'Position Name',
                                                                                                                                                                                                                                                                                                                                                                               PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                               PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                               USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                               DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                               CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                               CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                               EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                               ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                               SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                               MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                               MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                               NEXTVAL FOR MAXATTRIBUTESEQ
                                                                                                                                                                                                                                                                                                                                                                        FROM MAXATTRIBUTE
                                                                                                                                                                                                                                                                                                                                                                        WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
                                                                                                                                                                                                                                                                                                                                                                              AND ATTRIBUTENAME = 'NAME'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               ALIAS,
                                                                                                                                                                                                                                                                                                                                                                               AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                               2,
                                                                                                                                                                                                                                                                                                                                                                               MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                               LENGTH,
                                                                                                                                                                                                                                                                                                                                                                               SCALE,
                                                                                                                                                                                                                                                                                                                                                                               REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                               ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                               MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                               ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                               REMARKS,
                                                                                                                                                                                                                                                                                                                                                                               DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                               TITLE,
                                                                                                                                                                                                                                                                                                                                                                               PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                               PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                               USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                               DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                               CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                               CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                               EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                               ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                               SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                               MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                               MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                               NEXTVAL FOR MAXATTRIBUTESEQ
                                                                                                                                                                                                                                                                                                                                                                        FROM MAXATTRIBUTE
                                                                                                                                                                                                                                                                                                                                                                        WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
                                                                                                                                                                                                                                                                                                                                                                              AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMBUILDITEM', SAMEASATTRIBUTE = ATTRIBUTENAME
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND SAMEASATTRIBUTE IS NULL
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               ALIAS,
                                                                                                                                                                                                                                                                                                                                                                               AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                               3,
                                                                                                                                                                                                                                                                                                                                                                               MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                               LENGTH,
                                                                                                                                                                                                                                                                                                                                                                               SCALE,
                                                                                                                                                                                                                                                                                                                                                                               REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                               ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                               MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                               ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                               REMARKS,
                                                                                                                                                                                                                                                                                                                                                                               DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                               TITLE,
                                                                                                                                                                                                                                                                                                                                                                               PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                               PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                               USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                               DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                               CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                               CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                               EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                               ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                               SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                               MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                               MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                               NEXTVAL FOR MAXATTRIBUTESEQ
                                                                                                                                                                                                                                                                                                                                                                        FROM MAXATTRIBUTE
                                                                                                                                                                                                                                                                                                                                                                        WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                              AND ATTRIBUTENAME = 'MODEL'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               ALIAS,
                                                                                                                                                                                                                                                                                                                                                                               AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                               4,
                                                                                                                                                                                                                                                                                                                                                                               MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                               LENGTH,
                                                                                                                                                                                                                                                                                                                                                                               SCALE,
                                                                                                                                                                                                                                                                                                                                                                               REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                               ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                               MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                               ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                               REMARKS,
                                                                                                                                                                                                                                                                                                                                                                               DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                               TITLE,
                                                                                                                                                                                                                                                                                                                                                                               PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                               PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                               USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                               DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                               CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                               CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                               EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                               ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                               SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                               MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                               MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                               NEXTVAL FOR MAXATTRIBUTESEQ
                                                                                                                                                                                                                                                                                                                                                                        FROM MAXATTRIBUTE
                                                                                                                                                                                                                                                                                                                                                                        WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                              AND ATTRIBUTENAME = 'DESCRIPTION'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               CAST (NULL AS VARCHAR(18)),
                                                                                                                                                                                                                                                                                                                                                                               ALIAS,
                                                                                                                                                                                                                                                                                                                                                                               AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                               5,
                                                                                                                                                                                                                                                                                                                                                                               MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                               LENGTH,
                                                                                                                                                                                                                                                                                                                                                                               SCALE,
                                                                                                                                                                                                                                                                                                                                                                               REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                               ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                               MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                               ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                               REMARKS,
                                                                                                                                                                                                                                                                                                                                                                               DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                               TITLE,
                                                                                                                                                                                                                                                                                                                                                                               PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                               PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                               USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                               DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                               CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                               CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                               EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                               ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                               SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                               MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                               MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                               NEXTVAL FOR MAXATTRIBUTESEQ
                                                                                                                                                                                                                                                                                                                                                                        FROM MAXATTRIBUTE
                                                                                                                                                                                                                                                                                                                                                                        WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                              AND ATTRIBUTENAME = 'DESCRIPTION_LONGDESCRIPTION'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               ALIAS,
                                                                                                                                                                                                                                                                                                                                                                               AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                               6,
                                                                                                                                                                                                                                                                                                                                                                               MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                               LENGTH,
                                                                                                                                                                                                                                                                                                                                                                               SCALE,
                                                                                                                                                                                                                                                                                                                                                                               REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                               ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                               MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                               ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                               REMARKS,
                                                                                                                                                                                                                                                                                                                                                                               DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                               TITLE,
                                                                                                                                                                                                                                                                                                                                                                               PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                               PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                               USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                               DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                               CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                               CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                               EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                               ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                               SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                               MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                               MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                               NEXTVAL FOR MAXATTRIBUTESEQ
                                                                                                                                                                                                                                                                                                                                                                        FROM MAXATTRIBUTE
                                                                                                                                                                                                                                                                                                                                                                        WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                              AND ATTRIBUTENAME = 'HASLD'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               ALIAS,
                                                                                                                                                                                                                                                                                                                                                                               AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                               7,
                                                                                                                                                                                                                                                                                                                                                                               MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                               LENGTH,
                                                                                                                                                                                                                                                                                                                                                                               SCALE,
                                                                                                                                                                                                                                                                                                                                                                               REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                               ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                               MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                               ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                               REMARKS,
                                                                                                                                                                                                                                                                                                                                                                               DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                               TITLE,
                                                                                                                                                                                                                                                                                                                                                                               PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                               PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                               USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                               DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                               CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                               CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                               EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                               ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                               SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                               MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                               MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                               NEXTVAL FOR MAXATTRIBUTESEQ
                                                                                                                                                                                                                                                                                                                                                                        FROM MAXATTRIBUTE
                                                                                                                                                                                                                                                                                                                                                                        WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                              AND ATTRIBUTENAME = 'LANGCODE'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                               ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                               ALIAS,
                                                                                                                                                                                                                                                                                                                                                                               AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                               8,
                                                                                                                                                                                                                                                                                                                                                                               MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                               LENGTH,
                                                                                                                                                                                                                                                                                                                                                                               SCALE,
                                                                                                                                                                                                                                                                                                                                                                               REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                               ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                               SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                               MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                               ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                               REMARKS,
                                                                                                                                                                                                                                                                                                                                                                               DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                               TITLE,
                                                                                                                                                                                                                                                                                                                                                                               PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                               PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                               USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                               DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                               CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                               CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                               EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                               ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                               SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                               MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                               MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                               NEXTVAL FOR MAXATTRIBUTESEQ
                                                                                                                                                                                                                                                                                                                                                                        FROM MAXATTRIBUTE
                                                                                                                                                                                                                                                                                                                                                                        WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                              AND ATTRIBUTENAME = 'PLUSACMMODELID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = ATTRIBUTENAME
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND SAMEASATTRIBUTE IS NULL
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,CHANGED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          ALIAS,
                                                                                                                                                                                                                                                                                                                                                                                          AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                                                                                                                                                                                          MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          LENGTH,
                                                                                                                                                                                                                                                                                                                                                                                          SCALE,
                                                                                                                                                                                                                                                                                                                                                                                          REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                                          ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                                          MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                                          ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                                          REMARKS,
                                                                                                                                                                                                                                                                                                                                                                                          DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                                          'Position Name',
                                                                                                                                                                                                                                                                                                                                                                                          PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                                          PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                                          USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                                          DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                                          CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                                          CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                                          EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          CHANGED,
                                                                                                                                                                                                                                                                                                                                                                                          SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                                          MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                                          NEXTVAL FOR MAXATTRIBUTECFGSEQ
                                                                                                                                                                                                                                                                                                                                                                                   FROM MAXATTRIBUTECFG
                                                                                                                                                                                                                                                                                                                                                                                   WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
                                                                                                                                                                                                                                                                                                                                                                                         AND ATTRIBUTENAME = 'NAME'
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,CHANGED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          ALIAS,
                                                                                                                                                                                                                                                                                                                                                                                          AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                                          2,
                                                                                                                                                                                                                                                                                                                                                                                          MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          LENGTH,
                                                                                                                                                                                                                                                                                                                                                                                          SCALE,
                                                                                                                                                                                                                                                                                                                                                                                          REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                                          ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                                          MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                                          ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                                          REMARKS,
                                                                                                                                                                                                                                                                                                                                                                                          DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                                          TITLE,
                                                                                                                                                                                                                                                                                                                                                                                          PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                                          PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                                          USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                                          DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                                          CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                                          CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                                          EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          CHANGED,
                                                                                                                                                                                                                                                                                                                                                                                          SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                                          MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                                          NEXTVAL FOR MAXATTRIBUTECFGSEQ
                                                                                                                                                                                                                                                                                                                                                                                   FROM MAXATTRIBUTECFG
                                                                                                                                                                                                                                                                                                                                                                                   WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
                                                                                                                                                                                                                                                                                                                                                                                         AND ATTRIBUTENAME = 'PLUSACMBUILDITEMID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMBUILDITEM', SAMEASATTRIBUTE = ATTRIBUTENAME
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND SAMEASATTRIBUTE IS NULL
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,CHANGED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          ALIAS,
                                                                                                                                                                                                                                                                                                                                                                                          AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                                          3,
                                                                                                                                                                                                                                                                                                                                                                                          MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          LENGTH,
                                                                                                                                                                                                                                                                                                                                                                                          SCALE,
                                                                                                                                                                                                                                                                                                                                                                                          REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                                          ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                                          MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                                          ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                                          REMARKS,
                                                                                                                                                                                                                                                                                                                                                                                          DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                                          TITLE,
                                                                                                                                                                                                                                                                                                                                                                                          PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                                          PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                                          USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                                          DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                                          CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                                          CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                                          EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          CHANGED,
                                                                                                                                                                                                                                                                                                                                                                                          SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                                          MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                                          NEXTVAL FOR MAXATTRIBUTECFGSEQ
                                                                                                                                                                                                                                                                                                                                                                                   FROM MAXATTRIBUTECFG
                                                                                                                                                                                                                                                                                                                                                                                   WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                                         AND ATTRIBUTENAME = 'MODEL'
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,CHANGED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          ALIAS,
                                                                                                                                                                                                                                                                                                                                                                                          AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                                          4,
                                                                                                                                                                                                                                                                                                                                                                                          MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          LENGTH,
                                                                                                                                                                                                                                                                                                                                                                                          SCALE,
                                                                                                                                                                                                                                                                                                                                                                                          REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                                          ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                                          MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                                          ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                                          REMARKS,
                                                                                                                                                                                                                                                                                                                                                                                          DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                                          TITLE,
                                                                                                                                                                                                                                                                                                                                                                                          PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                                          PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                                          USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                                          DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                                          CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                                          CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                                          EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          CHANGED,
                                                                                                                                                                                                                                                                                                                                                                                          SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                                          MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                                          NEXTVAL FOR MAXATTRIBUTECFGSEQ
                                                                                                                                                                                                                                                                                                                                                                                   FROM MAXATTRIBUTECFG
                                                                                                                                                                                                                                                                                                                                                                                   WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                                         AND ATTRIBUTENAME = 'DESCRIPTION'
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,CHANGED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          CAST (NULL AS VARCHAR(18)),
                                                                                                                                                                                                                                                                                                                                                                                          ALIAS,
                                                                                                                                                                                                                                                                                                                                                                                          AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                                          5,
                                                                                                                                                                                                                                                                                                                                                                                          MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          LENGTH,
                                                                                                                                                                                                                                                                                                                                                                                          SCALE,
                                                                                                                                                                                                                                                                                                                                                                                          REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                                          ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                                          MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                                          ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                                          REMARKS,
                                                                                                                                                                                                                                                                                                                                                                                          DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                                          TITLE,
                                                                                                                                                                                                                                                                                                                                                                                          PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                                          PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                                          USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                                          DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                                          CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                                          CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                                          EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          CHANGED,
                                                                                                                                                                                                                                                                                                                                                                                          SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                                          MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                                          NEXTVAL FOR MAXATTRIBUTECFGSEQ
                                                                                                                                                                                                                                                                                                                                                                                   FROM MAXATTRIBUTECFG
                                                                                                                                                                                                                                                                                                                                                                                   WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                                         AND ATTRIBUTENAME = 'DESCRIPTION_LONGDESCRIPTION'
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,CHANGED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          ALIAS,
                                                                                                                                                                                                                                                                                                                                                                                          AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                                          6,
                                                                                                                                                                                                                                                                                                                                                                                          MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          LENGTH,
                                                                                                                                                                                                                                                                                                                                                                                          SCALE,
                                                                                                                                                                                                                                                                                                                                                                                          REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                                          ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                                          MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                                          ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                                          REMARKS,
                                                                                                                                                                                                                                                                                                                                                                                          DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                                          TITLE,
                                                                                                                                                                                                                                                                                                                                                                                          PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                                          PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                                          USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                                          DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                                          CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                                          CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                                          EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          CHANGED,
                                                                                                                                                                                                                                                                                                                                                                                          SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                                          MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                                          NEXTVAL FOR MAXATTRIBUTECFGSEQ
                                                                                                                                                                                                                                                                                                                                                                                   FROM MAXATTRIBUTECFG
                                                                                                                                                                                                                                                                                                                                                                                   WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                                         AND ATTRIBUTENAME = 'HASLD'
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,CHANGED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          ALIAS,
                                                                                                                                                                                                                                                                                                                                                                                          AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                                          7,
                                                                                                                                                                                                                                                                                                                                                                                          MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          LENGTH,
                                                                                                                                                                                                                                                                                                                                                                                          SCALE,
                                                                                                                                                                                                                                                                                                                                                                                          REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                                          ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                                          MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                                          ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                                          REMARKS,
                                                                                                                                                                                                                                                                                                                                                                                          DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                                          TITLE,
                                                                                                                                                                                                                                                                                                                                                                                          PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                                          PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                                          USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                                          DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                                          CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                                          CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                                          EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          CHANGED,
                                                                                                                                                                                                                                                                                                                                                                                          SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                                          MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                                          NEXTVAL FOR MAXATTRIBUTECFGSEQ
                                                                                                                                                                                                                                                                                                                                                                                   FROM MAXATTRIBUTECFG
                                                                                                                                                                                                                                                                                                                                                                                   WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                                         AND ATTRIBUTENAME = 'LANGCODE'
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,CHANGED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) SELECT 0,0, 'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          'PLUSACMVBUILDITEM',
                                                                                                                                                                                                                                                                                                                                                                                          ATTRIBUTENAME,
                                                                                                                                                                                                                                                                                                                                                                                          ALIAS,
                                                                                                                                                                                                                                                                                                                                                                                          AUTOKEYNAME,
                                                                                                                                                                                                                                                                                                                                                                                          8,
                                                                                                                                                                                                                                                                                                                                                                                          MAXTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          LENGTH,
                                                                                                                                                                                                                                                                                                                                                                                          SCALE,
                                                                                                                                                                                                                                                                                                                                                                                          REQUIRED,
                                                                                                                                                                                                                                                                                                                                                                                          ISLDOWNER,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASOBJECT,
                                                                                                                                                                                                                                                                                                                                                                                          SAMEASATTRIBUTE,
                                                                                                                                                                                                                                                                                                                                                                                          MUSTBE,
                                                                                                                                                                                                                                                                                                                                                                                          ISPOSITIVE,
                                                                                                                                                                                                                                                                                                                                                                                          REMARKS,
                                                                                                                                                                                                                                                                                                                                                                                          DEFAULTVALUE,
                                                                                                                                                                                                                                                                                                                                                                                          TITLE,
                                                                                                                                                                                                                                                                                                                                                                                          PRIMARYKEYCOLSEQ,
                                                                                                                                                                                                                                                                                                                                                                                          PERSISTENT,
                                                                                                                                                                                                                                                                                                                                                                                          USERDEFINED,
                                                                                                                                                                                                                                                                                                                                                                                          DOMAINID,
                                                                                                                                                                                                                                                                                                                                                                                          CLASSNAME,
                                                                                                                                                                                                                                                                                                                                                                                          CANAUTONUM,
                                                                                                                                                                                                                                                                                                                                                                                          EAUDITENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          ESIGENABLED,
                                                                                                                                                                                                                                                                                                                                                                                          CHANGED,
                                                                                                                                                                                                                                                                                                                                                                                          SEARCHTYPE,
                                                                                                                                                                                                                                                                                                                                                                                          MLSUPPORTED,
                                                                                                                                                                                                                                                                                                                                                                                          MLINUSE,
                                                                                                                                                                                                                                                                                                                                                                                          NEXTVAL FOR MAXATTRIBUTECFGSEQ
                                                                                                                                                                                                                                                                                                                                                                                   FROM MAXATTRIBUTECFG
                                                                                                                                                                                                                                                                                                                                                                                   WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                                                                                                                                                                                                                                                                                         AND ATTRIBUTENAME = 'PLUSACMMODELID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = ATTRIBUTENAME
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND SAMEASATTRIBUTE IS NULL
;

INSERT INTO MAXVIEW (VIEWNAME,AUTOSELECT,VIEWSELECT,VIEWWHERE,VIEWFROM,MAXVIEWID) VALUES ('PLUSACMVBUILDITEM',0,'select bi.name, bi.plusacmbuilditemid, bi.rowstamp, m.model, m.description, m.hasld, m.langcode, m.plusacmmodelid, m.rowstamp as rowstamp1','bi.modelid=m.plusacmmodelid','from plusacmmodel m, plusacmbuilditem bi',NEXTVAL FOR MAXVIEWSEQ)
;

INSERT INTO MAXVIEWCFG (VIEWNAME,AUTOSELECT,VIEWSELECT,VIEWWHERE,VIEWFROM,MAXVIEWID) VALUES ('PLUSACMVBUILDITEM',0,'select bi.name, bi.plusacmbuilditemid, bi.rowstamp, m.model, m.description, m.hasld, m.langcode, m.plusacmmodelid, m.rowstamp as rowstamp1','bi.modelid=m.plusacmmodelid','from plusacmmodel m, plusacmbuilditem bi',NEXTVAL FOR MAXVIEWCFGSEQ)
;

INSERT INTO MAXVIEWCOLUMN (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,MAXVIEWCOLUMNID) SELECT 'PLUSACMVBUILDITEM',
                                                                                                                   ATTRIBUTENAME,
                                                                                                                   CAST (NULL AS VARCHAR(18)),
                                                                                                                   ENTITYNAME,
                                                                                                                   COLUMNNAME,
                                                                                                                   NEXTVAL FOR MAXVIEWCOLUMNSEQ
                                                                                                            FROM MAXATTRIBUTE
                                                                                                            WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
                                                                                                                  AND ATTRIBUTENAME IN ('NAME','PLUSACMBUILDITEMID')
;

INSERT INTO MAXVIEWCOLUMN (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,MAXVIEWCOLUMNID) VALUES ('PLUSACMVBUILDITEM','ROWSTAMP',NULL,'PLUSACMBUILDITEM','ROWSTAMP',NEXTVAL FOR MAXVIEWCOLUMNSEQ)
;

INSERT INTO MAXVIEWCOLUMN (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,MAXVIEWCOLUMNID) SELECT 'PLUSACMVBUILDITEM',
                                                                                                                   ATTRIBUTENAME,
                                                                                                                   CAST (NULL AS VARCHAR(18)),
                                                                                                                   ENTITYNAME,
                                                                                                                   COLUMNNAME,
                                                                                                                   NEXTVAL FOR MAXVIEWCOLUMNSEQ
                                                                                                            FROM MAXATTRIBUTE
                                                                                                            WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                  AND ATTRIBUTENAME IN ('MODEL','DESCRIPTION','HASLD','LANGCODE','PLUSACMMODELID')
;

INSERT INTO MAXVIEWCOLUMN (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,MAXVIEWCOLUMNID) VALUES ('PLUSACMVBUILDITEM','ROWSTAMP1',NULL,'PLUSACMMODEL','ROWSTAMP',NEXTVAL FOR MAXVIEWCOLUMNSEQ)
;

INSERT INTO MAXVIEWCOLUMNCFG (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,CHANGED,MAXVIEWCOLUMNID) SELECT 'PLUSACMVBUILDITEM',
                                                                                                                              ATTRIBUTENAME,
                                                                                                                              CAST (NULL AS VARCHAR(18)),
                                                                                                                              ENTITYNAME,
                                                                                                                              COLUMNNAME,
                                                                                                                              CHANGED,
                                                                                                                              NEXTVAL FOR MAXVIEWCOLUMNCFGSEQ
                                                                                                                       FROM MAXATTRIBUTECFG
                                                                                                                       WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
                                                                                                                             AND ATTRIBUTENAME IN ('NAME','PLUSACMBUILDITEMID')
;

INSERT INTO MAXVIEWCOLUMNCFG (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,CHANGED,MAXVIEWCOLUMNID) VALUES ('PLUSACMVBUILDITEM','ROWSTAMP',NULL,'PLUSACMBUILDITEM','ROWSTAMP','N',NEXTVAL FOR MAXVIEWCOLUMNCFGSEQ)
;

INSERT INTO MAXVIEWCOLUMNCFG (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,CHANGED,MAXVIEWCOLUMNID) SELECT 'PLUSACMVBUILDITEM',
                                                                                                                              ATTRIBUTENAME,
                                                                                                                              CAST (NULL AS VARCHAR(18)),
                                                                                                                              ENTITYNAME,
                                                                                                                              COLUMNNAME,
                                                                                                                              CHANGED,
                                                                                                                              NEXTVAL FOR MAXVIEWCOLUMNCFGSEQ
                                                                                                                       FROM MAXATTRIBUTECFG
                                                                                                                       WHERE OBJECTNAME = 'PLUSACMMODEL'
                                                                                                                             AND ATTRIBUTENAME IN ('MODEL','DESCRIPTION','HASLD','LANGCODE','PLUSACMMODELID')
;

INSERT INTO MAXVIEWCOLUMNCFG (VIEWNAME,VIEWCOLUMNNAME,SAMESTORAGEAS,TABLENAME,TABLECOLUMNNAME,CHANGED,MAXVIEWCOLUMNID) VALUES ('PLUSACMVBUILDITEM','ROWSTAMP1',NULL,'PLUSACMMODEL','ROWSTAMP','N',NEXTVAL FOR MAXVIEWCOLUMNCFGSEQ)
;

COMMIT
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSATRCAT'
            AND SAMEASATTRIBUTE = 'SUPERCEDINGCATID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = NULL, SAMEASATTRIBUTE = NULL
      WHERE SAMEASOBJECT = 'PLUSATRCAT'
            AND SAMEASATTRIBUTE = 'SUPERCEDINGCATID'
;

DELETE FROM MAXATTRIBUTE
      WHERE OBJECTNAME = 'PLUSATRCAT'
;

DELETE FROM MAXATTRIBUTECFG
      WHERE OBJECTNAME = 'PLUSATRCAT'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','PLUSATRCATID','PLUSATRCAT','PLUSATRCATID','PLUSATRCATID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','TRID','PLUSATRCAT','TRID','TRID',NULL,2,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Technical Record ID',NULL,'Technical Record ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','CATID','PLUSATRCAT','CATID','CATID',NULL,3,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Parts Catalog ID',NULL,'Cat ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','SREXPRESSION','PLUSATRCAT','SREXPRESSION','SREXPRESSION',NULL,4,'ALN',200,0,0,0,NULL,NULL,0,0,'Serial Range Expression',NULL,'Serial Range',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','INOPERATIVEDATE','PLUSATRCAT','INOPERATIVEDATE','INOPERATIVEDATE',NULL,5,'DATE',4,0,0,0,NULL,NULL,0,0,'Inoperative Date',NULL,'Inoperative Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','VALIDUNTILREMOVED','PLUSATRCAT','VALIDUNTILREMOVED','VALIDUNTILREMOVED',NULL,6,'YORN',1,0,1,0,NULL,NULL,1,0,'Valid Until Unit Removed',NULL,'Valid Until Removed',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','OPERATIVEDATE','PLUSATRCAT','OPERATIVEDATE','OPERATIVEDATE',NULL,7,'DATE',4,0,0,0,NULL,NULL,0,0,'Operative Date',NULL,'Operative Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','UPGRADE','PLUSATRCAT','UPGRADE','UPGRADE',NULL,8,'YORN',1,0,1,0,NULL,NULL,1,0,'Upgrade',NULL,'Upgrade',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','PLUSATRCATID','PLUSATRCAT','PLUSATRCATID','PLUSATRCATID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','TRID','PLUSATRCAT','TRID','TRID',NULL,2,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Technical Record ID',NULL,'Technical Record ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','CATID','PLUSATRCAT','CATID','CATID',NULL,3,'INTEGER',12,0,0,0,NULL,NULL,0,0,'Parts Catalog ID',NULL,'Cat ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','SREXPRESSION','PLUSATRCAT','SREXPRESSION','SREXPRESSION',NULL,4,'ALN',200,0,0,0,NULL,NULL,0,0,'Serial Range Expression',NULL,'Serial Range',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','INOPERATIVEDATE','PLUSATRCAT','INOPERATIVEDATE','INOPERATIVEDATE',NULL,5,'DATE',4,0,0,0,NULL,NULL,0,0,'Inoperative Date',NULL,'Inoperative Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','VALIDUNTILREMOVED','PLUSATRCAT','VALIDUNTILREMOVED','VALIDUNTILREMOVED',NULL,6,'YORN',1,0,1,0,NULL,NULL,1,0,'Valid Until Unit Removed',NULL,'Valid Until Removed',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','OPERATIVEDATE','PLUSATRCAT','OPERATIVEDATE','OPERATIVEDATE',NULL,7,'DATE',4,0,0,0,NULL,NULL,0,0,'Operative Date',NULL,'Operative Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','UPGRADE','PLUSATRCAT','UPGRADE','UPGRADE',NULL,8,'YORN',1,0,1,0,NULL,NULL,1,0,'Upgrade',NULL,'Upgrade',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','SUPERSEDINGCATID','PLUSATRCAT','SUPERSEDINGCATID','SUPERSEDINGCATID',NULL,9,'INTEGER',12,0,0,0,'PLUSACACAT','PLUSACACATID',1,0,'Superseding Cat IDTechnical key of referenced Superseding Item (PLUSACACat)',NULL,'Superseding Cat ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','ITEM',NULL,NULL,'ITEM',NULL,10,'UPPER',200,0,1,0,'PLUSACACAT','ITEM',0,0,'Item',NULL,'Item',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRCatItem',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','SUPERSEDINGITEM',NULL,NULL,'SUPERSEDINGITEM',NULL,11,'UPPER',200,0,0,0,'PLUSACACAT','ITEM',0,0,'Superseding Item',NULL,'Superseding Item',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRCatSupersedingItem',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','SUPERSEDINGCATID','PLUSATRCAT','SUPERSEDINGCATID','SUPERSEDINGCATID',NULL,9,'INTEGER',12,0,0,0,'PLUSACACAT','PLUSACACATID',1,0,'Superseding Cat IDTechnical key of referenced Superseding Item (PLUSACACat)',NULL,'Superseding Cat ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','ITEM',NULL,NULL,'ITEM',NULL,10,'UPPER',200,0,1,0,'PLUSACACAT','ITEM',0,0,'Item',NULL,'Item',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRCatItem',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRCAT','SUPERSEDINGITEM',NULL,NULL,'SUPERSEDINGITEM',NULL,11,'UPPER',200,0,0,0,'PLUSACACAT','ITEM',0,0,'Superseding Item',NULL,'Superseding Item',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRCatSupersedingItem',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSATRCAT','PLUSATR','PLUSATRCAT','trid = :plusatrid','Relationship to the PlusATRCat table, used to find the items for a Technical Record',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACACAT','PLUSATRCAT','PLUSACACAT','plusacacatid = :catid','Relationship to the PlusACACat table, used to find the item for a PlusATRCat Record',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACASUPER','PLUSATRCAT','PLUSACACAT','plusacacatid = :supersedingcatid','Relationship to the PlusACACat table, used to find the superseding item for a PlusATRCat Record',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET DEFAULTVALUE = '0'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTECFG
      SET DEFAULTVALUE = '0'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTE
      SET DEFAULTVALUE = '0'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'UPGRADE'
;

UPDATE MAXATTRIBUTECFG
      SET DEFAULTVALUE = '0'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'UPGRADE'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACACAT', SAMEASATTRIBUTE = 'PLUSACACATID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'CATID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACACAT', SAMEASATTRIBUTE = 'PLUSACACATID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'CATID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'TRID'
;

COMMIT
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSATRASSET','PLUSATR','PLUSATRASSET','trid = :plusatrid','Relationship to the PlusATRAsset table, used to find the asset status for a Technical Record',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ASSET','PLUSATRASSET','ASSET','assetuid = :assetuid','Relationship to the Asset table, used to find an asset of the asset status for a Technical Record',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('WORKORDER','PLUSATRASSET','WORKORDER','workorderid = :workorderid','Relationship to the Workorder table, used to find a workorder of the asset status for a Technical Record',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSET','ASSETNUM',NULL,NULL,'ASSETNUM',NULL,7,'UPPER',12,0,0,0,'ASSET','ASSETNUM',0,0,'Asset Num',NULL,'Asset',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRAssetAssetNum',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSET','ITEMNUM',NULL,NULL,'ITEMNUM',NULL,8,'UPPER',30,0,0,0,'ITEM','ITEMNUM',0,0,'Item Num',NULL,'Item',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRAssetItemNum',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSET','WONUM',NULL,NULL,'WONUM',NULL,9,'UPPER',10,0,0,0,'WORKORDER','WONUM',0,0,'WO Num',NULL,'Work Order',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRAssetWONum',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSET','ASSETNUM',NULL,NULL,'ASSETNUM',NULL,7,'UPPER',12,0,0,0,'ASSET','ASSETNUM',0,0,'Asset Num',NULL,'Asset',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRAssetAssetNum',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSET','ITEMNUM',NULL,NULL,'ITEMNUM',NULL,8,'UPPER',30,0,0,0,'ITEM','ITEMNUM',0,0,'Item Num',NULL,'Item',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRAssetItemNum',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSET','WONUM',NULL,NULL,'WONUM',NULL,9,'UPPER',10,0,0,0,'WORKORDER','WONUM',0,0,'WO Num',NULL,'Work Order',NULL,0,0,NULL,'psdi.plusa.app.plusatr.PlusAFldTRAssetWONum',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSATRASSETSTATUS','PlusATRAsset Status','SYNONYM','ALN',20,NULL,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>26','PLUSATRASSETSTATUS','ACTIVE','ACTIVE','Active Status',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>27','PLUSATRASSETSTATUS','COMPLETE','COMPLETE','Complete Status',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

UPDATE MAXATTRIBUTE
      SET DOMAINID = 'PLUSATRASSETSTATUS'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET DOMAINID = 'PLUSATRASSETSTATUS'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'WORKORDER', SAMEASATTRIBUTE = 'WORKORDERID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'WORKORDERID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'WORKORDER', SAMEASATTRIBUTE = 'WORKORDERID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'WORKORDERID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'ASSET', SAMEASATTRIBUTE = 'ASSETUID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'ASSETUID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'ASSET', SAMEASATTRIBUTE = 'ASSETUID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'ASSETUID'
;

INSERT INTO MAXOBJECT (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('PLUSATRASSETCHST','psdi.plusa.app.plusatr.virtual.PlusATRAssetChStSet','PlusATRAsset Change Status table.',0,NULL,NULL,NULL,NULL,0,0,0,'PLUSATR','SYSTEM',0,0,0,NEXTVAL FOR MAXOBJECTSEQ)
;

INSERT INTO MAXOBJECTCFG (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,CHANGED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('PLUSATRASSETCHST','psdi.plusa.app.plusatr.virtual.PlusATRAssetChStSet','PlusATRAsset Change Status table.',0,NULL,NULL,NULL,NULL,0,0,0,'PLUSATR','SYSTEM',0,'N',0,0,NEXTVAL FOR MAXOBJECTCFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETCHST','STATUS',NULL,NULL,'STATUS',NULL,1,'ALN',20,0,1,0,'PLUSATRASSET','STATUS',0,0,'New Status',NULL,'New Status',NULL,0,0,NULL,'psdi.app.common.FldChangeStatus',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETCHST','ASOFDATE',NULL,NULL,'ASOFDATE',NULL,2,'DATETIME',10,0,1,0,NULL,NULL,1,0,'Status Date',NULL,'Status Date',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETCHST','MEMO',NULL,NULL,'MEMO',NULL,3,'ALN',50,0,0,0,NULL,NULL,0,0,'Memo',NULL,'Memo',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETCHST','STATUS',NULL,NULL,'STATUS',NULL,1,'ALN',20,0,1,0,'PLUSATRASSET','STATUS',0,0,'New Status',NULL,'New Status',NULL,0,0,NULL,'psdi.app.common.FldChangeStatus',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETCHST','ASOFDATE',NULL,NULL,'ASOFDATE',NULL,2,'DATETIME',10,0,1,0,NULL,NULL,1,0,'Status Date',NULL,'Status Date',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETCHST','MEMO',NULL,NULL,'MEMO',NULL,3,'ALN',50,0,0,0,NULL,NULL,0,0,'Memo',NULL,'Memo',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXTABLE (trigroot,TABLENAME,ADDROWSTAMP,EAUDITTBNAME,ISAUDITTABLE,RESTOREDATA,STORAGEPARTITION,TEXTSEARCHENABLED,ISLANGTABLE,MAXTABLEID) VALUES ('PLUSATRSSETSTAT','PLUSATRASSETSTAT',1,NULL,0,0,'MAXIMO',0,0,NEXTVAL FOR MAXTABLESEQ)
;

INSERT INTO MAXTABLECFG (trigroot,TABLENAME,ADDROWSTAMP,EAUDITTBNAME,ISAUDITTABLE,RESTOREDATA,STORAGEPARTITION,TEXTSEARCHENABLED,ISLANGTABLE,MAXTABLEID) VALUES ('PLUSATRSSETSTAT','PLUSATRASSETSTAT',1,NULL,0,0,'MAXIMO',0,0,NEXTVAL FOR MAXTABLECFGSEQ)
;

INSERT INTO MAXOBJECT (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('PLUSATRASSETSTAT','psdi.plusa.app.plusatr.PlusATRAssetStatSet','PlusATRAsset Status',0,NULL,'PLUSATRASSETSTAT',NULL,NULL,0,0,1,'PLUSATR','SYSTEM',0,0,0,NEXTVAL FOR MAXOBJECTSEQ)
;

INSERT INTO MAXOBJECTCFG (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,CHANGED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('PLUSATRASSETSTAT','psdi.plusa.app.plusatr.PlusATRAssetStatSet','PlusATRAsset Status',0,NULL,'PLUSATRASSETSTAT',NULL,NULL,0,0,1,'PLUSATR','SYSTEM',0,'N',0,0,NEXTVAL FOR MAXOBJECTCFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','PLUSATRASSETSTATID','PLUSATRASSETSTAT','PLUSATRASSETSTATID','PLUSATRASSETSTATID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','PLUSATRASSETID','PLUSATRASSETSTAT','PLUSATRASSETID','PLUSATRASSETID',NULL,2,'INTEGER',12,0,0,0,'PLUSATRASSET','PLUSATRASSETID',1,0,'TRAsset ID',NULL,'TRAsset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','STATUS','PLUSATRASSETSTAT','STATUS','STATUS',NULL,3,'ALN',20,0,0,0,'PLUSATRASSET','STATUS',0,0,'Status',NULL,'Status',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','CHANGEBY','PLUSATRASSETSTAT','CHANGEBY','CHANGEBY',NULL,4,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Changed By',NULL,'Changed By',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','CHANGEDATE','PLUSATRASSETSTAT','CHANGEDATE','CHANGEDATE',NULL,5,'DATETIME',10,0,0,0,NULL,NULL,1,0,'Status Date',NULL,'Status Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','MEMO','PLUSATRASSETSTAT','MEMO','MEMO',NULL,6,'ALN',50,0,0,0,NULL,NULL,0,0,'Memo',NULL,'Memo',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','PLUSATRASSETSTATID','PLUSATRASSETSTAT','PLUSATRASSETSTATID','PLUSATRASSETSTATID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','PLUSATRASSETID','PLUSATRASSETSTAT','PLUSATRASSETID','PLUSATRASSETID',NULL,2,'INTEGER',12,0,0,0,'PLUSATRASSET','PLUSATRASSETID',1,0,'TRAsset ID',NULL,'TRAsset ID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','STATUS','PLUSATRASSETSTAT','STATUS','STATUS',NULL,3,'ALN',20,0,0,0,'PLUSATRASSET','STATUS',0,0,'Status',NULL,'Status',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','CHANGEBY','PLUSATRASSETSTAT','CHANGEBY','CHANGEBY',NULL,4,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'Changed By',NULL,'Changed By',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','CHANGEDATE','PLUSATRASSETSTAT','CHANGEDATE','CHANGEDATE',NULL,5,'DATETIME',10,0,0,0,NULL,NULL,1,0,'Status Date',NULL,'Status Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSATRASSETSTAT','MEMO','PLUSATRASSETSTAT','MEMO','MEMO',NULL,6,'ALN',50,0,0,0,NULL,NULL,0,0,'Memo',NULL,'Memo',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSATRASSETCHST','PLUSATRASSET','PLUSATRASSETCHST',NULL,'Relationship to the non-persistent PLUSATRASSETCHST table.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSATRASSETSTAT','PLUSATRASSET','PLUSATRASSETSTAT','plusatrassetid = :plusatrassetid','Relationship to the PLUSATRASSETSTAT table.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXSERVICE
      SET CLASSNAME = 'psdi.plusa.app.plusatr.PlusATRService'
      WHERE SERVICENAME = 'PLUSATR'
;

UPDATE MAXTABLE
      SET UNIQUECOLUMNNAME = 'PLUSATRASSETSTATID'
      WHERE TABLENAME = 'PLUSATRASSETSTAT'
;

UPDATE MAXTABLECFG
      SET UNIQUECOLUMNNAME = 'PLUSATRASSETSTATID'
      WHERE TABLENAME = 'PLUSATRASSETSTAT'
;

CREATE SEQUENCE plusatrassetstatseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSATRASSETSTAT','PLUSATRASSETSTATID',0,'PLUSATRASSETSTATSEQ')
;

COMMIT
;

UPDATE MAXATTRIBUTE
      SET DOMAINID = 'PLUSATRTYPE'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTECFG
      SET DOMAINID = 'PLUSATRTYPE'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'SUPERSEDEDBY'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'SUPERSEDEDBY'
;

UPDATE MAXATTRIBUTE
      SET REQUIRED = 0, DOMAINID = 'PLUSATRREQUIRED'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'REQUIRED'
;

UPDATE MAXATTRIBUTECFG
      SET REQUIRED = 0, DOMAINID = 'PLUSATRREQUIRED'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'REQUIRED'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMBUILD', SAMEASATTRIBUTE = 'PLUSACMBUILDID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMBUILD', SAMEASATTRIBUTE = 'PLUSACMBUILDID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACACAT', SAMEASATTRIBUTE = 'PLUSACACATID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'CATID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACACAT', SAMEASATTRIBUTE = 'PLUSACACATID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'CATID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMCONFIG', SAMEASATTRIBUTE = 'PLUSACMCONFIGID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'CONFIGID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMCONFIG', SAMEASATTRIBUTE = 'PLUSACMCONFIGID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'CONFIGID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACACAT', SAMEASATTRIBUTE = 'ITEM'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACACAT', SAMEASATTRIBUTE = 'ITEM'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'MODEL'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'MODEL'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMBUILDITEM', SAMEASATTRIBUTE = 'NAME'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMBUILDITEM', SAMEASATTRIBUTE = 'NAME'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMBUILD', SAMEASATTRIBUTE = 'POSITION'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMBUILD', SAMEASATTRIBUTE = 'POSITION'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMCONFIG', SAMEASATTRIBUTE = 'VARIATION'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMCONFIG', SAMEASATTRIBUTE = 'VARIATION'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'METER', SAMEASATTRIBUTE = 'METERID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETMETERID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'METER', SAMEASATTRIBUTE = 'METERID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETMETERID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'MASTERPM', SAMEASATTRIBUTE = 'MASTERPMID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATMASTERPMID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'MASTERPM', SAMEASATTRIBUTE = 'MASTERPMID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATMASTERPMID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'METER', SAMEASATTRIBUTE = 'METERID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'METERID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'METER', SAMEASATTRIBUTE = 'METERID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'METERID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'MODEL'
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'MODEL'
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'PLUSACMMODELID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'MODELID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSACMMODEL', SAMEASATTRIBUTE = 'PLUSACMMODELID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'MODELID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'TRID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'STATUS'
      WHERE OBJECTNAME = 'PLUSATRCHGSTATUS'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'STATUS'
      WHERE OBJECTNAME = 'PLUSATRCHGSTATUS'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'STATUS'
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'STATUS'
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'PLUSATRID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASOBJECT = 'PLUSATR', SAMEASATTRIBUTE = 'PLUSATRID', MUSTBE = 1
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'PLUSATRID'
;

COMMIT
;

UPDATE MAXAPPS
      SET DESCRIPTION = 'Models (Av)', MAINTBNAME = 'PLUSACMMODEL'
      WHERE APP = 'PLUSACM'
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSACM','READ','Read',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSACM',
                                                                                'READ',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSACM')
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSACM',0,0,'OPTION','READ',NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSACM',
                                                                                'READ',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSACM',10,0,'HEADER','SM10','Advanced Search',NULL,1,'atb_search.gif',NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSACM',10,10,'OPTION','SEARCHMORE',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSACM',10,20,'OPTION','SEARCHWHER',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,URL,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('SEARCHMENU','PLUSACM',10,30,'OPTION','SEARCHTIPS',NULL,NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

COMMIT
;

--*[300108]Translation Ratio: 100% (191/191 statements were translated successfully)
