--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Registration (tail number) of an asset.'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAREG'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Registration (tail number) of an asset.'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAREG'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a CM item.'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSACATID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a CM item.'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSACATID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a model.'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAMODEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a model.'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAMODEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Registration (tail number) of an asset.'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAREG'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Registration (tail number) of an asset.'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAREG'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'An initial (anchor) meter reading.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'An initial (anchor) meter reading.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date of an initial (anchor) meter reading.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date of an initial (anchor) meter reading.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a meter reading is the default reading for other calculations. If the check box is selected, the reading is the default reading. If the check box is empty, the reading is not the default reading. The default value is True, unless another default reading exists for the asset.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAISDEFAULT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a meter reading is the default reading for other calculations. If the check box is selected, the reading is the default reading. If the check box is empty, the reading is not the default reading. The default value is True, unless another default reading exists for the asset.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAISDEFAULT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether an initial (anchor) meter reading is an estimate. If the check box is selected, the reading is an estimate. If the check box is empty (default), the reading is not an estimate.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAISESTIMATED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether an initial (anchor) meter reading is an estimate. If the check box is selected, the reading is an estimate. If the check box is empty (default), the reading is not an estimate.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAISESTIMATED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval and warning interval values. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option), the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option), or the number of days before the due date of the PM (the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval and warning interval values. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option), the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option), or the number of days before the due date of the PM (the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a master PM takes effect.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSASTARTDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a master PM takes effect.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSASTARTDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a master PM becomes invalid.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSASTOPDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a master PM becomes invalid.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSASTOPDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days after a PM becomes active, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days after a PM becomes active, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval represents a number of days since the active date of the PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval represents a number of days since the active date of the PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval represents a number of days since the active date of the corresponding PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval represents a number of days since the active date of the corresponding PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the corresponding configuration is the current configuration. If the check box is selected, the configuration is the current configuration. If the check box is empty, the configuration is not the current configuration.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'CURRENTCONFIG'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the corresponding configuration is the current configuration. If the check box is selected, the configuration is the current configuration. If the check box is empty, the configuration is not the current configuration.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'CURRENTCONFIG'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) can update a configuration to the latest revision. If the check box is selected, the configuration remains at the revision specified in the Revision attribute. If the check box is empty, the BDI can update the configuration.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'HOLDREVISION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) can update a configuration to the latest revision. If the check box is selected, the configuration remains at the revision specified in the Revision attribute. If the check box is empty, the BDI can update the configuration.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'HOLDREVISION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a revision of a model.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a revision of a model.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Asset status that the Build Data Interpreter (BDI) generated.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Asset status that the Build Data Interpreter (BDI) generated.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a CM item. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a CM item. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a CM item. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a CM item. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Part associated with a CM item.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'PART'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Part associated with a CM item.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'PART'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Format of serial numbers related to a CM item. The letter A represents an alphabetic value and the number 9 represents a numeric value. For example, A99999 represents a serial number with one alphabetic character followed by five numeric characters.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'SERIALFORMAT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Format of serial numbers related to a CM item. The letter A represents an alphabetic value and the number 9 represents a numeric value. For example, A99999 represents a serial number with one alphabetic character followed by five numeric characters.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'SERIALFORMAT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Revision of a CM item.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'REV'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Revision of a CM item.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'REV'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a CM item.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a CM item.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Item set to which a CM item belongs.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'ITEMSETID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Item set to which a CM item belongs.'
      WHERE OBJECTNAME = 'PLUSACACAT'
            AND ATTRIBUTENAME = 'ITEMSETID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'One or more serial numbers associated with a CM item. This field can include individual serial numbers, serial number ranges, or both.'
      WHERE OBJECTNAME = 'PLUSACACATSR'
            AND ATTRIBUTENAME = 'SREXPRESSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'One or more serial numbers associated with a CM item. This field can include individual serial numbers, serial number ranges, or both.'
      WHERE OBJECTNAME = 'PLUSACACATSR'
            AND ATTRIBUTENAME = 'SREXPRESSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Usable on code. This code is a unique identifier for a serial range expression.'
      WHERE OBJECTNAME = 'PLUSACACATSR'
            AND ATTRIBUTENAME = 'SERIALUOC'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Usable on code. This code is a unique identifier for a serial range expression.'
      WHERE OBJECTNAME = 'PLUSACACATSR'
            AND ATTRIBUTENAME = 'SERIALUOC'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'An asset associated with a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'An asset associated with a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the corresponding asset requires a work order. If the check box is empty (default), the asset does not require a work order. If the check box is selected, the asset requires a work order.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'CREATEWORELASSET'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the corresponding asset requires a work order. If the check box is empty (default), the asset does not require a work order. If the check box is selected, the asset requires a work order.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'CREATEWORELASSET'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a component associated with a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSACOMPONENT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a component associated with a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSACOMPONENT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code that identifies the recommended maintenance for a problem on a trip log. Valid values are in the PLUSARECOMM domain.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAMAINTRECOM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code that identifies the recommended maintenance for a problem on a trip log. Valid values are in the PLUSARECOMM domain.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAMAINTRECOM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Mechanic comments about a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAMECHCOMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Mechanic comments about a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAMECHCOMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Operator comments about a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAOPCOMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Operator comments about a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAOPCOMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of a problem or failure. Valid values are in the PLUSAPROBLEM domain.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAPROBLEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of a problem or failure. Valid values are in the PLUSAPROBLEM domain.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAPROBLEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of an aircraft, as a result of a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSASTATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of an aircraft, as a result of a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSASTATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a trip.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSATRIPNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a trip.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSATRIPNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a work order for a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAWONUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a work order for a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAWONUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the person who reported a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the person who reported a problem on a trip log.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of a log problem associated with a work order. Valid values are in the PLUSASTAT domain.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of a log problem associated with a work order. Valid values are in the PLUSASTAT domain.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time the status of a log problem changed.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUSDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time the status of a log problem changed.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUSDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a log problem record in the TICKET table.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'TICKETID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a log problem record in the TICKET table.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'TICKETID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Priority of a problem on a trip log. Your business defines the valid values for this field.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'URGENCY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Priority of a problem on a trip log. Your business defines the valid values for this field.'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'URGENCY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether an apple rule is positive or negative. If the check box is selected, the rule is positive. If the check box is empty (default), the rule is negative.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether an apple rule is positive or negative. If the check box is selected, the rule is positive. If the check box is empty (default), the rule is negative.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies an apple rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PLUSACMAPPLEID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies an apple rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PLUSACMAPPLEID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether an apple rule is a primary rule or a secondary rule. If the check box is selected (default), the rule is a primary rule. If the check box is empty, the rule is a secondary rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PRIMARY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether an apple rule is a primary rule or a secondary rule. If the check box is selected (default), the rule is a primary rule. If the check box is empty, the rule is a secondary rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PRIMARY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Boolean algebraic expression associated with an apple rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'SECONDARYCLAUSE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Boolean algebraic expression associated with an apple rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'SECONDARYCLAUSE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a revision of an apple rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a revision of an apple rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Logistic Support Analysis Record (LSAR) control number associated with a build item. The LCN structure code controls the structure of this field.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LCN'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Logistic Support Analysis Record (LSAR) control number associated with a build item. The LCN structure code controls the structure of this field.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LCN'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Maximum number of non-serialized components that you can install into a build position for the overall status of the asset to be valid.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MAXQTY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Maximum number of non-serialized components that you can install into a build position for the overall status of the asset to be valid.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MAXQTY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Minimum number of non-serialized components that you must install into a build position for the overall status of the asset to be valid.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MINQTY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Minimum number of non-serialized components that you must install into a build position for the overall status of the asset to be valid.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MINQTY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a build position is serialized. If the check box is selected, the position is serialized. If the check box is empty (default), the position is non-serialized.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a build position is serialized. If the check box is selected, the position is serialized. If the check box is empty (default), the position is non-serialized.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Alternate LCN Code, or ALC, of a build position in a hierarchy. The default value is 00.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALC'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Alternate LCN Code, or ALC, of a build position in a hierarchy. The default value is 00.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALC'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Level of a build position in a hierarchy. The default value for the end item in a hierarchy is 1.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'INDENTURE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Level of a build position in a hierarchy. The default value for the end item in a hierarchy is 1.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'INDENTURE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of a build position. Valid values are E (an end item such as an airframe or engine), S (a subassembly), and I (an installation point where you can install another model). The default value for the top-level build position is E. The default value for all other positions is S.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'INDICATOR'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of a build position. Valid values are E (an end item such as an airframe or engine), S (a subassembly), and I (an installation point where you can install another model). The default value for the top-level build position is E. The default value for all other positions is S.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'INDICATOR'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a variation of a model is abstract or true. If the check box is selected, the variation is abstract, and the Build Data Interpreter (BDI) ignores it. If the check box is empty, the BDI validates its configuration. The default value for a base configuration is true (check box is selected).'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'ABSTRACT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a variation of a model is abstract or true. If the check box is selected, the variation is abstract, and the Build Data Interpreter (BDI) ignores it. If the check box is empty, the BDI validates its configuration. The default value for a base configuration is true (check box is selected).'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'ABSTRACT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a variation of a model is the base variation. If the check box is selected, the variation is the base variation. If the check box is empty (default), the variation is not the base variation.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'BASE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a variation of a model is the base variation. If the check box is selected, the variation is the base variation. If the check box is empty (default), the variation is not the base variation.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'BASE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of a variation of a model. Valid values are Active, Draft, and Inactive. The default value is Draft.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of a variation of a model. Valid values are Active, Draft, and Inactive. The default value is Draft.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'System of labels used to identify build positions in a model, for example, ATA, UIN, or WUC. Valid values are in the PLUSACMLABEL domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LABELSYSTEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'System of labels used to identify build positions in a model, for example, ATA, UIN, or WUC. Valid values are in the PLUSACMLABEL domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LABELSYSTEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a model. This value must be unique for all model records.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a model. This value must be unique for all model records.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Class of equipment to which a model belongs, for example, fixed wind aircraft or engine. Valid values are in the PLUSACMClass domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'CLASS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Class of equipment to which a model belongs, for example, fixed wind aircraft or engine. Valid values are in the PLUSACMClass domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'CLASS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Equipment code of a model, for example, airframe, engine, or auxiliary power unit. This value is a subset of the class attribute. Valid values are in the PLUSACMCODE domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'CODE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Equipment code of a model, for example, airframe, engine, or auxiliary power unit. This value is a subset of the class attribute. Valid values are in the PLUSACMCODE domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'CODE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether you can install the corresponding model into another model. For example, you can install an engine into an airframe. If the check box is selected, you can install the model into another model. If the check box is empty (default), you cannot install the model into another model.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'INSTALLABLE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether you can install the corresponding model into another model. For example, you can install an engine into an airframe. If the check box is selected, you can install the model into another model. If the check box is empty (default), you cannot install the model into another model.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'INSTALLABLE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'LCN structure code, which specifies the number of character positions in each level of an LCN code. For example, if the  LCN code of an aircraft engine is L0008, the engine is the seventh build position beneath the airframe. The corresponding LCN structure code is 14, which represents 1 for the top level and 4 for the second level. The LCN structure code cannot contain any zeroes. The default structure is a 1 in the first position, and a 4 in subsequent positions.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LCNSTRUCTURE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'LCN structure code, which specifies the number of character positions in each level of an LCN code. For example, if the  LCN code of an aircraft engine is L0008, the engine is the seventh build position beneath the airframe. The corresponding LCN structure code is 14, which represents 1 for the top level and 4 for the second level. The LCN structure code cannot contain any zeroes. The default structure is a 1 in the first position, and a 4 in subsequent positions.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LCNSTRUCTURE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Asset family or series of assets to which a model belongs. Valid values are in the PLUSACMSERIES domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'SERIES'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Asset family or series of assets to which a model belongs. Valid values are in the PLUSACMSERIES domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'SERIES'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'LCN code of the top-level build item in a model. For example, for an aircraft, this value is the LCN code of the airframe. The number of characters in this code must match the first digit of the corresponding LCN structure code. The default value is L.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'TOPLCN'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'LCN code of the top-level build item in a model. For example, for an aircraft, this value is the LCN code of the airframe. The number of characters in this code must match the first digit of the corresponding LCN structure code. The default value is L.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'TOPLCN'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a model. This value must be unique for all model records.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a model. This value must be unique for all model records.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a model. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a model. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) automatically upgrades assets in the selected revision when a higher revision becomes active. If the check box is selected (default), the BDI upgrades the assets. If the check box is empty, the BDI does not upgrade the assets.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) automatically upgrades assets in the selected revision when a higher revision becomes active. If the check box is selected (default), the BDI upgrades the assets. If the check box is empty, the BDI does not upgrade the assets.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether assets in the current revision are exempt from an automatic upgrade to a higher revision when a higher revision becomes active. If the check box is selected, the assets are exempt. If the check box is empty (default), assets are upgraded. For example, if a new revision applies to a specific aircraft and not to an entire fleet, select this check box.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADEOPTOUT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether assets in the current revision are exempt from an automatic upgrade to a higher revision when a higher revision becomes active. If the check box is selected, the assets are exempt. If the check box is empty (default), assets are upgraded. For example, if a new revision applies to a specific aircraft and not to an entire fleet, select this check box.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADEOPTOUT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date a revision takes effect. This date must be the same as or later than the creation date of the revision.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date a revision takes effect. This date must be the same as or later than the creation date of the revision.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a revision of a model is in Draft status. If the check box is selected (default) , the status of the model is Draft. If the check box is empty, the status of the model is not Draft.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'DRAFT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a revision of a model is in Draft status. If the check box is selected (default) , the status of the model is Draft. If the check box is empty, the status of the model is not Draft.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'DRAFT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date a revision becomes inactive. This date must be the same as or later than the creation date of the revision. If an active date exists for the revision, this date must be later than the active date.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'INACTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date a revision becomes inactive. This date must be the same as or later than the creation date of the revision. If an active date exists for the revision, this date must be later than the active date.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'INACTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a revision of a model. This value must be higher than any existing revision for the model. The default value is 0.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a revision of a model. This value must be higher than any existing revision for the model. The default value is 0.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Creation date of a revision of a model. The default value is the system date.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'REVISIONDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Creation date of a revision of a model. The default value is the system date.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'REVISIONDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a CM Item. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a CM Item. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a model. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a model. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Name of a component in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Name of a component in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Position of a component in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Position of a component in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a variation of a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a CM item.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a CM item.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a model.'
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'MODEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a unique position on a build item.'
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a unique position on a build item.'
      WHERE OBJECTNAME = 'PLUSACMVBUILDITEM'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a CM item is the default CM Item for a build position. If the check box is selected, the CM item is the default item. If the check box is empty (default), the CM item is not the default item.'
      WHERE OBJECTNAME = 'PLUSACMXCAT'
            AND ATTRIBUTENAME = 'ISDEFAULT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a CM item is the default CM Item for a build position. If the check box is selected, the CM item is the default item. If the check box is empty (default), the CM item is not the default item.'
      WHERE OBJECTNAME = 'PLUSACMXCAT'
            AND ATTRIBUTENAME = 'ISDEFAULT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Certification used by a crew member.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'CERTIFICATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Certification used by a crew member.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'CERTIFICATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about a crew or crew member.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about a crew or crew member.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Number of times a crew member used a particular certification during a trip.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Number of times a crew member used a particular certification during a trip.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a crew member used a particular certification.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'DATEUSED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a crew member used a particular certification.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'DATEUSED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Length of time that a crew member used a particular certification on a trip.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Length of time that a crew member used a particular certification on a trip.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Name or labor code of a crew member.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'PERSON'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Name or labor code of a crew member.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'PERSON'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a crew member was qualified to use a certification on the date he or she used it. If the check box is empty (default), the crew member was not qualified. If the check box is selected, the crew member was qualified.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'QUALIFIED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a crew member was qualified to use a certification on the date he or she used it. If the check box is empty (default), the crew member was not qualified. If the check box is selected, the crew member was qualified.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'QUALIFIED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a trip or segment of a trip.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'TRIPNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a trip or segment of a trip.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'TRIPNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code that describes the purpose of a trip. Valid values are in the PLUSAUTIL domain.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'UTILIZATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code that describes the purpose of a trip. Valid values are in the PLUSAUTIL domain.'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'UTILIZATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the system updates the scheduled completion date of a work order to the deferral date. This update occurs when the status of the work order changes to Active. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the system updates the scheduled completion date of a work order to the deferral date. This update occurs when the status of the work order changes to Active. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about an extension to a deferral. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about an extension to a deferral. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Length of a deferral (in days). The default value is 0.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Length of a deferral (in days). The default value is 0.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Scheduled completion date for a work order with a deferral. The default value is the scheduled completion date for the work order, plus the number of days deferred.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'EXTDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Scheduled completion date for a work order with a deferral. The default value is the scheduled completion date for the work order, plus the number of days deferred.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'EXTDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether any extensions to a deferral exist. If the check box is selected, extensions exist. If the check box is empty (default), no extensions exist.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'EXTENSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether any extensions to a deferral exist. If the check box is selected, extensions exist. If the check box is empty (default), no extensions exist.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'EXTENSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Original due date of a work order. The default value is the scheduled finish date of the work order.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ORIGDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Original due date of a work order. The default value is the scheduled finish date of the work order.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ORIGDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Reason for a deferral. Valid values are in the PLUSADEFREASON domain.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'REASON'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Reason for a deferral. Valid values are in the PLUSADEFREASON domain.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'REASON'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Source of a deferral. Valid values are in the PLUSASOURCE domain.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'SOURCE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Source of a deferral. Valid values are in the PLUSASOURCE domain.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'SOURCE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of a deferral. Valid values are in the PLUSADEFSTAT domain. The default value is Pending.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of a deferral. Valid values are in the PLUSADEFSTAT domain. The default value is Pending.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of a deferral. Valid values are in the PLUSADEFTYPE domain.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of a deferral. Valid values are in the PLUSADEFTYPE domain.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the system updates the scheduled completion date of a work order to the deferral date. This update occurs when the status of the work order changes to Active. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the system updates the scheduled completion date of a work order to the deferral date. This update occurs when the status of the work order changes to Active. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about an extension to a deferral. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about an extension to a deferral. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the system updates the scheduled completion date of a maintenance event to the extended deferral date. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the system updates the scheduled completion date of a maintenance event to the extended deferral date. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about an extension to a deferral. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about an extension to a deferral. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Length of an extension to a deferral (in days).'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Length of an extension to a deferral (in days).'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Scheduled completion date for a work order with a deferral and an extension. The default value is the scheduled completion date for the work order, plus the number of days deferred (duration attribute).'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'EXTDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Scheduled completion date for a work order with a deferral and an extension. The default value is the scheduled completion date for the work order, plus the number of days deferred (duration attribute).'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'EXTDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Number of extensions to a deferral. The default value is 0.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'EXTENSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Number of extensions to a deferral. The default value is 0.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'EXTENSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Reason for an extension to a deferral. Valid values are in the PLUSADEFREASON domain.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'REASON'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Reason for an extension to a deferral. Valid values are in the PLUSADEFREASON domain.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'REASON'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Source of an extension to a deferral. Valid values are in the PLUSASOURCE domain.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'SOURCE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Source of an extension to a deferral. Valid values are in the PLUSASOURCE domain.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'SOURCE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of an extension to a deferral.  Valid values are in the PLUSADEFSTAT domain. The default value is Pending.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of an extension to a deferral.  Valid values are in the PLUSADEFSTAT domain. The default value is Pending.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of an extension to a deferral. Valid values are in the PLUSADEFTYPE domain.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of an extension to a deferral. Valid values are in the PLUSADEFTYPE domain.'
      WHERE OBJECTNAME = 'PLUSADEFEXT'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Either the active date of a PM or the meter count on the active date of a PM meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Either the active date of a PM or the meter count on the active date of a PM meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of meter readings as of the active date of a PM.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVECOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of meter readings as of the active date of a PM.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVECOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date a PM becomes active.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date a PM becomes active.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval and warning interval values. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option), the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option), or the number of days before the due date of the PM (the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval and warning interval values. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option), the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option), or the number of days before the due date of the PM (the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days after a PM becomes active, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days after a PM becomes active, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval represents a number of days since the active date of the PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval represents a number of days since the active date of the PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval represents a number of days since the active date of the corresponding PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval represents a number of days since the active date of the corresponding PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the system updates the scheduled completion date of a work order to the deferral date. This update occurs when the status of the work order changes to Active. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the system updates the scheduled completion date of a work order to the deferral date. This update occurs when the status of the work order changes to Active. If the check box is selected, the system updates the scheduled completion date. If the check box is empty (default), the system does not update the scheduled completion date.'
      WHERE OBJECTNAME = 'PLUSADEF'
            AND ATTRIBUTENAME = 'ADJUST'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of the meter readings on the active date of a PM and the alert interval for the PM.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ALERTCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of the meter readings on the active date of a PM and the alert interval for the PM.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ALERTCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of meter readings on the as of date.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'CURRENTCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of meter readings on the as of date.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'CURRENTCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a PM or a work order.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a PM or a work order.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date or meter count at which a PM is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date or meter count at which a PM is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Meter count at which preventive maintenance is due. Represents the sum of meter readings on the active date and frequency interval.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUECOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Meter count at which preventive maintenance is due. Represents the sum of meter readings on the active date and frequency interval.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUECOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval frequency (number of days or meter count) at which preventive maintenance is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'FREQUENCY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval frequency (number of days or meter count) at which preventive maintenance is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'FREQUENCY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code that specifies how a PM was completed. Valid values are Acknowledged, Claimed, and Completed.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'INACTIVECODE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code that specifies how a PM was completed. Valid values are Acknowledged, Claimed, and Completed.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'INACTIVECODE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of meter readings on the Date when a PM was completed, claimed, or acknowledged.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'INACTIVECOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of meter readings on the Date when a PM was completed, claimed, or acknowledged.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'INACTIVECOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a PM was completed, claimed, or acknowledged.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'INACTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a PM was completed, claimed, or acknowledged.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'INACTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of meter readings on the completion date of a PM.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'LASTCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of meter readings on the completion date of a PM.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'LASTCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Meter count or number of days that remain until a maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'LEFT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Meter count or number of days that remain until a maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'LEFT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Units of measure in which PM frequency is expressed (for example, days) or the description of a meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'METERUNIT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Units of measure in which PM frequency is expressed (for example, days) or the description of a meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'METERUNIT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a PM.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'PMNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a PM.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'PMNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of the meter reading on the active date of a PM and the warning interval for the meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'WARNINGCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of the meter reading on the active date of a PM and the warning interval for the meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'WARNINGCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Warning date for a PM. The Build Data Interpreter (BDI) flags the asset if the corresponding PM is not complete on this date.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'WARNINGDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Warning date for a PM. The Build Data Interpreter (BDI) flags the asset if the corresponding PM is not complete on this date.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'WARNINGDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a work order associated with a maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'WONUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a work order associated with a maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'WONUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Action that occurs upon the completion of a PM. Valid values are in the PMACTIONTYPE synonym domain. The system performs this action on the corresponding secondary PM. For more information, see About Secondary PMs, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PLUSALFPMACTION'
            AND ATTRIBUTENAME = 'ACTIONTYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Action that occurs upon the completion of a PM. Valid values are in the PMACTIONTYPE synonym domain. The system performs this action on the corresponding secondary PM. For more information, see About Secondary PMs, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PLUSALFPMACTION'
            AND ATTRIBUTENAME = 'ACTIONTYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Aircraft call sign for a trip.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'CALLSIGN'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Aircraft call sign for a trip.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'CALLSIGN'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about a trip.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about a trip.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code that specifies the reason for a trip delay. Valid values are in the PLUSADELAY domain.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DELAYCODE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code that specifies the reason for a trip delay. Valid values are in the PLUSADELAY domain.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DELAYCODE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Length of time that a trip was delayed. Format is HH:MM.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DELAYDURATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Length of time that a trip was delayed. Format is HH:MM.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DELAYDURATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Location where a trip or segment of a trip ended, for example, an airport code.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DESTINATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Location where a trip or segment of a trip ended, for example, an airport code.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DESTINATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Duration of a flight. Format is HH:MM.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Duration of a flight. Format is HH:MM.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time a trip or segment of a trip ended.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'ENDDATETIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time a trip or segment of a trip ended.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'ENDDATETIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Amount of fuel consumed on a trip, in fuel units.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'FUELQTY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Amount of fuel consumed on a trip, in fuel units.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'FUELQTY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Name or labor code of the trip operator.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'OPERATOR'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Name or labor code of the trip operator.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'OPERATOR'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Number of passengers on board.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'PASSENGERS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Number of passengers on board.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'PASSENGERS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Location where a trip or segment of a trip began, for example, an airport code.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'PORIGIN'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Location where a trip or segment of a trip began, for example, an airport code.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'PORIGIN'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the person reporting trip information.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the person reporting trip information.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time when a trip or segment of a trip began.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'STARTDATETIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time when a trip or segment of a trip began.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'STARTDATETIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a trip or segment of a trip.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'TRIPNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a trip or segment of a trip.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'TRIPNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Length of a trip, in trip units.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'TRIPQTY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Length of a trip, in trip units.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'TRIPQTY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Units used to report the length of a trip, for example, miles.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'TRIPUNITS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Units used to report the length of a trip, for example, miles.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'TRIPUNITS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Units used to report fuel consumption for a trip, for example, gallons.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Units used to report fuel consumption for a trip, for example, gallons.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Purpose of a trip. Valid values are in the PLUSAUTIL domain.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'UTILIZATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Purpose of a trip. Valid values are in the PLUSAUTIL domain.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'UTILIZATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies an asset.'
      WHERE OBJECTNAME = 'PLUSALOGS'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies an asset.'
      WHERE OBJECTNAME = 'PLUSALOGS'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a log record.'
      WHERE OBJECTNAME = 'PLUSALOGS'
            AND ATTRIBUTENAME = 'LOGID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a log record.'
      WHERE OBJECTNAME = 'PLUSALOGS'
            AND ATTRIBUTENAME = 'LOGID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a site.'
      WHERE OBJECTNAME = 'PLUSALOGS'
            AND ATTRIBUTENAME = 'SITEID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a site.'
      WHERE OBJECTNAME = 'PLUSALOGS'
            AND ATTRIBUTENAME = 'SITEID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Label associated with an asset.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Label associated with an asset.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a problem that the Build Data Interpreter (BDI) reported.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'MAP'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a problem that the Build Data Interpreter (BDI) reported.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'MAP'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Name of a build position.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Name of a build position.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a build position.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a build position.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Serial number associated with a CM item.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'SERIAL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Serial number associated with a CM item.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'SERIAL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Details of a problem that the Build Data Interpreter (BDI) reported.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'NARRATIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Details of a problem that the Build Data Interpreter (BDI) reported.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'NARRATIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a CM item.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a CM item.'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'ITEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a user has created a production asset through the Create Assets action in the New Asset Assemblies (Av) application. If the check box is empty (default), no one has created an asset. If the check box is selected, someone has created an asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETCREATED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a user has created a production asset through the Create Assets action in the New Asset Assemblies (Av) application. If the check box is empty (default), no one has created an asset. If the check box is selected, someone has created an asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETCREATED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a new asset assembly. This value must be unique for all new asset assembly records.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a new asset assembly. This value must be unique for all new asset assembly records.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Alphanumeric prefix that the New Asset Assemblies (Av) application uses to generate asset numbers in a subassembly. The application increments this number by 1 for each asset number that it generates. The maximum length of the concatenated Asset Prefix and Asset Suffix values is 12 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETPREFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Alphanumeric prefix that the New Asset Assemblies (Av) application uses to generate asset numbers in a subassembly. The application increments this number by 1 for each asset number that it generates. The maximum length of the concatenated Asset Prefix and Asset Suffix values is 12 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETPREFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of a new asset assembly. Valid values are Active, Draft, and Inactive.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSTATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of a new asset assembly. Valid values are Active, Draft, and Inactive.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSTATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (Av) application uses to generate asset numbers for a subassembly. The maximum length of the concatenated Asset Prefix and Asset Suffix values is 12 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSUFFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (Av) application uses to generate asset numbers for a subassembly. The maximum length of the concatenated Asset Prefix and Asset Suffix values is 12 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSUFFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Location of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'LOCATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Location of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'LOCATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Receipt date and time of a new asset. The default value is the system date and time.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'RECEIPTDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Receipt date and time of a new asset. The default value is the system date and time.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'RECEIPTDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Registration number of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'REG'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Registration number of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'REG'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Serial number of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Serial number of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Alphanumeric prefix that the New Asset Assemblies (Av) application uses when it generates serial numbers for assets in a subassembly. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALPREFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Alphanumeric prefix that the New Asset Assemblies (Av) application uses when it generates serial numbers for assets in a subassembly. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALPREFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (Av) application uses to generate serial numbers for assets in a subassembly. The application increments this value by 1 for each serial number that it generates. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALSUFFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (Av) application uses to generate serial numbers for assets in a subassembly. The application increments this value by 1 for each serial number that it generates. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALSUFFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the site of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SITEID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the site of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SITEID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of a new asset assembly. Valid values are in the PLUSANEWASSETSTAT domain. The default value is Draft.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of a new asset assembly. Valid values are in the PLUSANEWASSETSTAT domain. The default value is Draft.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Initial (anchor) reading for the corresponding meter in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWSUBMETER'
            AND ATTRIBUTENAME = 'ANCHORCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Initial (anchor) reading for the corresponding meter in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWSUBMETER'
            AND ATTRIBUTENAME = 'ANCHORCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Initial reading date for the corresponding meter in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWSUBMETER'
            AND ATTRIBUTENAME = 'ANCHORDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Initial reading date for the corresponding meter in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWSUBMETER'
            AND ATTRIBUTENAME = 'ANCHORDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a meter in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWSUBMETER'
            AND ATTRIBUTENAME = 'METERNAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a meter in a subassembly of a new asset.'
      WHERE OBJECTNAME = 'PLUSANEWSUBMETER'
            AND ATTRIBUTENAME = 'METERNAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'A production asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
            AND ATTRIBUTENAME = 'ASSETID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'A production asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
            AND ATTRIBUTENAME = 'ASSETID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about a change to the CM item associated with an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
            AND ATTRIBUTENAME = 'COMMENTSTEXT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about a change to the CM item associated with an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
            AND ATTRIBUTENAME = 'COMMENTSTEXT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time of the addition or update of a CM item associated with an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
            AND ATTRIBUTENAME = 'TRANSTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time of the addition or update of a CM item associated with an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETCAT'
            AND ATTRIBUTENAME = 'TRANSTIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about a change to the serial number of an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
            AND ATTRIBUTENAME = 'COMMENTSTEXT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about a change to the serial number of an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
            AND ATTRIBUTENAME = 'COMMENTSTEXT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Serial number of an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
            AND ATTRIBUTENAME = 'SERIAL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Serial number of an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
            AND ATTRIBUTENAME = 'SERIAL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time of the addition or update of the serial number associated with an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
            AND ATTRIBUTENAME = 'TRANSTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time of the addition or update of the serial number associated with an asset.'
      WHERE OBJECTNAME = 'PLUSASAASSETSN'
            AND ATTRIBUTENAME = 'TRANSTIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about a change to the registration of an asset.'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'COMMENTSTEXT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about a change to the registration of an asset.'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'COMMENTSTEXT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the registration number of an asset.'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'REGISTRATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the registration number of an asset.'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'REGISTRATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time of the addition or update of the registration associated with an asset.'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'TRANSTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time of the addition or update of the registration associated with an asset.'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'TRANSTIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about an installation to or removal from a non-serialized build position.'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'COMMENTSTEXT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about an installation to or removal from a non-serialized build position.'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'COMMENTSTEXT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Quantity of an asset installed to or removed from a non-serialized build position.'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'QUANTITY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Quantity of an asset installed to or removed from a non-serialized build position.'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'QUANTITY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Serial number associated with a CM item.'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'SERIAL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Serial number associated with a CM item.'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'SERIAL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time of the installation or removal of an asset to or from a non-serialized build position.'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'TRANSTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time of the installation or removal of an asset to or from a non-serialized build position.'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'TRANSTIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Name of a build position.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Name of a build position.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the position of an asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the position of an asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Label associated with a build position.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Label associated with a build position.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time of the removal of a child asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'OFFTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time of the removal of a child asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'OFFTIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time of the installation of a child asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'ONTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time of the installation of a child asset.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'ONTIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'AAction that occurs upon the completion of a PM. Valid values are in the PMACTIONTYPE synonym domain. The system performs this action on the corresponding secondary PM. For more information, see About Secondary PMs, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PLUSASAPMACTION'
            AND ATTRIBUTENAME = 'ACTIONTYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'AAction that occurs upon the completion of a PM. Valid values are in the PMACTIONTYPE synonym domain. The system performs this action on the corresponding secondary PM. For more information, see About Secondary PMs, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PLUSASAPMACTION'
            AND ATTRIBUTENAME = 'ACTIONTYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a superseding technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'SUPERSEDEDBY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a superseding technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'SUPERSEDEDBY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of a technical record, for example, AWD (air worthiness directive). Valid values are in the TRTYPE domain.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of a technical record, for example, AWD (air worthiness directive). Valid values are in the TRTYPE domain.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Information about a technical record and its requirements.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'NARRATIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Information about a technical record and its requirements.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'NARRATIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'PUBLICATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'PUBLICATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a superseding technical record takes effect.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'RECISIONDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a superseding technical record takes effect.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'RECISIONDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Organization that issued a technical record, for example, FAA  (Federal Aviation Administration) or NRC (Nuclear Regulatory Commission). Valid values are in the TRREQUIRED domain.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'REQUIRED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Organization that issued a technical record, for example, FAA  (Federal Aviation Administration) or NRC (Nuclear Regulatory Commission). Valid values are in the TRREQUIRED domain.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'REQUIRED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Title of a technical record. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'TITLE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Title of a technical record. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'TITLE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a technical record takes effect.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'EFFECTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a technical record takes effect.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'EFFECTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Compliance status of a technical record. Valid values are in the TRSTATUS domain. The default value is Draft.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Compliance status of a technical record. Valid values are in the TRSTATUS domain. The default value is Draft.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Applicable revision of the technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY1'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Applicable revision of the technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY1'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Applicable chapter of a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY2'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Applicable chapter of a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY2'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Applicable paragraph of a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY3'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Applicable paragraph of a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY3'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Applicable chapter of a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY2'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Applicable chapter of a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY2'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Applicable revision of the technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY1'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Applicable revision of the technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY1'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Applicable part of a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY4'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Applicable part of a technical record.'
      WHERE OBJECTNAME = 'PLUSATR'
            AND ATTRIBUTENAME = 'USERKEY4'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Method of compliance (MOC). If no work order is associated with a technical record, the MOC must explain why no work order was necessary and how the business complied with the technical record.'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'MOC'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Method of compliance (MOC). If no work order is associated with a technical record, the MOC must explain why no work order was necessary and how the business complied with the technical record.'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'MOC'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Compliance status of an asset affected by a technical record.'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Compliance status of an asset affected by a technical record.'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Number of days that the Build Data Interpreter (BDI) can defer an invalid or missing item.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'AUTODEFERRALDAYS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Number of days that the Build Data Interpreter (BDI) can defer an invalid or missing item.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'AUTODEFERRALDAYS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a build item becomes inoperative and all assets associated with the build item must be removed. If an asset is still associated with the build item on this date, the Build Data Interpreter assigns status BMR (invalid build) to the asset.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'INOPERATIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a build item becomes inoperative and all assets associated with the build item must be removed. If an asset is still associated with the build item on this date, the Build Data Interpreter assigns status BMR (invalid build) to the asset.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'INOPERATIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a build item becomes mandatory. If no asset in installed in the build item on this date, the Build Data Interpreter assigns status SMM (empty mandatory position) to all parent assets.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'MANDATORYDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a build item becomes mandatory. If no asset in installed in the build item on this date, the Build Data Interpreter assigns status SMM (empty mandatory position) to all parent assets.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'MANDATORYDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a build item becomes operative and associated build positions are available for installations.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'OPERATIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a build item becomes operative and associated build positions are available for installations.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'OPERATIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether you can defer the maintenance required by a technical record until the corresponding item is removed from the affected asset for other reasons. If the check box is selected, you can defer the maintenance. If the check box is empty (default), you cannot defer the maintenance.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether you can defer the maintenance required by a technical record until the corresponding item is removed from the affected asset for other reasons. If the check box is selected, you can defer the maintenance. If the check box is empty (default), you cannot defer the maintenance.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a CM item becomes inoperative and all assets containing this CM item become invalid for use. If an asset still contains the CM item on this date, the Build Data Interpreter assigns status SIR (invalid part) to the asset.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'INOPERATIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a CM item becomes inoperative and all assets containing this CM item become invalid for use. If an asset still contains the CM item on this date, the Build Data Interpreter assigns status SIR (invalid part) to the asset.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'INOPERATIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a superseding CM item takes effect.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'OPERATIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a superseding CM item takes effect.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'OPERATIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'One or more serial numbers associated with an asset containing the CM item. This field can include individual serial numbers, serial number ranges, or both.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'SREXPRESSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'One or more serial numbers associated with an asset containing the CM item. This field can include individual serial numbers, serial number ranges, or both.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'SREXPRESSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) automatically updates the corresponding asset with the identifier of a superseding CM Item. This update occurs upon completion of a work order that changes the superseded item into the superseding item. If the check box is selected, automatic update occurs. If the check box is empty (default), no update occurs.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'UPGRADE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) automatically updates the corresponding asset with the identifier of a superseding CM Item. This update occurs upon completion of a work order that changes the superseded item into the superseding item. If the check box is selected, automatic update occurs. If the check box is empty (default), no update occurs.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'UPGRADE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether you can defer item maintenance until the item is removed from an asset for other reasons (past the compliance date or mandatory date). If the check box is selected, you can defer maintenance. If the check box is empty (default), you cannot defer maintenance.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether you can defer item maintenance until the item is removed from an asset for other reasons (past the compliance date or mandatory date). If the check box is selected, you can defer maintenance. If the check box is empty (default), you cannot defer maintenance.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The minimum meter reading to which a maintenance event applies. For example, if this value is 500, the maintenance event does not apply if the related meter reading is less than 500.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETFROMCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The minimum meter reading to which a maintenance event applies. For example, if this value is 500, the maintenance event does not apply if the related meter reading is less than 500.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETFROMCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a meter to which special preventive maintenance criteria apply.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETMETERID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a meter to which special preventive maintenance criteria apply.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETMETERID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The maximum meter reading to which a maintenance event applies. For example, if this value is 500, the maintenance event does not apply if the related meter reading is greater than 500.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETTOCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The maximum meter reading to which a maintenance event applies. For example, if this value is 500, the maintenance event does not apply if the related meter reading is greater than 500.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETTOCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COMPLYBYDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COMPLYBYDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Number of flight hours, engine cycles, or engine starts within which a maintenance event is due; or the meter reading at which a maintenance event is due. The latter definition applies if the corresponding Due at Count check box is selected.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Number of flight hours, engine cycles, or engine starts within which a maintenance event is due; or the meter reading at which a maintenance event is due. The latter definition applies if the corresponding Due at Count check box is selected.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the corresponding meter count value represents the meter reading at which a maintenance event is due. If the check box is selected, the maintenance event is due when the corresponding meter reading reaches the count value. If the check box is empty (default), the count value represents the number of flight hours, engine cycles, or engine starts within which the maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the corresponding meter count value represents the meter reading at which a maintenance event is due. If the check box is selected, the maintenance event is due when the corresponding meter reading reaches the count value. If the check box is empty (default), the count value represents the number of flight hours, engine cycles, or engine starts within which the maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a master PM. The corresponding technical record is due at the same time as the asset PM that is associated with this master PM.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATMASTERPMID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a master PM. The corresponding technical record is due at the same time as the asset PM that is associated with this master PM.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATMASTERPMID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a maintenance event becomes active and is scheduled by the Build Data Interpreter (BDI).'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'EFFECTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a maintenance event becomes active and is scheduled by the Build Data Interpreter (BDI).'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'EFFECTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the corresponding PM is an initial PM. If the check box is selected, the PM is an initial PM. If the check box is empty (default), the PM is not an initial PM.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ISINITIAL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the corresponding PM is an initial PM. If the check box is selected, the PM is an initial PM. If the check box is empty (default), the PM is not an initial PM.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ISINITIAL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the corresponding PM is recurring. If the check box is selected, the PM is recurring. If the check box is empty (default), the PM is not recurring.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'RECURRING'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the corresponding PM is recurring. If the check box is selected, the PM is recurring. If the check box is empty (default), the PM is not recurring.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'RECURRING'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'One or more serial numbers associated with a model. This field can include individual serial numbers, serial number ranges, or both.'
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'SREXPRESSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'One or more serial numbers associated with a model. This field can include individual serial numbers, serial number ranges, or both.'
      WHERE OBJECTNAME = 'PLUSATRMODEL'
            AND ATTRIBUTENAME = 'SREXPRESSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about a status change.'
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'MEMO'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about a status change.'
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'MEMO'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval value and the warning interval value. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option); the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option); or the number of days before the due date of a PM the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval value and the warning interval value. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option); the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option); or the number of days before the due date of a PM the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a PM takes effect.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSASTARTDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a PM takes effect.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSASTARTDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a PM becomes invalid.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSASTOPDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a PM becomes invalid.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSASTOPDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application or the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application or the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application or the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Master PM (Av) application or the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the corresponding PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the corresponding PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the help for the Preventive Maintenance (Av) application.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether deferrals exist for a work order. If the check box is selected, deferrals exist. If the check box is empty (default), deferrals do not exist.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSADEF'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether deferrals exist for a work order. If the check box is selected, deferrals exist. If the check box is empty (default), deferrals do not exist.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSADEF'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of a part failure. Valid values are in the PLUSAPARTFAILURE domain.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAPARTFAILURE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of a part failure. Valid values are in the PLUSAPARTFAILURE domain.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAPARTFAILURE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the application in which a work order originated.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAREFERENCE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the application in which a work order originated.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAREFERENCE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The reason for a repair. Valid values are in the PLUSAPROBLEM domain.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSARFR'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The reason for a repair. Valid values are in the PLUSAPROBLEM domain.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSARFR'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a technical record.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSATRPUB'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a technical record.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSATRPUB'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a work order belongs to a work package. If the check box is selected, the work order belongs to a work package. If the check box is empty (default), the work order does not belong to a work package.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAWOPKG'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a work order belongs to a work package. If the check box is selected, the work order belongs to a work package. If the check box is empty (default), the work order does not belong to a work package.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAWOPKG'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time when the Build Data Interpreter (BDI) updated the status of an asset configuration.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'STATUSEDTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time when the Build Data Interpreter (BDI) updated the status of an asset configuration.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'STATUSEDTIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time when the Build Data Interpreter (BDI) updated the status of an asset configuration.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'UPDATEDTIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time when the Build Data Interpreter (BDI) updated the status of an asset configuration.'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'UPDATEDTIME'
;

COMMIT
;

--*[300108]Translation Ratio: 100% (539/539 statements were translated successfully)
