--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a variation of a model is abstract. You do not create a physical configuration of an abstract variation. If the check box is selected, the variation is abstract, and the Build Data Interpreter (BDI) ignores it. If the check box is empty, the BDI validates its configuration. The default value for a base configuration is true (check box is selected).'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'ABSTRACT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a variation of a model is abstract. You do not create a physical configuration of an abstract variation. If the check box is selected, the variation is abstract, and the Build Data Interpreter (BDI) ignores it. If the check box is empty, the BDI validates its configuration. The default value for a base configuration is true (check box is selected).'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'ABSTRACT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a variation of a model is the base variation. If the check box is selected, the variation is the base variation. If the check box is empty (default), the variation is not the base variation. The root of a hierarchy tree is always the base revision.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'BASE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a variation of a model is the base variation. If the check box is selected, the variation is the base variation. If the check box is empty (default), the variation is not the base variation. The root of a hierarchy tree is always the base revision.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'BASE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'New status of a variation.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'NEWSTATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'New status of a variation.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'NEWSTATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Type of a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'APPLETYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Type of a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'APPLETYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies an organization.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'ORGID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies an organization.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'ORGID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PLUSACMAPPLEID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PLUSACMAPPLEID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a configuration rule is a primary rule or a secondary rule. A secondary rule is dependent upon a primary rule. If the check box is selected (default), the rule is a primary rule. If the check box is cleared, the rule is a secondary rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PRIMARY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a configuration rule is a primary rule or a secondary rule. A secondary rule is dependent upon a primary rule. If the check box is selected (default), the rule is a primary rule. If the check box is cleared, the rule is a secondary rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PRIMARY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a revision of a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a revision of a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Configuration rule generated by the rule compiler.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Configuration rule generated by the rule compiler.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the check box is selected (default), the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the check box is selected (default), the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the check box is selected (default), the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the check box is selected (default), the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Boolean algebraic expression associated with a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'SECONDARYCLAUSE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Boolean algebraic expression associated with a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'SECONDARYCLAUSE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a revision of a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a revision of a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'REVISION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PLUSACMAPPLEID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies a configuration rule.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PLUSACMAPPLEID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Name of a build item.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'BUILDITEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Name of a build item.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'BUILDITEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'LCN code of the parent position.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'HIGHERLCN'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'LCN code of the parent position.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'HIGHERLCN'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The revision to which the information on the tab applies. The default value is the greatest active revision for the model, if an active revision exists. If not, the value is the greatest pending revision, if a pending revision exists. If not, the value is the greatest draft revision, if a draft revision exists. If not, the value is the greatest inactive revision, if an inactive revision exists. If not, the value is 0 (the base revision). All configuration rules on the tab are for the revision in this field.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'REVISIONCONTEXT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The revision to which the information on the tab applies. The default value is the greatest active revision for the model, if an active revision exists. If not, the value is the greatest pending revision, if a pending revision exists. If not, the value is the greatest draft revision, if a draft revision exists. If not, the value is the greatest inactive revision, if an inactive revision exists. If not, the value is 0 (the base revision). All configuration rules on the tab are for the revision in this field.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'REVISIONCONTEXT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether any part is valid for this position in the corresponding configuration, If the check box is selected, any part is valid. If the check box is empty, the Build Data Interpreter (BDI) checks part applicability.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALLOWANYPART'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether any part is valid for this position in the corresponding configuration, If the check box is selected, any part is valid. If the check box is empty, the Build Data Interpreter (BDI) checks part applicability.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'ALLOWANYPART'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) will inactivate maintenance plans for assets installed in this position in the corresponding configuration. If the check box is selected, the BDI does not generated related PMs. If the check box is empty, the Build Data Interpreter (BDI) performs event handling.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'EVENTSINACTIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) will inactivate maintenance plans for assets installed in this position in the corresponding configuration. If the check box is selected, the BDI does not generated related PMs. If the check box is empty, the Build Data Interpreter (BDI) performs event handling.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'EVENTSINACTIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a position is mandatory for the corresponding configuration, If the check box is selected, the position is mandatory, If the check box is empty, the position is not mandatory.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MANDATORY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a position is mandatory for the corresponding configuration, If the check box is selected, the position is mandatory, If the check box is empty, the position is not mandatory.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MANDATORY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a position is a Minimum Equipment List (MEL) position for the corresponding configuration, If the check box is selected, the position is a MEL position. If the check box is empty, the position is not a MEL position. For reporting purposes only.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a position is a Minimum Equipment List (MEL) position for the corresponding configuration, If the check box is selected, the position is a MEL position. If the check box is empty, the position is not a MEL position. For reporting purposes only.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Maximum length of a string of linear positions.  If not null, the corresponding position is a string of linear positions.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MAXLINEARUNITS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Maximum length of a string of linear positions.  If not null, the corresponding position is a string of linear positions.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'MAXLINEARUNITS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a build position is serialized (that is, requires a CM item with a serial number). If the check box is selected, the position is serialized. If the check box is empty (default), the position is nonserialized.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a build position is serialized (that is, requires a CM item with a serial number). If the check box is selected, the position is serialized. If the check box is empty (default), the position is nonserialized.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of a build position. Valid values are E (an end item such as an airframe or engine), I (an installation point where you can install another model), and S (a subassembly). The default value for the top-level build position is E. The default value for all other positions is S.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'INDICATOR'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of a build position. Valid values are E (an end item such as an airframe or engine), I (an installation point where you can install another model), and S (a subassembly). The default value for the top-level build position is E. The default value for all other positions is S.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'INDICATOR'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'An extended Backus-Naur form (EBNF) that represents the allowable build of a string of linear positions. For more information, see About EBNF Expressions in the help for the Models (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LINEAREXPRESSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'An extended Backus-Naur form (EBNF) that represents the allowable build of a string of linear positions. For more information, see About EBNF Expressions in the help for the Models (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LINEAREXPRESSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Icon that represents the corresponding build item. This icon appears on the Hierarchy Tree subtab in the Models (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'ICON'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Icon that represents the corresponding build item. This icon appears on the Hierarchy Tree subtab in the Models (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'ICON'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a variation of a model is abstract. You do not create a physical configuration of an abstract variation. If the check box is selected, the variation is abstract, and the Build Data Interpreter (BDI) ignores it. If the check box is empty, the BDI validates its configuration. The default value for a base configuration is true (check box is selected).'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'ABSTRACT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a variation of a model is abstract. You do not create a physical configuration of an abstract variation. If the check box is selected, the variation is abstract, and the Build Data Interpreter (BDI) ignores it. If the check box is empty, the BDI validates its configuration. The default value for a base configuration is true (check box is selected).'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'ABSTRACT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'New status of a variation.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'NEWSTATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'New status of a variation.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'NEWSTATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a variation of a model is the base variation. If the check box is selected, the variation is the base variation. If the check box is empty (default), the variation is not the base variation. The root of a hierarchy tree is always the base revision.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'BASE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a variation of a model is the base variation. If the check box is selected, the variation is the base variation. If the check box is empty (default), the variation is not the base variation. The root of a hierarchy tree is always the base revision.'
      WHERE OBJECTNAME = 'PLUSACMCONFIG'
            AND ATTRIBUTENAME = 'BASE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'An algebraic formula associated with a calculated meter.'
      WHERE OBJECTNAME = 'PLUSACMFORMULA'
            AND ATTRIBUTENAME = 'FORMULA'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'An algebraic formula associated with a calculated meter.'
      WHERE OBJECTNAME = 'PLUSACMFORMULA'
            AND ATTRIBUTENAME = 'FORMULA'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'An algebraic formula associated with a calculated meter.'
      WHERE OBJECTNAME = 'PLUSACMFORMULA'
            AND ATTRIBUTENAME = 'FORMULA'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'An algebraic formula associated with a calculated meter.'
      WHERE OBJECTNAME = 'PLUSACMFORMULA'
            AND ATTRIBUTENAME = 'FORMULA'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Name of a formula associated with a calculated meter.'
      WHERE OBJECTNAME = 'PLUSACMFORMULA'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Name of a formula associated with a calculated meter.'
      WHERE OBJECTNAME = 'PLUSACMFORMULA'
            AND ATTRIBUTENAME = 'NAME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'System of labels that identifies build positions in the physical hierarchy of a model, for example, ATA, UIN, or WUC. Valid values are in the PLUSACMLABEL domain.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'LABELSYSTEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'System of labels that identifies build positions in the physical hierarchy of a model, for example, ATA, UIN, or WUC. Valid values are in the PLUSACMLABEL domain.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'LABELSYSTEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Position code for which the corresponding label is the default label. Valid values are in the PLUSACMPOSCODE domain. For example, two engines, with position codes 1 and 2, might have the same label or multiple labels. In the latter case, one label is the default label for position 1 and the other label is the default label for position 2.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'DEFAULTFORPOS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Position code for which the corresponding label is the default label. Valid values are in the PLUSACMPOSCODE domain. For example, two engines, with position codes 1 and 2, might have the same label or multiple labels. In the latter case, one label is the default label for position 1 and the other label is the default label for position 2.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'DEFAULTFORPOS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Component code associated with a build item. You specify the maximum length of this value in the CM Options dialog box in the Organizations (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Component code associated with a build item. You specify the maximum length of this value in the CM Options dialog box in the Organizations (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'System of labels that identifies build positions in the physical hierarchy of a model, for example, ATA, UIN, or WUC. Valid values are in the PLUSACMLABEL domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LABELSYSTEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'System of labels that identifies build positions in the physical hierarchy of a model, for example, ATA, UIN, or WUC. Valid values are in the PLUSACMLABEL domain.'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LABELSYSTEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'LSAR Control Number (LCN) structure code, which specifies the number of character positions in each level of an LCN code. For example, if the  LCN code of an aircraft engine is L0008, the engine is the seventh build position beneath the airframe. The corresponding LCN structure code is 14, which represents 1 for the top level and 4 for the second level. The LCN structure code cannot contain any zeroes. The default code is 1 followed by any number of 4''s (for example, 1444. . . )'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LCNSTRUCTURE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'LSAR Control Number (LCN) structure code, which specifies the number of character positions in each level of an LCN code. For example, if the  LCN code of an aircraft engine is L0008, the engine is the seventh build position beneath the airframe. The corresponding LCN structure code is 14, which represents 1 for the top level and 4 for the second level. The LCN structure code cannot contain any zeroes. The default code is 1 followed by any number of 4''s (for example, 1444. . . )'
      WHERE OBJECTNAME = 'PLUSACMMODEL'
            AND ATTRIBUTENAME = 'LCNSTRUCTURE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Comments about a revision.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Comments about a revision.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'COMMENTS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Describes a revision. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Describes a revision. To enter or view additional information, click the Long Description button.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'DESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of a revision. Valid values are Draft, Pending, Active, and Inactive.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of a revision. Valid values are Draft, Pending, Active, and Inactive.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) will automatically upgrade assets with a lower revision to this revision. The upgrade occurs when this revision takes effect. If the check box is selected (default), the BDI upgrades the assets. If the check box is empty, the BDI does not upgrade the assets.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) will automatically upgrade assets with a lower revision to this revision. The upgrade occurs when this revision takes effect. If the check box is selected (default), the BDI upgrades the assets. If the check box is empty, the BDI does not upgrade the assets.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) will automatically upgrade assets in this revision when a higher revision takes effect. If the check box is selected, the BDI does not upgrade assets in this revision. If the check box is empty (default), the BDI upgrades the assets. For example, if a new revision applies to a specific aircraft and not to an entire fleet, select this check box.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADEOPTOUT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the Build Data Interpreter (BDI) will automatically upgrade assets in this revision when a higher revision takes effect. If the check box is selected, the BDI does not upgrade assets in this revision. If the check box is empty (default), the BDI upgrades the assets. For example, if a new revision applies to a specific aircraft and not to an entire fleet, select this check box.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'AUTOUPGRADEOPTOUT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a revision takes effect. This date must be the same as or later than the creation date of the revision.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a revision takes effect. This date must be the same as or later than the creation date of the revision.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a revision becomes inactive. This date must be the same as or later than the creation date of the revision. If an active date exists for the revision, this date must be later than the active date.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'INACTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a revision becomes inactive. This date must be the same as or later than the creation date of the revision. If an active date exists for the revision, this date must be later than the active date.'
      WHERE OBJECTNAME = 'PLUSACMREVISION'
            AND ATTRIBUTENAME = 'INACTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Position code of a build position. Value values are in the PLUSACMPOSCODE domain. You specify the maximum length of this value in the CM Options dialog box in the Organizations (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Position code of a build position. Value values are in the PLUSACMPOSCODE domain. You specify the maximum length of this value in the CM Options dialog box in the Organizations (Av) application.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the check box is selected, the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSACMXCAT'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the check box is selected, the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSACMXCAT'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of a production asset after its generation by the New Asset Assemblies (Av) application. Valid values are Decommissioned, Not Ready, and Operating.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSTATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of a production asset after its generation by the New Asset Assemblies (Av) application. Valid values are Decommissioned, Not Ready, and Operating.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSTATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the check box is selected, the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSAVHIGHERPART'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a configuration rule is positive (enabled) or negative (disabled). If the check box is selected, the rule is enabled. If the check box is empty, the rule is disabled.'
      WHERE OBJECTNAME = 'PLUSAVHIGHERPART'
            AND ATTRIBUTENAME = 'RULEPOSITIVE'
;

COMMIT
;

--*[300108]Translation Ratio: 100% (97/97 statements were translated successfully)
