--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a maintenance event becomes active.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a maintenance event becomes active.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a user verified the active date of a maintenance event. If the check box is selected, a user reviewed the active date. If the check box is empty (default), a user did not reviewed the active date.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVEDATEREVIEWED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a user verified the active date of a maintenance event. If the check box is selected, a user reviewed the active date. If the check box is empty (default), a user did not reviewed the active date.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVEDATEREVIEWED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Duration of a trip or segment of a trip.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Duration of a trip or segment of a trip.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date and time when a trip or segment of a trip ended.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'ENDDATETIME'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date and time when a trip or segment of a trip ended.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'ENDDATETIME'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date when a CM item becomes inoperative and all assets containing the CM item become invalid for use. If an asset still contains the CM item on this date, the Build Data Interpreter assigns status SIR (invalid part) to the asset.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'INOPERATIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date when a CM item becomes inoperative and all assets containing the CM item become invalid for use. If an asset still contains the CM item on this date, the Build Data Interpreter assigns status SIR (invalid part) to the asset.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'INOPERATIVEDATE'
;

COMMIT
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Length of time that a trip was delayed.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DELAYDURATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Length of time that a trip was delayed.'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'DELAYDURATION'
;

COMMIT
;

--*[300108]Translation Ratio: 100% (14/14 statements were translated successfully)
