--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Action that occurs upon the completion of a PM. Valid values are in the PMACTIONTYPE synonym domain. The system performs this action on the corresponding secondary PM. For more information, see About Secondary PMs, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PLUSALFPMACTION'
            AND ATTRIBUTENAME = 'ACTIONTYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Action that occurs upon the completion of a PM. Valid values are in the PMACTIONTYPE synonym domain. The system performs this action on the corresponding secondary PM. For more information, see About Secondary PMs, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PLUSALFPMACTION'
            AND ATTRIBUTENAME = 'ACTIONTYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Asset to which the log corresponds.'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Asset to which the log corresponds.'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'ASSETNUM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Initial (anchor) count for the corresponding meter.'
      WHERE OBJECTNAME = 'PLUSANASSETMETER'
            AND ATTRIBUTENAME = 'ANCHORCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Initial (anchor) count for the corresponding meter.'
      WHERE OBJECTNAME = 'PLUSANASSETMETER'
            AND ATTRIBUTENAME = 'ANCHORCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the New Asset Assemblies (CM) application copies the corresponding meter to the subassemblies that it generates. If the check box is selected, the application copies the meter. If the check box is empty (default), the application does not copy the meter.'
      WHERE OBJECTNAME = 'PLUSANASSETMETER'
            AND ATTRIBUTENAME = 'FORCECOPYTOSUBS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the New Asset Assemblies (CM) application copies the corresponding meter to the subassemblies that it generates. If the check box is selected, the application copies the meter. If the check box is empty (default), the application does not copy the meter.'
      WHERE OBJECTNAME = 'PLUSANASSETMETER'
            AND ATTRIBUTENAME = 'FORCECOPYTOSUBS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the New Asset Assemblies (CM) application copies the corresponding meter to the end item asset. If the check box is selected (default), the application copies the meter. If the check box is empty, the application does not copy the meter.'
      WHERE OBJECTNAME = 'PLUSANASSETMETER'
            AND ATTRIBUTENAME = 'COPYTOENDITEM'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the New Asset Assemblies (CM) application copies the corresponding meter to the end item asset. If the check box is selected (default), the application copies the meter. If the check box is empty, the application does not copy the meter.'
      WHERE OBJECTNAME = 'PLUSANASSETMETER'
            AND ATTRIBUTENAME = 'COPYTOENDITEM'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a user created a production asset through the Create Assets action in the New Asset Assemblies (CM) application. If the check box is empty (default), no one created a production asset. If the check box is selected, someone created an production asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETCREATED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a user created a production asset through the Create Assets action in the New Asset Assemblies (CM) application. If the check box is empty (default), no one created a production asset. If the check box is selected, someone created an production asset.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETCREATED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Alphanumeric prefix that the New Asset Assemblies (CM) application uses to generate asset numbers in a subassembly. The application increments this number by 1 for each asset number that it generates. The maximum length of the concatenated Asset Prefix and Asset Suffix values is 12 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETPREFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Alphanumeric prefix that the New Asset Assemblies (CM) application uses to generate asset numbers in a subassembly. The application increments this number by 1 for each asset number that it generates. The maximum length of the concatenated Asset Prefix and Asset Suffix values is 12 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETPREFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (CM) application uses to generate asset numbers for a subassembly. The maximum length of the concatenated Asset Prefix and Asset Suffix values is 12 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSUFFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (CM) application uses to generate asset numbers for a subassembly. The maximum length of the concatenated Asset Prefix and Asset Suffix values is 12 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSUFFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Status of a production asset after its generation by the New Asset Assemblies (CM) application. Valid values are Decommissioned, Not Ready, and Operating.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSTATUS'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Status of a production asset after its generation by the New Asset Assemblies (CM) application. Valid values are Decommissioned, Not Ready, and Operating.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'ASSETSTATUS'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Alphanumeric prefix that the New Asset Assemblies (CM) application uses when it generates serial numbers for assets in a subassembly. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALPREFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Alphanumeric prefix that the New Asset Assemblies (CM) application uses when it generates serial numbers for assets in a subassembly. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALPREFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (CM) application uses to generate serial numbers for assets in a subassembly. The application increments this value by 1 for each serial number that it generates. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALSUFFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (CM) application uses to generate serial numbers for assets in a subassembly. The application increments this value by 1 for each serial number that it generates. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALSUFFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (CM) application uses to generate serial numbers for assets in a subassembly. The application increments this value by 1 for each serial number that it generates. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALSUFFIX'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Beginning suffix that the New Asset Assemblies (CM) application uses to generate serial numbers for assets in a subassembly. The application increments this value by 1 for each serial number that it generates. The maximum length of the concatenated Serial Prefix and Serial Suffix values is 15 characters.'
      WHERE OBJECTNAME = 'PLUSANEWASSET'
            AND ATTRIBUTENAME = 'SERIALSUFFIX'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Type of Reading (Anchor, Indirect or Direct)'
      WHERE OBJECTNAME = 'PLUSASAINDIRECT'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Type of Reading (Anchor, Indirect or Direct)'
      WHERE OBJECTNAME = 'PLUSASAINDIRECT'
            AND ATTRIBUTENAME = 'TYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the transaction is for the removal or installation of an asset. If the check box is selected, the transaction is for a removal. If the check box is empty, the transaction is for an installation.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'REMOVEASSET'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the transaction is for the removal or installation of an asset. If the check box is selected, the transaction is for a removal. If the check box is empty, the transaction is for an installation.'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'REMOVEASSET'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Action that occurs upon the completion of a PM. Valid values are in the PMACTIONTYPE synonym domain. The system performs this action on the corresponding secondary PM. For more information, see About Secondary PMs, in the help for the Preventive Maintenance (CM) application.'
      WHERE OBJECTNAME = 'PLUSASAPMACTION'
            AND ATTRIBUTENAME = 'ACTIONTYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Action that occurs upon the completion of a PM. Valid values are in the PMACTIONTYPE synonym domain. The system performs this action on the corresponding secondary PM. For more information, see About Secondary PMs, in the help for the Preventive Maintenance (CM) application.'
      WHERE OBJECTNAME = 'PLUSASAPMACTION'
            AND ATTRIBUTENAME = 'ACTIONTYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Method of compliance (MOC). If no work order exists for a technical record, this field contains the reason why no work order was necessary and how the business complied with the technical record.'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'MOC'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Method of compliance (MOC). If no work order exists for a technical record, this field contains the reason why no work order was necessary and how the business complied with the technical record.'
      WHERE OBJECTNAME = 'PLUSATRASSET'
            AND ATTRIBUTENAME = 'MOC'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Variation of a model.'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Variation of a model.'
      WHERE OBJECTNAME = 'PLUSATRBUILD'
            AND ATTRIBUTENAME = 'VARIATION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether you can defer the maintenance required by a technical record until you remove the corresponding item from the affected asset for another reason. If the check box is selected, you can defer the maintenance. If the check box is empty (default), you cannot defer the maintenance.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether you can defer the maintenance required by a technical record until you remove the corresponding item from the affected asset for another reason. If the check box is selected, you can defer the maintenance. If the check box is empty (default), you cannot defer the maintenance.'
      WHERE OBJECTNAME = 'PLUSATRBUILDITEM'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether you can defer item maintenance until you remove the item from an asset for another reason (past the compliance date or mandatory date). If the check box is selected, you can defer maintenance. If the check box is empty (default), you cannot defer maintenance.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether you can defer item maintenance until you remove the item from an asset for another reason (past the compliance date or mandatory date). If the check box is selected, you can defer maintenance. If the check box is empty (default), you cannot defer maintenance.'
      WHERE OBJECTNAME = 'PLUSATRCAT'
            AND ATTRIBUTENAME = 'VALIDUNTILREMOVED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The minimum meter count to which a maintenance event applies. For example, if this value is 500, the maintenance event does not apply if the related meter count is less than 500.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETFROMCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The minimum meter count to which a maintenance event applies. For example, if this value is 500, the maintenance event does not apply if the related meter count is less than 500.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETFROMCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'The maximum meter count to which a maintenance event applies. For example, if this value is 500, the maintenance event does not apply if the meter count is greater than 500.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETTOCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'The maximum meter count to which a maintenance event applies. For example, if this value is 500, the maintenance event does not apply if the meter count is greater than 500.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'ASSETTOCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Number of flight hours, engine cycles, or engine starts that indicate that a maintenance event is due; or the meter count that indicates that a maintenance event is due. The latter definition applies if the corresponding Due at Count check box is selected.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Number of flight hours, engine cycles, or engine starts that indicate that a maintenance event is due; or the meter count that indicates that a maintenance event is due. The latter definition applies if the corresponding Due at Count check box is selected.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'COUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether the corresponding meter count represents the count when a maintenance event is due. If the check box is selected, a maintenance event is due when the count of the corresponding meter reaches this value. If the check box is empty (default), the meter count value represents the number of flight hours, engine cycles, or engine starts within which the maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether the corresponding meter count represents the count when a maintenance event is due. If the check box is selected, a maintenance event is due when the count of the corresponding meter reaches this value. If the check box is empty (default), the meter count value represents the number of flight hours, engine cycles, or engine starts within which the maintenance event is due.'
      WHERE OBJECTNAME = 'PLUSATREVENT'
            AND ATTRIBUTENAME = 'DUEATCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Actual count of the corresponding meter at the specified time and date.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAACTUALCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Actual count of the corresponding meter at the specified time and date.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAACTUALCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Initial (anchor) count of the corresponding meter.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Initial (anchor) count of the corresponding meter.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of meter readings since the anchor date.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSASINCE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of meter readings since the anchor date.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSASINCE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Date of an initial (anchor) meter count.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Date of an initial (anchor) meter count.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORDATE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of the anchor count and meter readings through the As Of Date.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSACURRENT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of the anchor count and meter readings through the As Of Date.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSACURRENT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether an initial (anchor) meter count is an estimate. If the check box is selected, the count is an estimate. If the check box is empty (default), the count is not an estimate.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAISESTIMATED'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether an initial (anchor) meter count is an estimate. If the check box is selected, the count is an estimate. If the check box is empty (default), the count is not an estimate.'
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAISESTIMATED'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has not been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has not been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval and warning interval values. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option), the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option), or the number of days before the due date of the PM (the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval and warning interval values. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option), the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option), or the number of days before the due date of the PM (the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days after a PM becomes active, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days after a PM becomes active, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval represents a number of days since the active date of the PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order for a PM if a user has not generated the work order. Depending on the value of the State attribute, the alert interval represents a number of days since the active date of the PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval represents a number of days since the active date of the corresponding PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval represents a number of days since the active date of the corresponding PM, a percentage of elapsed time between the active date and the due date of the PM, or a number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'MASTERPMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has nnot been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has nnot been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Master PM (CM) Help.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Expression that specifies when a PM is due. This expression is for complex due date calculations. For example, maintenance is due on the third Monday of every month, except June, July, and August, when it is due every week. For more information, see About Due Date Expressions, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSADUEDATEEXP'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval value and the warning interval value. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option); the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option); or the number of days before the due date of a PM the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies how the Build Data Interpreter (BDI) interprets the alert interval value and the warning interval value. These intervals can represent the number of days after a PM becomes active (the Absolute from Active option); the percentage of elapsed time between the active date and due date of a PM (the Percent of Frequency from Active option); or the number of days before the due date of a PM the Absolute Prior to Due option). For more information, see About Alert Intervals and Warning Intervals, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAINTACTION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PM'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has not been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a work order that has not been generated by the BDI or a user. Depending on the value of the State attribute, the alert interval can represent the number of days since the active date of the PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAALERTINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the corresponding PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Interval at which the Build Data Interpreter (BDI) generates a warning that a PM is almost overdue. Depending on the value of the State attribute, the warning interval can represent the number of days since the active date of the corresponding PM, the percentage of elapsed time between the active date and the due date of the PM, or the number of days before the due date of the PM. For more information, see About Alert Intervals and Warning Intervals, in the Preventive Maintenance (CM) Help.'
      WHERE OBJECTNAME = 'PMMETER'
            AND ATTRIBUTENAME = 'PLUSAWARNINT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Identifies the work package to which a work order belongs.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAREFERENCEID'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Identifies the work package to which a work order belongs.'
      WHERE OBJECTNAME = 'WORKORDER'
            AND ATTRIBUTENAME = 'PLUSAREFERENCEID'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Priority as determined by the Service Desk Agent'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'INTERNALPRIORITY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Priority as determined by the Service Desk Agent'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'INTERNALPRIORITY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Code for the type of a configuration rule. For more information, see About Configuration Rule Types in the Models (CM) Help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'APPLETYPE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Code for the type of a configuration rule. For more information, see About Configuration Rule Types in the Models (CM) Help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'APPLETYPE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Specifies whether a configuration rule is a primary rule or a secondary rule. If the check box is selected (default), the rule is a primary rule. If the check box is cleared, the rule is a secondary rule. For more information, see the Models (CM) Help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PRIMARY'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Specifies whether a configuration rule is a primary rule or a secondary rule. If the check box is selected (default), the rule is a primary rule. If the check box is cleared, the rule is a secondary rule. For more information, see the Models (CM) Help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'PRIMARY'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Boolean expression associated with a secondary configuration rule. For more information, see the Models (CM) Help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'SECONDARYCLAUSE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Boolean expression associated with a secondary configuration rule. For more information, see the Models (CM) Help.'
      WHERE OBJECTNAME = 'PLUSACMAPPLE'
            AND ATTRIBUTENAME = 'SECONDARYCLAUSE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'An extended Backus-Naur form (EBNF) that represents the allowable configuration of a string of linear positions. For more information, see About EBNF Expressions in the Models (CM) Help.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LINEAREXPRESSION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'An extended Backus-Naur form (EBNF) that represents the allowable configuration of a string of linear positions. For more information, see About EBNF Expressions in the Models (CM) Help.'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LINEAREXPRESSION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Icon that represents the corresponding build item. This icon appears on the Hierarchy Tree subtab in the Models (CM) application and on the View tab in the Assets (CM) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'ICON'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Icon that represents the corresponding build item. This icon appears on the Hierarchy Tree subtab in the Models (CM) application and on the View tab in the Assets (CM) application.'
      WHERE OBJECTNAME = 'PLUSACMBUILDITEM'
            AND ATTRIBUTENAME = 'ICON'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Component code associated with a build item. You specify the default length of this field in the CM Options dialog box in the Organizations (CM) application.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Component code associated with a build item. You specify the default length of this field in the CM Options dialog box in the Organizations (CM) application.'
      WHERE OBJECTNAME = 'PLUSACMLABEL'
            AND ATTRIBUTENAME = 'LABEL'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Position code of a build position. Value values are in the PLUSACMPOSCODE domain. You specify the default length of this value in the CM Options dialog box in the Organizations (CM) application.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Position code of a build position. Value values are in the PLUSACMPOSCODE domain. You specify the default length of this value in the CM Options dialog box in the Organizations (CM) application.'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Either the active date of a PM or the meter count on the active date of a PM meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Either the active date of a PM or the meter count on the active date of a PM meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of the meter couont on the active date of a maintenance event and the alert interval for the maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ALERTCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of the meter couont on the active date of a maintenance event and the alert interval for the maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ALERTCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Meter count on the active date of a maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVECOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Meter count on the active date of a maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVECOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Meter count on the As Of Date.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'CURRENTCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Meter count on the As Of Date.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'CURRENTCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Meter count at which a maintenance event is due. Represents the sum of the meter count on the active date and the frequency interval.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUECOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Meter count at which a maintenance event is due. Represents the sum of the meter count on the active date and the frequency interval.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'DUECOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Meter count on the date when a maintenance event was completed, claimed, or acknowledged.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'INACTIVECOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Meter count on the date when a maintenance event was completed, claimed, or acknowledged.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'INACTIVECOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Meter count on the completion date of a maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'LASTCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Meter count on the completion date of a maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'LASTCOUNT'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Number of days or meter count since the active date of a maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'SINCE'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Number of days or meter count since the active date of a maintenance event.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'SINCE'
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Sum of the meter count on the active date of a maintenance event and the warning interval for the meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'WARNINGCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Sum of the meter count on the active date of a maintenance event and the warning interval for the meter.'
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'WARNINGCOUNT'
;



COMMIT
;

--*[300108]Translation Ratio: 100% (120/120 statements were translated successfully)
