--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMBUILD','PLUSASAONOFF','PLUSACMBUILD','plusacmbuildid = :buildid','Relationship to find the Build associated with the PlusASAOnOff record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMMODEL','PLUSACMBUILD','PLUSACMMODEL','plusacmmodelid = :modelid','Relationship to find the Model for a Build.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMBUILDXITEM','PLUSACMBUILD','PLUSACMBUILD','modelid = :modelid','Relationship to find the Builds with the same model.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','BUILDID',NULL,NULL,'BUILDID',NULL,26,'INTEGER',12,0,0,0,'PLUSACMBUILD','PLUSACMBUILDID',1,0,'Build ID',NULL,'Build ID',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','NONSERIALIZED','PLUSASAONOFF','NONSERIALIZED','NONSERIALIZED',NULL,27,'YORN',1,0,1,0,'PLUSACMBUILD','NONSERIALIZED',1,0,'Non Serialized',NULL,'Non Serialized',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','TOPASSETID',NULL,NULL,'TOPASSETID',NULL,28,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Top Asset ID',NULL,'Top Asset ID',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','BUILDID',NULL,NULL,'BUILDID',NULL,26,'INTEGER',12,0,0,0,'PLUSACMBUILD','PLUSACMBUILDID',1,0,'Build ID',NULL,'Build ID',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','NONSERIALIZED','PLUSASAONOFF','NONSERIALIZED','NONSERIALIZED',NULL,27,'YORN',1,0,1,0,'PLUSACMBUILD','NONSERIALIZED',1,0,'Non Serialized',NULL,'Non Serialized',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','TOPASSETID',NULL,NULL,'TOPASSETID',NULL,28,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Top Asset ID',NULL,'Top Asset ID',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXTABLE (trigroot,TABLENAME,ADDROWSTAMP,EAUDITTBNAME,ISAUDITTABLE,RESTOREDATA,STORAGEPARTITION,TEXTSEARCHENABLED,ISLANGTABLE,MAXTABLEID) VALUES ('PLUSASAONSERIAL','PLUSASANONSERIAL',1,NULL,0,0,'MAXIMO',0,0,NEXTVAL FOR MAXTABLESEQ)
;

INSERT INTO MAXTABLECFG (trigroot,TABLENAME,ADDROWSTAMP,EAUDITTBNAME,ISAUDITTABLE,RESTOREDATA,STORAGEPARTITION,TEXTSEARCHENABLED,ISLANGTABLE,MAXTABLEID) VALUES ('PLUSASAONSERIAL','PLUSASANONSERIAL',1,NULL,0,0,'MAXIMO',0,0,NEXTVAL FOR MAXTABLECFGSEQ)
;

INSERT INTO MAXOBJECT (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('PLUSASANONSERIAL','psdi.plusa.app.plusasa.PlusASANonSerialSet','Build Position On/Off History',0,NULL,'PLUSASANONSERIAL',NULL,NULL,0,0,1,'PLUSASA','SITE',0,0,0,NEXTVAL FOR MAXOBJECTSEQ)
;

INSERT INTO MAXOBJECTCFG (OBJECTNAME,CLASSNAME,DESCRIPTION,EAUDITENABLED,EAUDITFILTER,ENTITYNAME,ESIGFILTER,EXTENDSOBJECT,ISVIEW,IMPORTED,PERSISTENT,SERVICENAME,SITEORGTYPE,USERDEFINED,CHANGED,MAINOBJECT,INTERNAL,MAXOBJECTID) VALUES ('PLUSASANONSERIAL','psdi.plusa.app.plusasa.PlusASANonSerialSet','Build Position On/Off History',0,NULL,'PLUSASANONSERIAL',NULL,NULL,0,0,1,'PLUSASA','SITE',0,'N',0,0,NEXTVAL FOR MAXOBJECTCFGSEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','PLUSASANONSERIALID','PLUSASANONSERIAL','PLUSASANONSERIALID','PLUSASANONSERIALID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','ONOFFID','PLUSASANONSERIAL','ONOFFID','ONOFFID',NULL,2,'INTEGER',12,0,0,0,'PLUSASAONOFF','PLUSASAONOFFID',1,0,'PlusASAOnOffID',NULL,'PlusASAOnOffID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','CATID','PLUSASANONSERIAL','CATID','CATID',NULL,3,'INTEGER',12,0,0,0,'PLUSACACAT','PLUSACACATID',1,0,'PlusACACatID',NULL,'PlusACACatID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','SERIAL','PLUSASANONSERIAL','SERIAL','SERIAL',NULL,4,'UPPER',20,0,0,0,NULL,NULL,0,0,'Serial',NULL,'Serial',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','QUANTITY','PLUSASANONSERIAL','QUANTITY','QUANTITY',NULL,5,'INTEGER',12,0,0,0,NULL,NULL,1,0,'The quantity installed or removed',NULL,'Quantity',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','TRANSTIME','PLUSASANONSERIAL','TRANSTIME','TRANSTIME',NULL,6,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date time the Removal and or Install was physically performed',NULL,'Transaction Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','PERSONID','PLUSASANONSERIAL','PERSONID','PERSONID',NULL,7,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'PersonID',NULL,'PersonID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','WORKORDERID','PLUSASANONSERIAL','WORKORDERID','WORKORDERID',NULL,8,'INTEGER',12,0,0,0,'WORKORDER','WORKORDERID',1,0,'WorkOrderID',NULL,'WorkOrderID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','COMMENTSTEXT','PLUSASANONSERIAL','COMMENTSTEXT','COMMENTSTEXT',NULL,9,'ALN',4000,0,0,0,NULL,NULL,0,0,'Any Comments on the Install / Remove',NULL,'Memo',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','PLUSASANONSERIALID','PLUSASANONSERIAL','PLUSASANONSERIALID','PLUSASANONSERIALID',NULL,1,'INTEGER',12,0,1,0,NULL,NULL,1,1,'Unique Id',NULL,'Unique Id',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','ONOFFID','PLUSASANONSERIAL','ONOFFID','ONOFFID',NULL,2,'INTEGER',12,0,0,0,'PLUSASAONOFF','PLUSASAONOFFID',1,0,'PlusASAOnOffID',NULL,'PlusASAOnOffID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','CATID','PLUSASANONSERIAL','CATID','CATID',NULL,3,'INTEGER',12,0,0,0,'PLUSACACAT','PLUSACACATID',1,0,'PlusACACatID',NULL,'PlusACACatID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','SERIAL','PLUSASANONSERIAL','SERIAL','SERIAL',NULL,4,'UPPER',20,0,0,0,NULL,NULL,0,0,'Serial',NULL,'Serial',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','QUANTITY','PLUSASANONSERIAL','QUANTITY','QUANTITY',NULL,5,'INTEGER',12,0,0,0,NULL,NULL,1,0,'The quantity installed or removed',NULL,'Quantity',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','TRANSTIME','PLUSASANONSERIAL','TRANSTIME','TRANSTIME',NULL,6,'DATETIME',10,0,0,0,NULL,NULL,0,0,'The date time the Removal and or Install was physically performed',NULL,'Transaction Date',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','PERSONID','PLUSASANONSERIAL','PERSONID','PERSONID',NULL,7,'UPPER',30,0,0,0,'PERSON','PERSONID',0,0,'PersonID',NULL,'PersonID',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','WORKORDERID','PLUSASANONSERIAL','WORKORDERID','WORKORDERID',NULL,8,'INTEGER',12,0,0,0,'WORKORDER','WORKORDERID',1,0,'WorkOrderID',NULL,'WorkOrderID',NULL,1,0,NULL,NULL,0,0,0,'EXACT',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASANONSERIAL','COMMENTSTEXT','PLUSASANONSERIAL','COMMENTSTEXT','COMMENTSTEXT',NULL,9,'ALN',4000,0,0,0,NULL,NULL,0,0,'Any Comments on the Install / Remove',NULL,'Memo',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXATTRIBUTE
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'REGISTRATION'
;

UPDATE MAXATTRIBUTECFG
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'REGISTRATION'
;

UPDATE MAXATTRIBUTE
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAREG'
;

UPDATE MAXATTRIBUTECFG
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'ASSET'
            AND ATTRIBUTENAME = 'PLUSAREG'
;

UPDATE MAXATTRIBUTE
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'FROMREGISTRATION'
;

UPDATE MAXATTRIBUTECFG
      SET MAXTYPE = 'UPPER'
      WHERE OBJECTNAME = 'PLUSASAEIREG'
            AND ATTRIBUTENAME = 'FROMREGISTRATION'
;

UPDATE MAXTABLE
      SET UNIQUECOLUMNNAME = 'PLUSASANONSERIALID'
      WHERE TABLENAME = 'PLUSASANONSERIAL'
;

UPDATE MAXTABLECFG
      SET UNIQUECOLUMNNAME = 'PLUSASANONSERIALID'
      WHERE TABLENAME = 'PLUSASANONSERIAL'
;

CREATE SEQUENCE plusasanonserialseq AS DECIMAL(27,0)
    NO MAXVALUE
    NOCYCLE
    ORDER
;

INSERT INTO MAXSEQUENCE (maxsequenceid,TBNAME,NAME,MAXRESERVED,SEQUENCENAME) VALUES ( nextval for maxsequenceseq,'PLUSASANONSERIAL','PLUSASANONSERIALID',0,'PLUSASANONSERIALSEQ')
;


INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSALFEVENT','ROWCOLOR',NULL,NULL,'ROWCOLOR',NULL,33,'UPPER',1,0,0,0,NULL,NULL,0,0,'Row Color',NULL,'Row Color',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSALFEVENT','ROWCOLOR',NULL,NULL,'ROWCOLOR',NULL,33,'UPPER',1,0,0,0,NULL,NULL,0,0,'Row Color',NULL,'Row Color',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;


UPDATE MAXATTRIBUTE
      SET REQUIRED = 1
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTECFG
      SET REQUIRED = 1
      WHERE OBJECTNAME = 'PLUSALFEVENT'
            AND ATTRIBUTENAME = 'ACTIVEDATE'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 20
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 20
      WHERE OBJECTNAME = 'PLUSATRSTATUS'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET REQUIRED = 1, CLASSNAME = 'psdi.plusa.app.plusasa.PlusAFldSANonSerialQuantity'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'QUANTITY'
;

UPDATE MAXATTRIBUTECFG
      SET REQUIRED = 1, CLASSNAME = 'psdi.plusa.app.plusasa.PlusAFldSANonSerialQuantity'
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'QUANTITY'
;


--*[300108]Translation Ratio: 100% (47/47 statements were translated successfully)
