--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'assetid = :plusatopassetid'
      WHERE NAME = 'PLUSATOPASSET'
            AND PARENT = 'ASSET'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'ASSET','PLUSATOPASSETID',NULL,NULL,'PLUSATOPASSETID',NULL,990,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Top Asset ID',NULL,'Top Asset ID',NULL,0,0,NULL,'psdi.plusa.app.asset.PlusAFldAssetTopAsset',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'ASSET','PLUSATOPASSETID',NULL,NULL,'PLUSATOPASSETID',NULL,990,'INTEGER',12,0,0,0,'ASSET','ASSETID',0,0,'Top Asset ID',NULL,'Top Asset ID',NULL,0,0,NULL,'psdi.plusa.app.asset.PlusAFldAssetTopAsset',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;



UPDATE MAXATTRIBUTE
      SET REQUIRED = 0, DEFAULTVALUE = NULL
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORCOUNT'
;

UPDATE MAXATTRIBUTECFG
      SET REQUIRED = 0, DEFAULTVALUE = NULL
      WHERE OBJECTNAME = 'ASSETMETER'
            AND ATTRIBUTENAME = 'PLUSAANCHORCOUNT'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSAASSET'
            AND OPTIONNAME = 'PLUSAINSRE'
;

UPDATE MAXMENU
      SET POSITION = 51, SUBPOSITION = 10
      WHERE MODULEAPP = 'PLUSAASSET'
            AND KEYVALUE = 'PLUSAINSRE'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'CM Item', ESIGENABLED = 0
      WHERE APP = 'PLUSAASSET'
            AND OPTIONNAME = 'PLUSACHITE'
;

UPDATE MAXMENU
      SET POSITION = 52, SUBPOSITION = 10
      WHERE MODULEAPP = 'PLUSAASSET'
            AND KEYVALUE = 'PLUSACHITE'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Registration', ESIGENABLED = 0
      WHERE APP = 'PLUSAASSET'
            AND OPTIONNAME = 'PLUSACHREG'
;

UPDATE MAXMENU
      SET POSITION = 52, SUBPOSITION = 20
      WHERE MODULEAPP = 'PLUSAASSET'
            AND KEYVALUE = 'PLUSACHREG'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Serial', ESIGENABLED = 0
      WHERE APP = 'PLUSAASSET'
            AND OPTIONNAME = 'PLUSACHSER'
;

UPDATE MAXMENU
      SET POSITION = 52, SUBPOSITION = 30
      WHERE MODULEAPP = 'PLUSAASSET'
            AND KEYVALUE = 'PLUSACHSER'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'CM Item Change History', ESIGENABLED = 0
      WHERE APP = 'PLUSAASSET'
            AND OPTIONNAME = 'PLUSAVWITE'
;

UPDATE MAXMENU
      SET POSITION = 53, SUBPOSITION = 10
      WHERE MODULEAPP = 'PLUSAASSET'
            AND KEYVALUE = 'PLUSAVWITE'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Registration Change History', ESIGENABLED = 0
      WHERE APP = 'PLUSAASSET'
            AND OPTIONNAME = 'PLUSAVWREG'
;

UPDATE MAXMENU
      SET POSITION = 53, SUBPOSITION = 20
      WHERE MODULEAPP = 'PLUSAASSET'
            AND KEYVALUE = 'PLUSAVWREG'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET DESCRIPTION = 'Serial Change History', ESIGENABLED = 0
      WHERE APP = 'PLUSAASSET'
            AND OPTIONNAME = 'PLUSAVWSER'
;

UPDATE MAXMENU
      SET POSITION = 53, SUBPOSITION = 30
      WHERE MODULEAPP = 'PLUSAASSET'
            AND KEYVALUE = 'PLUSAVWSER'
            AND MENUTYPE = 'APPMENU'
;

UPDATE SIGOPTION
      SET ESIGENABLED = 0
      WHERE APP = 'PLUSAASSET'
            AND OPTIONNAME = 'PLUSARULES'
;

UPDATE MAXMENU
      SET POSITION = 54, SUBPOSITION = 0
      WHERE MODULEAPP = 'PLUSAASSET'
            AND KEYVALUE = 'PLUSARULES'
            AND MENUTYPE = 'APPMENU'
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSAASSET',50,0,'SEP','AM50',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSAASSET',51,0,'HEADER','AM51','Install / Remove',1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSAASSET',52,0,'HEADER','AM52','Change',1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSAASSET',53,0,'HEADER','AM53','View',1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSAASSET','PLUSABDIST','BDI Status',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSAASSET',
                                                                                'PLUSABDIST',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSAASSET')
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSAASSET',55,0,'OPTION','PLUSABDIST',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

COMMIT
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('TOPASSETMETER','PLUSASAONOFF','ASSETMETER','assetnum in (select assetnum from asset where assetid = :topassetid)','Relationship to find the Asset Meter associated with the Top Asset.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSAANBDISTATUS','PLUSASAONOFF','PLUSAANBDISTATUS','assetid = :assetid and statusedtime <= :asofdate','Relationship to find all the possible configurations and corresponding status for the Asset.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'PLUSASANONSERIALID'
;

UPDATE MAXATTRIBUTECFG
      SET PRIMARYKEYCOLSEQ = 1
      WHERE OBJECTNAME = 'PLUSASANONSERIAL'
            AND ATTRIBUTENAME = 'PLUSASANONSERIALID'
;

--*[300108]Translation Ratio: 100% (35/35 statements were translated successfully)
