--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ASSET','PLUSANBDIMAPPING','ASSET','assetid = :assetid','Relationship to find the Asset for a PlusANBDIMapping record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PM','PLUSANBDIMAPPING','PM','pmuid = :pmuid','Relationship to find the PM for a PlusANBDIMapping record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMMODEL','PLUSAANBDISTATUS','PLUSACMMODEL','plusacmmodelid = :modelid','Relationship to find the Model for a PlusAANBDIStatus record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMCONFIG','PLUSAANBDISTATUS','PLUSACMCONFIG','plusacmconfigid = :configid','Relationship to find the Variation for a PlusAANBDIStatus record.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET REMARKS = 'Mapping Problem', TITLE = 'Problem'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'MAP'
;

UPDATE MAXATTRIBUTECFG
      SET REMARKS = 'Mapping Problem', TITLE = 'Problem'
      WHERE OBJECTNAME = 'PLUSANBDIMAPPING'
            AND ATTRIBUTENAME = 'MAP'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Statused'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'STATUSEDTIME'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Statused'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'STATUSEDTIME'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Updated'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'UPDATEDTIME'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Updated'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'UPDATEDTIME'
;

UPDATE MAXATTRIBUTE
      SET TITLE = 'Current Configuration'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'CURRENTCONFIG'
;

UPDATE MAXATTRIBUTECFG
      SET TITLE = 'Current Configuration'
      WHERE OBJECTNAME = 'PLUSAANBDISTATUS'
            AND ATTRIBUTENAME = 'CURRENTCONFIG'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','CATID',NULL,NULL,'CATID',NULL,29,'INTEGER',12,0,0,0,'PLUSACACAT','PLUSACACATID',1,0,'Cat ID',NULL,'Cat ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffCatID',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','MODELID',NULL,NULL,'MODELID',NULL,30,'INTEGER',12,0,0,0,'PLUSACMMODEL','PLUSACMMODELID',1,0,'Model ID',NULL,'Model ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffModelID',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','ISENDITEM',NULL,NULL,'ISENDITEM',NULL,31,'YORN',1,0,1,0,NULL,NULL,1,0,'Is End Item',NULL,'Is End Item',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','STATUS',NULL,NULL,'STATUS',NULL,32,'ALN',25,0,0,0,NULL,NULL,0,0,'Status',NULL,'Status',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffStatus',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','CONFIGID',NULL,NULL,'CONFIGID',NULL,33,'INTEGER',12,0,0,0,'PLUSACMCONFIG','PLUSACMCONFIGID',1,0,'Config ID',NULL,'Config ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffConfigID',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','REVISIONID',NULL,NULL,'REVISIONID',NULL,34,'INTEGER',12,0,0,0,'PLUSACMREVISION','PLUSACMREVISIONID',1,0,'Revision ID',NULL,'Revision ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffRevisionID',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','SERIAL',NULL,NULL,'SERIAL',NULL,35,'UPPER',15,0,0,0,'ASSET','SERIALNUM',0,0,'Serial',NULL,'Serial',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffSerial',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','PATHID',NULL,NULL,'PATHID',NULL,36,'INTEGER',12,0,0,0,'PLUSACMPATH','PLUSACMPATHID',1,0,'Path ID',NULL,'Path ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffPathID',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','LABELID',NULL,NULL,'LABELID',NULL,37,'INTEGER',12,0,0,0,'PLUSACMLABEL','PLUSACMLABELID',1,0,'Label ID',NULL,'Label ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffLabelID',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','PART',NULL,NULL,'PART',NULL,38,'UPPER',80,0,0,0,'PLUSACACAT','PART',0,0,'Part',NULL,'Part',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffPart',0,0,0,'NONE',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','CATID',NULL,NULL,'CATID',NULL,29,'INTEGER',12,0,0,0,'PLUSACACAT','PLUSACACATID',1,0,'Cat ID',NULL,'Cat ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffCatID',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','MODELID',NULL,NULL,'MODELID',NULL,30,'INTEGER',12,0,0,0,'PLUSACMMODEL','PLUSACMMODELID',1,0,'Model ID',NULL,'Model ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffModelID',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','ISENDITEM',NULL,NULL,'ISENDITEM',NULL,31,'YORN',1,0,1,0,NULL,NULL,1,0,'Is End Item',NULL,'Is End Item',NULL,0,0,NULL,NULL,0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','STATUS',NULL,NULL,'STATUS',NULL,32,'ALN',25,0,0,0,NULL,NULL,0,0,'Status',NULL,'Status',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffStatus',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','CONFIGID',NULL,NULL,'CONFIGID',NULL,33,'INTEGER',12,0,0,0,'PLUSACMCONFIG','PLUSACMCONFIGID',1,0,'Config ID',NULL,'Config ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffConfigID',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','REVISIONID',NULL,NULL,'REVISIONID',NULL,34,'INTEGER',12,0,0,0,'PLUSACMREVISION','PLUSACMREVISIONID',1,0,'Revision ID',NULL,'Revision ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffRevisionID',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','SERIAL',NULL,NULL,'SERIAL',NULL,35,'UPPER',15,0,0,0,'ASSET','SERIALNUM',0,0,'Serial',NULL,'Serial',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffSerial',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','PATHID',NULL,NULL,'PATHID',NULL,36,'INTEGER',12,0,0,0,'PLUSACMPATH','PLUSACMPATHID',1,0,'Path ID',NULL,'Path ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffPathID',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','LABELID',NULL,NULL,'LABELID',NULL,37,'INTEGER',12,0,0,0,'PLUSACMLABEL','PLUSACMLABELID',1,0,'Label ID',NULL,'Label ID',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffLabelID',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSASAONOFF','PART',NULL,NULL,'PART',NULL,38,'UPPER',80,0,0,0,'PLUSACACAT','PART',0,0,'Part',NULL,'Part',NULL,0,0,NULL,'psdi.plusa.app.plusasa.PlusAFldSAOnOffPart',0,0,0,'NONE',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusasa.PlusAFldSAOnOffBuildID'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusasa.PlusAFldSAOnOffBuildID'
      WHERE OBJECTNAME = 'PLUSASAONOFF'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'PLUSACMBUILDID'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'PLUSACMBUILDID'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'BUILDID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'PLUSACMCONFIGID'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'CONFIGID'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'PLUSACMCONFIGID'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'CONFIGID'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'HASLD'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'HASLD1'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'HASLD'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'HASLD1'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'DESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'DESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'DESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'DESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'DESCRIPTION_LONGDESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION_LONGDESCRIPTION'
;

UPDATE MAXATTRIBUTE
      SET SAMEASATTRIBUTE = 'DESCRIPTION_LONGDESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION_LONGDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'DESCRIPTION_LONGDESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'MODELDESCRIPTION_LONGDESCRIPTION'
;

UPDATE MAXATTRIBUTECFG
      SET SAMEASATTRIBUTE = 'DESCRIPTION_LONGDESCRIPTION'
      WHERE OBJECTNAME = 'PLUSACMVBUILD'
            AND ATTRIBUTENAME = 'ITEMDESCRIPTION_LONGDESCRIPTION'
;

--*[300108]Translation Ratio: 100% (48/48 statements were translated successfully)
