--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSALOGENTRY','PLUSALOGS','PLUSALOGENTRY','logid = :logid and assetnum=:assetnum and siteid=:siteid','Relationship to the PLUSALOGENTRY table.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('DOCLINKS','PLUSALOGS','DOCLINKS','ownertable = ''PLUSALOGS'' and ownerid = :plusalogsid','Relationsip to the doclink table.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSALOGS','Attachments',NEXTVAL FOR APPDOCTYPESEQ)
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSALOGS','Images',NEXTVAL FOR APPDOCTYPESEQ)
;

INSERT INTO APPDOCTYPE (APP,DOCTYPE,APPDOCTYPEID) VALUES ('PLUSALOGS','Diagrams',NEXTVAL FOR APPDOCTYPESEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ASSET','PLUSALOGS','ASSET','assetnum = :assetnum and siteid=:siteid','Relationship to ASSET table.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACREW','PLUSALOGS','PLUSACREW','logid = :logid and assetnum=:assetnum and siteid=:siteid','Relationship to the PLUSACREW table.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

COMMIT
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACREW','ASSETNUM','PLUSACREW','ASSETNUM','ASSETNUM',NULL,12,'UPPER',12,0,1,0,'ASSET','ASSETNUM',0,0,'Identifies the asset.',NULL,'Tail #',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACREW','LOGID','PLUSACREW','LOGID','LOGID',NULL,13,'UPPER',8,0,1,0,'PLUSALOGS','LOGID',1,0,'Identifies the log record.',NULL,'Log',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACREW','UTILIZATION','PLUSACREW','UTILIZATION','UTILIZATION',NULL,14,'UPPER',10,0,0,0,NULL,NULL,0,0,'Purpose of the Flight',NULL,'Utilization',NULL,1,0,'PLUSAUTIL',NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACREW','ASSETNUM','PLUSACREW','ASSETNUM','ASSETNUM',NULL,12,'UPPER',12,0,1,0,'ASSET','ASSETNUM',0,0,'Identifies the asset.',NULL,'Tail #',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACREW','LOGID','PLUSACREW','LOGID','LOGID',NULL,13,'UPPER',8,0,1,0,'PLUSALOGS','LOGID',1,0,'Identifies the log record.',NULL,'Log',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'PLUSACREW','UTILIZATION','PLUSACREW','UTILIZATION','UTILIZATION',NULL,14,'UPPER',10,0,0,0,NULL,NULL,0,0,'Purpose of the Flight',NULL,'Utilization',NULL,1,0,'PLUSAUTIL',NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;


UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldPerson'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'PERSON'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldPerson'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'PERSON'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldPerson'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldPerson'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

COMMIT
;

--*[300108]Translation Ratio: 73.08% (19/26 statements were translated successfully)
