--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('ACTIVEASSETMETER','PLUSALOGS','ASSETMETER','active=:yes and assetnum=:assetnum and siteid=:siteid','Relationship to the AssetMeter table, used to find all active asset meters for the current asset. The resulting set will contain zero or more objects.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 8
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 8
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 8, SAMEASOBJECT = 'MEASUREUNIT', SAMEASATTRIBUTE = 'MEASUREUNITID', CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldUnits'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 8, SAMEASOBJECT = 'MEASUREUNIT', SAMEASATTRIBUTE = 'MEASUREUNITID', CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldUnits'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'UNITS'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 8
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'TRIPUNITS'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 8
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'TRIPUNITS'
;

UPDATE MAXATTRIBUTE
      SET LENGTH = 8, SAMEASOBJECT = 'MEASUREUNIT', SAMEASATTRIBUTE = 'MEASUREUNITID', CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldUnits'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'TRIPUNITS'
;

UPDATE MAXATTRIBUTECFG
      SET LENGTH = 8, SAMEASOBJECT = 'MEASUREUNIT', SAMEASATTRIBUTE = 'MEASUREUNITID', CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldUnits'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'TRIPUNITS'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSAMEASUREUNIT','ASSETMETER','MEASUREUNIT','measureunitid=:measureunitid','Relationship from Meter to MeasureUnit to get the description for the meter''s measureunitid',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET DEFAULTVALUE = '&USERNAME&'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

UPDATE MAXATTRIBUTECFG
      SET DEFAULTVALUE = '&USERNAME&'
      WHERE OBJECTNAME = 'PLUSALOGENTRY'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

UPDATE MAXATTRIBUTE
      SET DEFAULTVALUE = '&USERNAME&', CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldPerson'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

UPDATE MAXATTRIBUTECFG
      SET DEFAULTVALUE = '&USERNAME&', CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldPerson'
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'REPORTEDBY'
;

INSERT INTO MAXATTRIBUTE (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,MAXATTRIBUTEID) VALUES ( 0,0,'TICKET','PLUSAPROBLEM','TICKET','PLUSAPROBLEM','PLUSAPROBLEM',NULL,990,'UPPER',10,0,0,0,NULL,NULL,0,0,'Code for the problem or failure being reported.',NULL,'Problem',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,NEXTVAL FOR MAXATTRIBUTESEQ)
;

INSERT INTO MAXATTRIBUTECFG (restricted,localizable,OBJECTNAME,ATTRIBUTENAME,ENTITYNAME,COLUMNNAME,ALIAS,AUTOKEYNAME,ATTRIBUTENO,MAXTYPE,LENGTH,SCALE,REQUIRED,ISLDOWNER,SAMEASOBJECT,SAMEASATTRIBUTE,MUSTBE,ISPOSITIVE,REMARKS,DEFAULTVALUE,TITLE,PRIMARYKEYCOLSEQ,PERSISTENT,USERDEFINED,DOMAINID,CLASSNAME,CANAUTONUM,EAUDITENABLED,ESIGENABLED,SEARCHTYPE,MLSUPPORTED,MLINUSE,CHANGED,MAXATTRIBUTEID) VALUES ( 0,0,'TICKET','PLUSAPROBLEM','TICKET','PLUSAPROBLEM','PLUSAPROBLEM',NULL,990,'UPPER',10,0,0,0,NULL,NULL,0,0,'Code for the problem or failure being reported.',NULL,'Problem',NULL,1,0,NULL,NULL,0,0,0,'WILDCARD',0,0,'N',NEXTVAL FOR MAXATTRIBUTECFGSEQ)
;

UPDATE MAXATTRIBUTE
      SET MAXTYPE = 'ALN', LENGTH = 15
      WHERE OBJECTNAME = 'TICKET'
            AND ATTRIBUTENAME = 'PLUSAPROBLEM'
;

UPDATE MAXATTRIBUTECFG
      SET MAXTYPE = 'ALN', LENGTH = 15
      WHERE OBJECTNAME = 'TICKET'
            AND ATTRIBUTENAME = 'PLUSAPROBLEM'
;


--*[300108]Translation Ratio: 91.67% (22/24 statements were translated successfully)
