--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.app.workorder.FldWonum'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAWONUM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.app.workorder.FldWonum'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAWONUM'
;

UPDATE MAXATTRIBUTE
      SET REQUIRED = 0
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'DURATION'
;

UPDATE MAXATTRIBUTECFG
      SET REQUIRED = 0
      WHERE OBJECTNAME = 'PLUSALOGTRIP'
            AND ATTRIBUTENAME = 'DURATION'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACMWO','PLUSALOGS','PLUSACM','plusalogentryid in (select plusalogentryid from plusalogentry where logid = :logid and assetnum=:assetnum and siteid=:siteid) and createwomulti not in (select value from synonymdomain where domainid = ''CREATEWOMULTI'' and maxvalue = ''NONE'') and plusawonum is null order by plusatripnum','Relation of PLUACMs that need a WO to be open.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSALOGENTRY','PLUSACM','PLUSALOGENTRY','plusalogentryid = :plusalogentryid','Trip related to Log Problem.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldTripnum'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSATRIPNUM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldTripnum'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSATRIPNUM'
;

UPDATE MAXATTRIBUTE
      SET ISPOSITIVE = 0, CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldStatus'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET ISPOSITIVE = 0, CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldStatus'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXOBJECT
      SET SITEORGTYPE = 'SITE'
      WHERE OBJECTNAME = 'PLUSACM'
;

UPDATE MAXOBJECTCFG
      SET SITEORGTYPE = 'SITE'
      WHERE OBJECTNAME = 'PLUSACM'
;

UPDATE MAXATTRIBUTE
      SET ISPOSITIVE = 0, CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldStatus'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTECFG
      SET ISPOSITIVE = 0, CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldStatus'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUS'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldStatusDate'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUSDATE'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldStatusDate'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'STATUSDATE'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldCreateWO'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'CREATEWORELASSET'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldCreateWO'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'CREATEWORELASSET'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldTripnum'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSATRIPNUM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldTripnum'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSATRIPNUM'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldCertification'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'CERTIFICATION'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldCertification'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'CERTIFICATION'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldTripnum'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'TRIPNUM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldTripnum'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'TRIPNUM'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldDateUsed'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'DATEUSED'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldDateUsed'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'DATEUSED'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSALOGENTRY','PLUSACREW','PLUSALOGENTRY','logid = :logid and assetnum=:assetnum and siteid=:siteid','Trip related to Log Crew.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldTripnum'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'TRIPNUM'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldTripnum'
      WHERE OBJECTNAME = 'PLUSACREW'
            AND ATTRIBUTENAME = 'TRIPNUM'
;

INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSASTAT','AC Status','ALN','ALN',12,0,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>436','PLUSASTAT','AOG','Aircraft on Ground',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>437','PLUSASTAT','HOLD','Gate Hold',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>438','PLUSASTAT','RELEASE','Release for Flight',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSAPROBLEM','Problem','ALN','ALN',12,0,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>439','PLUSAPROBLEM','1','Breakdown',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>440','PLUSAPROBLEM','2','Consumption, Fuel',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>441','PLUSAPROBLEM','3','Consumption, Oil',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>442','PLUSAPROBLEM','4','Log',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>443','PLUSAPROBLEM','5','Routine Inspection',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>444','PLUSAPROBLEM','6','Lubrication',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>445','PLUSAPROBLEM','7','Pre-Delivery',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>446','PLUSAPROBLEM','8','PM',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>447','PLUSAPROBLEM','9','Rework',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>448','PLUSAPROBLEM','10','Pilot Call In',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>449','PLUSAPROBLEM','11','Routine',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>450','PLUSAPROBLEM','21','Capital Improvement',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>451','PLUSAPROBLEM','22','Conversion',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>452','PLUSAPROBLEM','23','Modification',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>453','PLUSAPROBLEM','24','Special Study',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>454','PLUSAPROBLEM','31','Accident, Non-Reported',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>455','PLUSAPROBLEM','32','Accident, Reported',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>456','PLUSAPROBLEM','33','Manufacturer Recall',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>457','PLUSAPROBLEM','34','Statutory Inspection',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>458','PLUSAPROBLEM','35','Statutory Modification',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>459','PLUSAPROBLEM','36','Theft',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>460','PLUSAPROBLEM','37','Vandalism',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>461','PLUSAPROBLEM','38','Warranty',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>462','PLUSAPROBLEM','39','Act of God',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>463','PLUSAPROBLEM','40','Warranty Expiration Inspection',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSARECOMM','Recommendation','ALN','ALN',15,0,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>464','PLUSARECOMM','1','Adjust',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>465','PLUSARECOMM','2','Clean',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>466','PLUSARECOMM','3','Replace New',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>467','PLUSARECOMM','4','Replace Rebuilt',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>468','PLUSARECOMM','5','Replace Used',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>469','PLUSARECOMM','6','Inspect',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>470','PLUSARECOMM','7','Lubricate',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>471','PLUSARECOMM','8','Overhaul',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>472','PLUSARECOMM','13','Other Maintenance Repair',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>473','PLUSARECOMM','14','Install',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>474','PLUSARECOMM','15','Paint Preparation & Repaint',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>475','PLUSARECOMM','17','Add Fluids',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>476','PLUSARECOMM','18','Road Test',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>477','PLUSARECOMM','19','Rewire / Wire',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>478','PLUSARECOMM','20','Towing',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>479','PLUSARECOMM','21','Fabricate / Weld / Burn',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>480','PLUSARECOMM','24','Repair',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>481','PLUSARECOMM','25','Remove',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>482','PLUSARECOMM','30','Work Incomplete',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>483','PLUSARECOMM','98','In Frame Overhaul',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>484','PLUSARECOMM','99','Out of Chassis Overhaul',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>485','PLUSARECOMM','A','PM Level A',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>486','PLUSARECOMM','B','PM Level B',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>487','PLUSARECOMM','C','PM Level C',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>488','PLUSARECOMM','D','PM Level D',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>489','PLUSARECOMM','E','PM Level E',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>490','PLUSARECOMM','F','PM Level F',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>491','PLUSARECOMM','G','PM Level G',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>492','PLUSARECOMM','H','PM Level H',NEXTVAL FOR ALNDOMAINSEQ)
;

INSERT INTO ALNDOMAIN (valueid,DOMAINID,VALUE,DESCRIPTION,ALNDOMAINID) VALUES ( '<HCTDOMAIN>493','PLUSARECOMM','O','PM Level O',NEXTVAL FOR ALNDOMAINSEQ)
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'domainid=''PLUSARECOMM'' and value=:plusamaintrecom'
      WHERE NAME = 'PLUSAMAINTRECOMDESC'
            AND PARENT = 'PLUSACM'
;

UPDATE MAXATTRIBUTE
      SET DOMAINID = 'PLUSARECOMM'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAMAINTRECOM'
;

UPDATE MAXATTRIBUTECFG
      SET DOMAINID = 'PLUSARECOMM'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSAMAINTRECOM'
;

UPDATE MAXATTRIBUTE
      SET DOMAINID = 'PLUSAPROBLEM'
      WHERE OBJECTNAME = 'TICKET'
            AND ATTRIBUTENAME = 'PLUSAPROBLEM'
;

UPDATE MAXATTRIBUTECFG
      SET DOMAINID = 'PLUSAPROBLEM'
      WHERE OBJECTNAME = 'TICKET'
            AND ATTRIBUTENAME = 'PLUSAPROBLEM'
;

UPDATE MAXRELATIONSHIP
      SET WHERECLAUSE = 'domainid=''PLUSAPROBLEM'' and value=:plusaproblem'
      WHERE NAME = 'PLUSAPROBLEMDESC'
            AND PARENT = 'TICKET'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldComponent'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSACOMPONENT'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusalogs.PlusAFldComponent'
      WHERE OBJECTNAME = 'PLUSACM'
            AND ATTRIBUTENAME = 'PLUSACOMPONENT'
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPTOOL','PLUSALOGS',70,0,'SEP','AT70',NULL,1,NULL,NULL,'ALL',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSALOGS','CREATEKPI','Create KPI',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

COMMIT
;

--*[300108]Translation Ratio: 100% (101/101 statements were translated successfully)
