--* [300000]MTK Oracle Converter.  Version: 27Sep2006_1819

UPDATE SYNONYMDOMAIN
      SET DESCRIPTION = 'Installation Point'
      WHERE DOMAINID = 'PLUSACMINDICATOR'
            AND VALUE = 'I'
;

DELETE FROM SYNONYMDOMAIN
      WHERE DOMAINID = 'PLUSACMINDICATOR'
            AND VALUE = 'Y'
;

INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSACMREVSTATUS','Revision Status Domain','SYNONYM','UPPER',20,NULL,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>610','PLUSACMREVSTATUS','DRAFT','DRAFT','Draft',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>611','PLUSACMREVSTATUS','PENDING','PENDING','Pending',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>612','PLUSACMREVSTATUS','ACTIVE','ACTIVE','Active',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>613','PLUSACMREVSTATUS','INACTIVE','INACTIVE','Inactive',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO MAXDOMAIN (internal,DOMAINID,DESCRIPTION,DOMAINTYPE,MAXTYPE,LENGTH,SCALE,MAXDOMAINID) VALUES ( 0,'PLUSACMCONFSTATUS','Config Status','SYNONYM','UPPER',20,NULL,NEXTVAL FOR MAXDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>614','PLUSACMCONFSTATUS','DRAFT','DRAFT','Draft',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>615','PLUSACMCONFSTATUS','ACTIVE','ACTIVE','Active',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO SYNONYMDOMAIN (valueid,DOMAINID,VALUE,MAXVALUE,DESCRIPTION,DEFAULTS,SYNONYMDOMAINID) VALUES ( '<HCTDOMAIN>616','PLUSACMCONFSTATUS','INACTIVE','INACTIVE','Inactive',1,NEXTVAL FOR SYNONYMDOMAINSEQ)
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSACM',100,0,'SEP','AM100',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

INSERT INTO SIGOPTION (APP,OPTIONNAME,DESCRIPTION,ESIGENABLED,VISIBLE,SIGOPTIONID,HASLD,LANGCODE) VALUES ('PLUSACM','VARSTATUS','Change Variation Status',0,1,NEXTVAL FOR SIGOPTIONSEQ,0,'EN')
;

INSERT INTO APPLICATIONAUTH (APP,OPTIONNAME,GROUPNAME,APPLICATIONAUTHID) SELECT 'PLUSACM',
                                                                                'VARSTATUS',
                                                                                GROUPNAME,
                                                                                NEXTVAL FOR APPLICATIONAUTHSEQ
                                                                         FROM MAXGROUP
                                                                         WHERE EXISTS(SELECT * 
                                                                                      FROM APPLICATIONAUTH
                                                                                      WHERE APPLICATIONAUTH.GROUPNAME = MAXGROUP.GROUPNAME
                                                                                            AND APPLICATIONAUTH.OPTIONNAME = 'READ'
                                                                                            AND APPLICATIONAUTH.APP = 'PLUSACM')
;

INSERT INTO MAXMENU (MENUTYPE,MODULEAPP,POSITION,SUBPOSITION,ELEMENTTYPE,KEYVALUE,HEADERDESCRIPTION,VISIBLE,IMAGE,ACCESSKEY,TABDISPLAY,MAXMENUID) VALUES ('APPMENU','PLUSACM',10,0,'OPTION','VARSTATUS',NULL,1,NULL,NULL,'MAIN',NEXTVAL FOR MAXMENUSEQ)
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildPosition'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildPosition'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'POSITION'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildLCN'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LCN'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildLCN'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'LCN'
;

UPDATE MAXATTRIBUTE
      SET CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildNonSerialized'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

UPDATE MAXATTRIBUTECFG
      SET CLASSNAME = 'psdi.plusa.app.plusacm.PlusAFldCMBuildNonSerialized'
      WHERE OBJECTNAME = 'PLUSACMBUILD'
            AND ATTRIBUTENAME = 'NONSERIALIZED'
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACACAT','PLUSACACATSR','PLUSACACAT','plusacacatid = :catid','Relationship to the PlusACACat table, used to find the owning CM Item.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

INSERT INTO MAXRELATIONSHIP (NAME,PARENT,CHILD,WHERECLAUSE,REMARKS,MAXRELATIONSHIPID) VALUES ('PLUSACACAT','PLUSAVHIGHERPART','PLUSACACAT','plusacacatid = :plusacacatid','Relationship to the PlusACACat table, used to find the related CM Item.',NEXTVAL FOR MAXRELATIONSHIPSEQ)
;

COMMIT
;

--*[300108]Translation Ratio: 100% (24/24 statements were translated successfully)
